//初始化
mui.init({

});

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});

	// 加载草稿数据
	var ac_create_reason = localStorage.getItem("ac_create_reason");
	//如果缓存中有数据，则加载出来
	if(ac_create_reason != null) {
		$("#create_reason").val(ac_create_reason);
	}

	//获取用户信息
	var userinfo = JSON.parse(getLoginUser());
	console.log(getLoginUser())
	var userAuth = JSON.parse(getUserAuth());
	console.log(getUserAuth());
	var team = userinfo.user_org_team;
	var station = userinfo.user_org_station;

	//获取该站下的班（非自己班）
	findChildDep(station, team, 3);

	//显示班下面的人
	$("#duty_type").on("tap", function() {
		var dep_id = $(this).find(".active").data("id");
		console.log("选择班的id：" + dep_id)
		findCheckedUser(dep_id)
	})

	//时间插件
	getBeforeDtpicker(userinfo.id);
	getChangeDtpicker();

	//提交
	$("#work_rec_btn").on("tap", function() {
		submitChangeDuty(userAuth.rolecode);
	})
});

//时间插件（当班时间）
function getBeforeDtpicker(user_id) {
	$("#before_time").on('tap', function() {
		var dtpicker = new mui.DtPicker({
			type: "date", //设置日历初始视图模式
			beginDate: new Date(1900, 01, 01),
			endDate: new Date(3000, 01, 01),
		});
		dtpicker.show(function(selectItems) {
			$("#before_time").val(selectItems);
			var before_time_str = $("#before_time").val().replace(/-/g, '/');
			var before_time = new Date(before_time_str).getTime() / 1000;
			console.log("原当班时间：" + before_time);
			//选择时间，确定班次
			getDutyOrder(user_id, before_time, "#before_duty_order");
		});
	})
}

//时间插件（换班时间）
function getChangeDtpicker() {
	$("#change_time").on('tap', function() {
		var dtpicker = new mui.DtPicker({
			type: "date", //设置日历初始视图模式
			beginDate: new Date(1900, 01, 01),
			endDate: new Date(3000, 01, 01),
		});
		var user_id = $("#duty_staffs").find(".active").data("id")
		console.log(user_id)
		if(user_id != undefined) {
			dtpicker.show(function(selectItems) {
				$("#change_time").val(selectItems);
				var change_time_str = $("#change_time").val().replace(/-/g, '/');
				var change_time = new Date(change_time_str).getTime() / 1000;
				console.log("换班时间：" + change_time);
				//选择时间，确定班次
				getDutyOrder(user_id, change_time, "#change_duty_order");
			});
		} else {
			mui.toast("请选择换班人");
		}
	})
	$('.work_user_box').on('tap', 'span', function() {
		$(this).addClass('active').siblings('span').removeClass('active')
	})
}
//获取班次
function getDutyOrder(user_id, time, id) {
	var _url = getHostIP() + "tsis-api/duty/findDutyTypeByTime";
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		data: {
			time: time,
			duty_user_id: user_id,
		},
		success: function(data) {
			if(data.code == 200) {
				console.log(data.data)
				if(data.data == "") {
					$(id).html("休息");
				} else {
					$(id).html(data.data + "班");
				}
			} else if(data.code == 40101) {
				closeAll();
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//查询下级部门
function findChildDep(id, team, dep_type) {
	var _url = getHostIP() + 'tsis-api/dept/showSonDepartmentAndUser';
	plus.nativeUI.showWaiting();
	mui.get(_url, {
		id: id,
		dep_type: dep_type,
	}, function(data) {
		plus.nativeUI.closeWaiting();
		console.log(JSON.stringify(data));
		if(data.code == 200) {
			var dept = data.data.dept
			var work_user_box = "";
			//			var reg = new RegExp("后勤");
			for(var i in dept) {
				if(dept[i].id != team) {
					work_user_box += '<span data-id="' + dept[i].id + '">' + dept[i].dep_name + '</span>'
				}
			}
			$("#duty_type").html(work_user_box);
		} else if(data.code == 40101) {
			closeAll();
		}
	}, 'json');
}

//查询班下面的人
function findCheckedUser(dep_id) {
	var _url = getHostIP() + 'tsis-api/user/FindDeptUser';
	plus.nativeUI.showWaiting();
	mui.get(_url, {
			id: dep_id
		},
		function(data) {
			plus.nativeUI.closeWaiting();
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				var userData = []
				var datap = data.data;
				var html = "";
				for(var i in datap) {
					html += '<span data-id="' + datap[i].id + '">' + datap[i].user_realname + '</span>'
				}
				$("#duty_staffs").html(html);
			} else if(data.code == 40101) {
				closeAll();
			}
		}, 'json');
}

//提交
function submitChangeDuty(rolecode) {
	//换班原因
	var create_reason = $("#create_reason").val();

	//当班班次
	var user_order = $("#before_duty_order").html();

	//当班时间
	var user_time_str = $("#before_time").val().replace(/-/g, '/');
	var user_time = new Date(user_time_str).getTime() / 1000;

	//换班人id
	var change_user_id = $("#duty_staffs").find(".active").data("id");

	//换班人班别
	var change_user_type = $("#duty_type").find(".active").data("id");

	//换班班次
	var change_user_order = $("#change_duty_order").html();

	//换班时间
	var change_time_str = $("#change_time").val().replace(/-/g, '/');
	var change_user_time = new Date(change_time_str).getTime() / 1000;

	console.log(create_reason + "--" + user_time + "--" + change_user_id + "--" + change_user_type + "--" + change_user_time + "--" + rolecode);
	ChangeDutyApply(create_reason, user_order, user_time, change_user_id, change_user_type, change_user_order, change_user_time, rolecode);
}

//提交申请
function ChangeDutyApply(create_reason, user_order, user_time, change_user_id, change_user_type, change_user_order, change_user_time, rolecode) {
	var _url = getHostIP() + "tsis-api/changeDuty/ChangeDutyApply";
	mui.ajax(_url, {
		dataType: "json",
		type: "post",
		data: {
			create_reason: create_reason,
			user_order: user_order,
			user_time: user_time,
			change_user_id: change_user_id,
			change_user_type: change_user_type,
			change_user_order: change_user_order,
			change_user_time: change_user_time,
			rolecode: rolecode,
		},
		success: function(data) {
			console.log(data);
			if(data.code == 200) {
				mui.toast("提交成功");
				DeleteStorage('ac_create_reason');
				mui.back();
			} else if(data.code == 40101) {
				closeAll();
			}
		},
		error: function() {
			mui.toast("哎呀，网络好像有问题，请检查网络连接。");
		}
	})
}