//初始化
mui.init({
	beforeback: function() {
		//获得列表界面的webview  
		var list = plus.webview.currentWebview().opener();
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新  
		mui.fire(list, 'refresh');
		//返回true，继续页面关闭逻辑  
		return true;
	},
});

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});

	//获取用户信息
	var userinfo = JSON.parse(getLoginUser());
	console.log(getLoginUser())
	var userAuth = JSON.parse(getUserAuth());
	console.log(getUserAuth());
	var team = userinfo.user_org_team;
	var station = userinfo.user_org_station;
	var rolecode = userAuth.rolecode;

	//查询待审批
	findChangeDuty(rolecode, 0);
	//查询已审批
	findChangeDuty(rolecode, 1);
});

//查询换班
function findChangeDuty(rolecode, mark) {
	var _url = getHostIP() + "tsis-api/changeDuty/ShowChangeDuty";
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		data: {
			rolecode: rolecode,
			mark: mark,
		},
		success: function(data) {
			console.log(JSON.stringify(data))
			var datap = data.data;
			var html = "";
			for(var i in datap) {
				html += '<li class="mt10">' +
					'<a href="change_arr_check_detail.html?id=' + datap[i].id + '&mark=' + mark + '">' +
					'<div class="remind_box">' +
					'<div class="common_img">' +
					'<img src="../images/others/waitshen.png" alt="" />' +
					'</div>' +
					'<div class="remind_text">' +
					'<div class="hidden_msg" style="font-size:17px;">' + datap[i].user_name + '发起换班</div>' +
					'<p class="hidden_msg" style="font-size:15px;">申请' + getMydate6(datap[i].user_time) + datap[i].user_order + '换' + getMydate6(datap[i].change_user_time) + datap[i].change_user_order + '</p>' +
					'<label>' + getMydate4(datap[i].create_time) + '</label>' +
					'</div>' +
					'</div>' +
					'</a>' +
					'<div class="clearfix"></div>' +
					'</li>'
			}
			if(mark == 0) {
				$("#item1 .remind_list_content").html(html)
			} else {
				$("#item2 .remind_list_content").html(html)
			}
		},
		error: function() {
			mui.toast("哎呀，网络好像有问题，请检查网络连接。")
		}
	})
}