//初始化
mui.init({

});

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});

	//获取链接上的参数
	var id = getQueryString("id");
	var mark = getQueryString("mark");
	console.log("id:" + id + "--mark:" + mark);

	//获取用户信息
	var userAuth = JSON.parse(getUserAuth());
	console.log(getUserAuth());
	var rolecode = userAuth.rolecode;

	//查询详情
	showDetail(id, rolecode, mark);
});

//查询详情 
function showDetail(id, rolecode, mark) {
	var _url = getHostIP() + "tsis-api/changeDuty/ShowChangeDutyDetail";
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		data: {
			id: id,
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				var datap = data.data;
				var html = "";
				if(mark == 0) {
					html += '<div class="shadow_box_body">' +
						'<div class="record_msg">' +
						'<span>原当班人员：</span>' +
						'<label class="font-blue" >' + datap.user_name + '</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span>原当班时间：</span>' +
						'<label class="color666">' + getMydate5(datap.user_time) + datap.user_order + '</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span>换班人员：</span>' +
						'<label class="color666">' + datap.change_user_name + '</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span>换班时间：</span>' +
						'<label class="color666">' + getMydate5(datap.change_user_time) + datap.change_user_order + '</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span>换班原因：</span>' +
						'<label class="color666">' + datap.create_reason + '</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span>本月换班：</span>' +
						'<label class="color666">' + datap.count + '次</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span style="width:100%">审批意见：</span>' +
						'<textarea name="" rows="" cols="" class="mt10" onkeyup="AutoSave(\'cac_desc\',this);"></textarea>' +
						'</div>' +
						'<button class="fr check_btn " type="button" onclick="ChangeDutyApprove(' + id + ',1,' + rolecode + ',' + datap.user_type + ',' + datap.change_user_type + ')">同意</button>' +
						'<button class="fr check_btn mr10" type="button" onclick="ChangeDutyApprove(' + id + ',0,' + rolecode + ',' + datap.user_type + ',' + datap.change_user_type + ')">拒绝</button>' +
						'<div class="clearfix"></div>' +
						'</div>'
				} else if(mark == 1) {
					html += '<div class="shadow_box_body">' +
						'<div class="record_msg">' +
						'<span>原当班人员：</span>' +
						'<label class="font-blue" >' + datap.user_name + '</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span>原当班时间：</span>' +
						'<label class="color666">' + getMydate5(datap.user_time) + datap.user_order + '</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span>换班人员：</span>' +
						'<label class="color666">' + datap.change_user_name + '</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span>换班时间：</span>' +
						'<label class="color666">' + getMydate5(datap.change_user_time) + datap.change_user_order + '</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span>换班原因：</span>' +
						'<label class="color666">' + datap.create_reason + '</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span>本月换班：</span>' +
						'<label class="color666">' + datap.count + '次</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span style="width:100%">审批意见：</span>' +
						'<label class="color666">' + datap.desc + '</label>' +
						'</div>' +
						'<div class="record_msg">' +
						'<span>审批结果：</span>' +
						'<label class="color666">' + datap.result + '</label>' +
						'</div>' +
						'<div class="check_done">' +
						'<img src="../images/others/shenpi.png" alt="" />' +
						'</div>' +
						'<div class="clearfix"></div>' +
						'</div>'
				}

				$("#item1").html(html);
				// 加载草稿数据
				var cac_desc = localStorage.getItem("cac_desc");
				//如果缓存中有数据，则加载出来
				if(cac_desc != null) {
					$("textarea").val(cac_desc);
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast("网络错误")
			}
		},
		error: function() {
			mui.toast("哎呀，网络好像有问题，请检查网络连接。")
		}
	})
}

//审批
function ChangeDutyApprove(id, result, rolecode, user_type, change_user_type) {
	var desc = $('textarea').val()
	console.log(desc)
	var _url = getHostIP() + "tsis-api/changeDuty/ChangeDutyApprove";
	mui.ajax(_url, {
		dataType: "json",
		type: "post",
		data: {
			_method: "put",
			id: id,
			result: result,
			rolecode: rolecode,
			user_type: user_type,
			change_user_type: change_user_type,
			desc: desc,
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				mui.toast("审批成功！");
				DeleteStorage('cac_desc');
				mui.back();
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast("哎呀，网络好像有问题，请检查网络连接。")
		}
	})
}