//初始化
mui.init({

});

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});

	//获取用户权限
	var userAuth = JSON.parse(getUserAuth());
	console.log("用户权限：" + getUserAuth());
	//获取用户信息
	var userInfo = JSON.parse(getLoginUser());
	var station = userInfo.user_org_station;

	//展示应急类
	showEmergencyItem(0, 'father_class');
	$(".father_class").on("tap", "li", function() {
		$(this).addClass("active").siblings("li").removeClass("active");
		var super_id = $(this).data("id");
		console.log(super_id);
		showEmergencyItem(super_id, 'son_class');
	})

	//获取本级部门
	getDept();

	//提交稽查人
	$("#submitUser").on("tap", function() {
		var html = "";
		$(".checkuser").each(function(i, o) {
			if($(o).is(':checked')) {
				var id = $(o).val();
				var name = $(o).parent().text();
				var user_org_station = $(o).data("station");
				html += '<span class="delete_check_user" data-id="' + id + '" data-station="' + user_org_station + '">' +
					'<e>' + name + '</e>' +
					'<i class="iconfont colorRed">&#xe686;</i></span>'
			}
		})
		$("#duty_staffs").html(html);
		$(".shadow_box").show();
		$(".user_modal").hide();
		$("#work_rec_btn").show();
		$("#hide_member").hide();
		$("#back").show();
	})
	//当班人员选择
	$("#select_user").on("tap", function() {
		console.log(11111)
		$(".shadow_box").hide();
		$(".user_modal").show();
		$("#work_rec_btn").hide();
		$("#hide_member").show();
		$("#back").hide();
	})

	//隐藏人员
	$("#hide_member").on("tap", function() {
		$(".shadow_box").show();
		$(".user_modal").hide();
		$("#work_rec_btn").show();
		$("#hide_member").hide();
		$("#back").show();
	})

	//全选
	$(".user_box").on("tap", ".checkdept", function() {
		if($(this).prop("checked")) {
			$(this).parent().parent().parent().find("ul input").prop("checked", false);
			$(this).parents("div").children(".check_boxed").children(".checkdept").prop("checked", false);
			$(this).prop("checked", true);
		} else {
			$(this).parent().parent().parent().find("ul input").prop("checked", true);
		}
	})

	//取消全选
	$(".user_box").on("tap", ".checkuser", function() {
		if($(this).prop("checked")) {
			console.log($(this).parents("div").children(".check_boxed").children(".checkdept").html())
			$(this).parents("div").children(".check_boxed").children(".checkdept").prop("checked", false);
		}
	})

	//搜索
	$("#search").on("tap", function() {
		var name = $("#search_name").val();
		search(userAuth, name);
	})

	//选择子预警信息
	$(".son_class").on("tap", "li", function() {
		$(this).addClass("active").siblings("li").removeClass("active");
		var father_info = $(".father_class .active").text();
		var son_info = $(this).text();
		$("#emergency_matter").html(father_info + ' &nbsp;--- &nbsp;' + son_info);
	})

	//提交应急登记
	$("#work_rec_btn").on("tap", function() {
		submit(station);
	})

});

//展示应急类
function showEmergencyItem(super_id, _class) {
	var _url = getHostIP() + "tsis-api/emergencyItem/showEmergencyItem";
	mui.ajax(_url, {
		type: "get",
		dataType: "json",
		data: {
			super_id: super_id,
		},
		success: function(data) {
			console.log(data);
			if(data.code == 200) {
				var datap = data.data;
				var html = ''
				for(var i in datap) {
					if(i == 0) {
						html += '<li class="active" data-id="' + datap[i].id + '">' + datap[i].item_name + '</li>';
						if(super_id != 0) {
							var father_info = $(".father_class .active").text();
							console.log(father_info + ' &nbsp;--- &nbsp;' + datap[i].item_name)
							$("#emergency_matter").html(father_info + ' &nbsp;--- &nbsp;' + datap[i].item_name);
						} else {
							showEmergencyItem(datap[i].id, 'son_class');
						}
					} else {
						html += '<li data-id="' + datap[i].id + '">' + datap[i].item_name + '</li>'
					}
				}
				$('.' + _class).html(html);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

function submit(station) {
	var received_ids = [];
	var stations = [];
	$("#duty_staffs span").each(function(i, o) {
		received_ids[i] = $(o).data("id");
		stations[i] = $(o).data("station");
	})
	console.log("接收人id：" + received_ids + "；接收人站id：" + stations);

	var emergency_matter = $("#emergency_matter").text();
	console.log("应急事项:" + emergency_matter);

	var emergency_measure = $("#emergency_measure").val();
	console.log("应急措施:" + emergency_measure);

	var _url = getHostIP() + "tsis-api/emergency/EmergencyRegsRegister";
	mui.ajax(_url, {
		type: "post",
		dataType: "json",
		data: {
			emergency_matter: emergency_matter,
			emergency_measure: emergency_measure,
			stations: stations,
			received_ids: received_ids,
		},
		success: function(data) {
			console.log(data);
			if(data.code == 200) {
				mui.toast("提交成功");
				mui.back();
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			//			mui.toast(errorThrown + '[code:emergency_manage]');
			mui.toast('哎呀，网络好像有问题，请检查网络连接。')
			return;
		}
	})
}