mui.init({

});

window.addEventListener('reload_all', function() {})

var appVersion = "";
mui.plusReady(function(obj) {
	console.log("[equipment_record.app] [plusReady] ...");
});
var netflag = mystorage.get("netflag");
mui.plusReady(function() {
	//检测是否有网络
	document.addEventListener("netchange", networkConnect, false);
	// 加载草稿数据
	var er_place_name = localStorage.getItem("er_place_name");
	//如果缓存中有数据，则加载出来
	if(er_place_name != null) {
		$('.place_name').val(er_place_name);
	}
	var er_facility_name = localStorage.getItem("er_facility_name");
	//如果缓存中有数据，则加载出来
	if(er_facility_name != null) {
		$('.facility_name').val(er_facility_name);
	}
	var er_msg_name = localStorage.getItem("er_msg_name");
	//如果缓存中有数据，则加载出来
	if(er_msg_name != null) {
		$('.msg_name').val(er_msg_name);
	}

	getLocalStorage();
	if(netflag.net == true) {
		findPlace();
		findFacility();
		//获取班别
		var callUrl = getHostIP() + 'tsis-api/user/getUserDutyType';
		mui.get(callUrl, {}, function(data) {
			var p = JSON.parse(data)
			console.log(p.code)
			if(p.code == 200) {
				console.log(p.data.duty_type);
				mystorage.set("duty_type", p.data.duty_type);
				$('.box_outer .class_name').text(p.data.duty_type);
			}
		}, 'josn')
	}

	//点击提交，提交设备巡检登记信息
	$('#eq_btn').on('tap', function() {
		if(netflag.net == false) {
			mui.toast(nonet);
		}
		var class_name_arr = [];
		var place_name_arr = [];
		var facility_name_arr = [];
		var msg_name_arr = [];
		var _url = getHostIP() + 'tsis-api/device/sceneDeviceRegsRegister';
		$('.box_outer .class_name').each(function(i, o) {
			class_name_arr[i] = $(o).text();
		})
		$('.box_outer .place_name').each(function(i, o) {
			place_name_arr[i] = $(o).val();
		})
		$('.box_outer .facility_name').each(function(i, o) {
			facility_name_arr[i] = $(o).combobox("getText");
		})
		$('.box_outer .msg_name').each(function(i, o) {
			msg_name_arr[i] = $(o).val();
		})
		console.log(facility_name_arr)
		mui.ajax(_url, {
			dataType: 'json',
			type: 'post',
			data: {
				duty_types: class_name_arr,
				devices: facility_name_arr,
				locations: place_name_arr,
				reg_itemss: msg_name_arr
			},
			success: function(data) {
				console.log(JSON.stringify(data));
				if(data.code == 200) {
					mui.toast('提交成功！');
					DeleteStorage('er_place_name');
					DeleteStorage('er_facility_name');
					DeleteStorage('er_msg_name');
					mui.back();
				} else if(data.code == 40001) {
					mui.toast("请填写完整信息");
				} else if(data.code == 40101) {
					closeAll();
				} else {
					mui.toast(data.msg)
				}
			},
			error: function() {
				mui.toast('哎呀，网络好像有问题，请检查网络连接。');
				return;
			}
		})
	});

	//删除
	$(".box_outer").on("tap", '.box_outer_children .slider_delete', function(e) {
		console.log("删除")
		$(this).parent().parent().remove();
	})

	//位置加号
	$('.box_outer').on('tap', '#add_otheepl', function() {
		$(this).parent('.record_msg').siblings('.otherInput').toggle();
	})

	//动态添加dom
	$(".add_icon i").on('tap', function() {
		console.log($('.box_outer_children').html())

		var html = '';
		html += '<div class="box_outer_children mui-table-view-cell">' +
			$('.box_outer_children').html() +
			'<div class=" mui-slider-right mui-disabled">' +
			'<a class="mui-btn mui-btn-yellow mui-icon slider_delete" style="font-size:20px;color:#">删除</a>' +
			'</div>' +
			'</div>'
		$('.box_outer').append(html);
	})
})

//查询所有位置
function findPlace() {
	var _url = getHostIP() + 'tsis-api/address/findAddressLibrary';
	plus.nativeUI.showWaiting();
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		timeout: ajax_timeout,
		success: function(data) {
			console.log(JSON.stringify(data))
			plus.nativeUI.closeWaiting();
			if(data.code == 200) {
				showPlace(data.data);
				mystorage.set("address", data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//位置信息
function showPlace(data) {
	$('.box_outer .place_id').combotree({
		valueField: "id", //Value字段
		textField: "text", //Text字段
		multiple: false,
		animate: true,
		labelPosition: 'top',
		onBeforeSelect: function(node) {
			if(node.children) { //先封装成一个tree		
				var t = $('.box_outer .place_id').combotree('tree');
				//然后使用toggle		
				t.tree('toggle', node.target); //注意和下一行的顺序		
				t.tree("unselect"); //判断node节点下是不是有childred？ 有：点击的是一个父级菜单	
				return;
			}
		},
		data: data,

		onCheck: function(node, checked) {
			//让全选不显示
			$(".box_outer .place_id").combotree("setText", $(".box_outer .place_id").combobox("getText").toString().replace("全选,", ""));
		},
		onClick: function(node, checked) {
			//让全选不显示
			$(".box_outer .place_id").combotree("setText", $(".box_outer .place_id").combobox("getText").toString().replace("全选,", ""));
		},
		onChange: function(newValue, oldValue) {
			$(".otherInput .place_name").val($(".box_outer .place_id").combobox("getText"));
		}
	});
}

//查询所有设备巡检项目
function findFacility() {
	var _url = getHostIP() + 'tsis-api/DeviceDict/showDeviceDict';
	plus.nativeUI.showWaiting();
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		timeout: ajax_timeout,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if(data.code == 200) {
				showFacility(data.data);
				mystorage.set("deviceDict", data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//设备巡检项目
function showFacility(data) {
	$('.box_outer .facility_name').combotree({
		valueField: "id", //Value字段
		textField: "text", //Text字段
		multiple: false,
		animate: true,
		labelPosition: 'top',
		onBeforeSelect: function(node) {
			if(node.children) { //先封装成一个tree		
				var t = $('.box_outer .facility_name').combotree('tree');
				//然后使用toggle		
				t.tree('toggle', node.target); //注意和下一行的顺序		
				t.tree("unselect"); //判断node节点下是不是有childred？ 有：点击的是一个父级菜单	
				return;
			}
		},
		data: data,

		onCheck: function(node, checked) {
			//让全选不显示
			$(".box_outer .facility_name").combotree("setText", $(".box_outer .facility_name").combobox("getText").toString().replace("全选,", ""));
		},
		onClick: function(node, checked) {
			//让全选不显示
			$(".box_outer .facility_name").combotree("setText", $(".box_outer .facility_name").combobox("getText").toString().replace("全选,", ""));
		}
	});
}
//加载离线本地数据
function getLocalStorage() {
	var data = mystorage.get('duty_type');
	if(data != null) {
		$('.box_outer .class_name').text(data);
	}
	data = mystorage.get('address');
	if(data != null) {
		showPlace(data);
	}
	data = mystorage.get('deviceDict');
	if(data != null) {
		showFacility(data);
	}
}