//初始化
mui.init({

});

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});

	//财务稽查字典展示
	showcheckFinanceItemdict();

	//展示被稽查人
	findCheckedUser();

	//全选按钮
	$("#checkAll").on("tap", function() {
		var type = $(".check_class .active").data("type");
		console.log(type)
		var flag = $("#checkAll").prop("checked");
		if(flag) {
			flag = false;
		} else {
			flag = true;
		}
		console.log(flag)
		switch(type) {
			case 1:
				$(".business").find("[type = checkbox]").prop("checked", flag);
				break;
			case 2:
				$(".connect").find("[type = checkbox]").prop("checked", flag);
				break;
			case 3:
				$(".labour_dis").find("[type = checkbox]").prop("checked", flag);
				break;
			case 4:
				$(".sanitation").find("[type = checkbox]").prop("checked", flag);
				break;
		}
	})

	//提交
	$("#work_rec_btn").on("tap", function() {
		submit();
	})
});

//查询财务稽查字典
function showcheckFinanceItemdict() {
	var _url = getHostIP() + 'tsis-api/checkFinance/showCheckFinanceItemdict';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				var datap = data.data;
				for(var i in datap) {
					var check_class = datap[i].item_name;
					var j = Number(i) + 1;
					$(".check_class").find("[data-type = " + j + "]").html(check_class);

					var html = "";
					var child = datap[i].child;
					for(var k in child) {
						var a = Number(k) + 1
						html += '<li>' +
							'<input type="checkbox"/>' +
							'<span data-id="' + child[k].id + '">' + a + '、' + child[k].item_name + '</span>' +
							'</li>'
					}
					switch(j) {
						case 1:
							$(".business").find("ul").html(html);
							break;
						case 2:
							$(".connect").find("ul").html(html);
							break;
						case 3:
							$(".labour_dis").find("ul").html(html);
							break;
						case 4:
							$(".sanitation").find("ul").html(html);
							break;
					}
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
			return;
		}
	})
}

//查询财务班下面的人
function findCheckedUser() {
	var _url = getHostIP() + 'tsis-api/user/searchByTeamName';
	plus.nativeUI.showWaiting();
	mui.get(_url, {
		name: "财务",
	}, function(data) {
		plus.nativeUI.closeWaiting();
		console.log(JSON.stringify(data));
		if(data.code == 200) {
			var userData = [];
			var datap = data.data;
			for(var i in datap) {
				userData[i] = {
					"id": datap[i].id,
					"text": datap[i].user_realname,
				}
			}
			showCheckedUser(userData);
		} else if(data.code == 40101) {
			closeAll();
		} else {
			mui.toast(data.msg)
		}
	}, 'json');
}

//显示数据
function showCheckedUser(data) {
	//被稽查人员
	$('#checked_user').combotree({
		valueField: "id", //Value字段
		textField: "text", //Text字段
		multiple: true,
		animate: true,
		labelPosition: 'top',
		data: [{
			"id": 0,
			"text": "全选",
			"children": data
		}],
		onCheck: function(node, checked) {
			//让全选不显示
			$("#checked_user").combotree("setText", $("#checked_user").combobox("getText").toString().replace("全选,", ""));
		},
		onClick: function(node, checked) {
			//让全选不显示
			$("#checked_user").combotree("setText", $("#checked_user").combobox("getText").toString().replace("全选,", ""));
		}
	});
}

//提交信息
function submit() {
	//起始时间
	var start_time = $("#start_time").val().replace(/-/g, '/');
	var check_start_time = 0;
	if(start_time != "") {
		check_start_time = new Date(start_time).getTime() / 1000;
	}
	//结束时间
	var end_time = $("#end_time").val().replace(/-/g, '/');
	var check_end_time = 0;
	if(end_time != "") {
		check_end_time = new Date(end_time).getTime() / 1000;
	}

	//被稽查人
	var checked_personnel = [];
	var checked_id = $("#checked_user").combotree("getValues");
	var checked_name = $("#checked_user").combotree("getText").split(",");
	console.log(checked_name)
	var j = 0;
	for(var i in checked_id) {
		if(checked_id[i] != 0) {
			checked_personnel[j] = {
				"id": checked_id[i],
				"name": checked_name[j]
			}
			j++;
		}
	}
	console.log(JSON.stringify(checked_personnel));

	var business = [];
	var handover = [];
	var work_discipline = [];
	var health = [];

	$(".business ul li [type = 'checkbox']:checked").each(function(i, o) {
		var id = $(o).siblings("span").data("id");
		var name = $(o).siblings("span").text().split("、")[1];
		business[i] = {
			"id": id,
			"name": name
		}
	})
	console.log(JSON.stringify(business));
	$(".connect ul li [type = 'checkbox']:checked").each(function(i, o) {
		var id = $(o).siblings("span").data("id");
		var name = $(o).siblings("span").text().split("、")[1];
		handover[i] = {
			"id": id,
			"name": name
		}
	})
	console.log(JSON.stringify(handover));
	$(".labour_dis ul li [type = 'checkbox']:checked").each(function(i, o) {
		var id = $(o).siblings("span").data("id");
		var name = $(o).siblings("span").text().split("、")[1];
		work_discipline[i] = {
			"id": id,
			"name": name
		}
	})
	console.log(JSON.stringify(work_discipline));
	$(".sanitation ul li [type = 'checkbox']:checked").each(function(i, o) {
		var id = $(o).siblings("span").data("id");
		var name = $(o).siblings("span").text().split("、")[1];
		health[i] = {
			"id": id,
			"name": name
		}
	})
	console.log(JSON.stringify(health));
	if(check_start_time != 0 && check_end_time != 0 && JSON.stringify(checked_personnel) != "[]") {
		submitFinanceCheck(check_start_time, check_end_time, JSON.stringify(checked_personnel), JSON.stringify(business), JSON.stringify(handover), JSON.stringify(work_discipline), JSON.stringify(health));
	} else {
		mui.toast("请填写所有*信息");
	}
}

//提交财务稽查
function submitFinanceCheck(check_start_time, check_end_time, checked_personnel, business, handover, work_discipline, health) {
	var _url = getHostIP() + "tsis-api/checkFinance/checkFinanceCheck";
	mui.ajax(_url, {
		type: "post",
		data: {
			check_start_time: check_start_time,
			check_end_time: check_end_time,
			checked_personnel: checked_personnel,
			business: business,
			handover: handover,
			work_discipline: work_discipline,
			health: health,
		},
		dataType: "json",
		timeout: ajax_timeout,
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				mui.toast('提交成功！');
				mui.back();
			} else if(data.code == 40001) {
				mui.toast("请填写完整信息");
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}