//初始化
mui.init({

});
window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[my.app] [plusReady] ...");
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		appVersion = inf.version;
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
	});
	var loginUser = JSON.parse(getLoginUser());
	$('#user_name').text(loginUser.user_realname);
	$('#user_phone').val(loginUser.user_mobile);
	console.log(loginUser.user_mobile);

	// 加载草稿数据
	var gor_user_phone = localStorage.getItem("gor_user_phone");
	//如果缓存中有数据，则加载出来
	if(gor_user_phone != null) {
		$('#user_phone').val(gor_user_phone);
	}
	var gor_address = localStorage.getItem("gor_address");
	//如果缓存中有数据，则加载出来
	if(gor_address != null) {
		$('#address').val(gor_address);
	}

	//点击提交
	$('.shadow_box_footer').on('tap', function() {
		var leave_date_str = $('#leave_date').val().replace(/-/g, '/');
		var return_date_str = $('#return_date').val().replace(/-/g, '/');
		var leave_date = new Date(leave_date_str).getTime() / 1000;
		var return_date = new Date(return_date_str).getTime() / 1000;
		var phone = $('#user_phone').val();
		var address = $('#address').val();
		console.log(leave_date);
		console.log(return_date);
		console.log(phone);
		console.log(address);
		var _url = getHostIP() + 'tsis-api/leave/LeaveRegister';
		if(phone == '' || address == '') {
			mui.toast('请填写完整信息！');
			return;
		} else {
			mui.ajax(_url, {
				dataType: 'json',
				type: 'post',
				data: {
					leave_time: leave_date,
					return_time: return_date,
					contact_phone: phone,
					destination: address
				},
				success: function(data) {
					console.log(JSON.stringify(data));
					if(data.code == 200) {
						mui.toast('提交成功！');
						DeleteStorage('gor_user_phone');
						mui.back();
					} else if(data.code == 40001) {
						mui.toast("请填写完整信息");
					} else if(data.code == 40101) {
						closeAll();
					} else {
						mui.toast(data.msg)
					}
				},
				error: function() {
					mui.toast('哎呀，网络好像有问题，请检查网络连接。');
					return;
				}
			})
		}
	});
});