var strAppVersion = "";

mui.init({

});

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[login.app][plusReady] loginType:" + getLoginType());
	console.log("[login.app][plusReady] loginUser:" + getLoginUser());
	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	//	console.log("[login.app] [plusReady] ...");
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		strAppVersion = inf.version;
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
	});

	//获取上次登录的工号
	var Id = localStorage.getItem("login_jobsn");
	//如果缓存中有数据，则加载出来
	if(Id != null) {
		$("#login_jobsn").val(Id);
	}
});

var first = null;
mui.back = function() {
	mui.plusReady(function() {
		//首页返回键处理
		//处理逻辑：1秒内，连续两次按返回键，则退出应用；
		if(!first) {
			first = new Date().getTime();
			mui.toast('再按一次退出应用');
			setTimeout(function() {
				first = null;
			}, 1000);
		} else {
			if(new Date().getTime() - first < 1000) {
				plus.runtime.quit();
			}
		}
	});
}

//将工号保存到Localstore 
function remPwd() {
	var id = $("#login_jobsn").val();
	localStorage.setItem("login_jobsn", id);
}

/**
 * app登录
 */
function app_login() {
	var login_type = $('#login_type').val();
	//	console.log("[login.app] [app_login] login_type=" + login_type);

	//	var callUrl = getHostIP() + "tsis-api/user/testUser";
	//	console.log("[login.app] [app_login] callUrl=" + callUrl);
	//	
	//	plus.nativeUI.showWaiting();
	//	mui.ajax(callUrl, {
	//		dataType: 'json',
	//		type: 'get',
	//		data: {			
	//		},
	//		timeout: ajax_timeout,
	//		success: function(data) {
	//			plus.nativeUI.closeWaiting();
	//			if (data.code == 200) {
	//				mui.openWindow({
	//					url: 'index.html',
	//					id: 'index.html',
	//					extras: {},		
	//					show: {
	//						autoShow: true
	//					}
	//				});
	//			}
	//		},
	//		error: function(xhr, type, errorThrown) {
	//			//异常处理；		
	//			plus.nativeUI.closeWaiting();
	//			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
	//			return;
	//		}
	//	});

	console.log("[login.app] [app_login] app_dev:" + JSON.stringify(getAppDev()));
	var appDev = JSON.stringify(getAppDev());

	if(login_type == "number") {
		// 工号登录
		var jobsn = $('#login_jobsn').val();
		if(jobsn == "") {
			$('#error_hint').show();
			$('#error_hint p').html('请输入登录工号');
			return;
		}
		var pwd = $('#login_pwd').val();
		if(pwd == "") {
			$('#error_hint').show();
			$('#error_hint p').html('请输入登录密码');
			return;
		}

		var md5Pwd = hex_md5(pwd);
		//		console.log("[login.app] [app_login] md5:" + md5Pwd);

		var callUrl = getHostIP() + "tsis-api/user/loginByJobSN";
		console.log("[login.app] [app_login] url:" + callUrl);
		//				plus.nativeUI.showWaiting();
		mui.ajax(callUrl, {
			dataType: 'json',
			type: 'post',
			data: {
				jobSn: jobsn,
				loginPwd: md5Pwd,
				appVersion: strAppVersion,
				appDev: appDev,
			},
			timeout: ajax_timeout,
			success: function(data) {
				//				plus.nativeUI.closeWaiting();
				if(data.code == 200) {
					remPwd();
					var loginUser = JSON.stringify(data.data);
					//					console.log("[login.app] [app_login] loginUser:" + loginUser);
					saveLoginUser("jobsn", loginUser);
					setAuth();
					is_firstLogin();
					netflag = {
						net: true,
					}
					mystorage.set("netflag", netflag);
				} else {
					$('#error_hint').show();
					$('#error_hint p').html('工号或密码错误，请检查！');
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理
				console.log("[login.app] [app_login] error:" + JSON.stringify(xhr));
				//				plus.nativeUI.closeWaiting();
				mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
				return;
			}
		});
	} else {
		// 手机号登录
		var mobile = $('#login_mobile').val();
		if(mobile == "") {

			return;
		}
		var authcode = $('#login_authcode').val();
		if(authcode == "") {

			return;
		}
		var callUrl = getHostIP() + "tsis-api/user/loginByMobile";
		//				plus.nativeUI.showWaiting();
		mui.ajax(callUrl, {
			dataType: 'json',
			type: 'post',
			data: {
				mobile: mobile,
				authCode: authcode,
				appVersion: strAppVersion,
				app_dev: appDev,
			},
			timeout: ajax_timeout,
			success: function(data) {
				//				plus.nativeUI.closeWaiting();
				if(data.code == 200) {
					var loginUser = JSON.stringify(data.data);
					console.log("[login.app] [app_login] loginUser:" + loginUser);
					saveLoginUser("mobile", loginUser);
					setAuth();
					sceneDutyrecordsRegister();
					is_firstLogin();
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；		
				//				plus.nativeUI.closeWaiting();
				mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
				return;
			}
		});
	}
}

//验证手机号码格式是否正确
function validatemobile(mobile) {
	if(mobile.length == 0) {
		return false;
	}
	if(mobile.length != 11) {
		return false;
	}
	//	var myreg = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1})|170|176|177|178)+\d{8})$/;
	var myreg = /^(1+\d{10})$/;
	if(!myreg.test(mobile)) {
		return false;
	}
	return true;
}

function mobile_change() {
	var login_type = $('#login_type').val();
	console.log("[login.app] [mobile_change] mobile_change=" + login_type);

	if(login_type != "phone") {
		return;
	}

	var mobile = $('#login_mobile').val();
	console.log("[login.app] [mobile_change] mobile=" + mobile);
	if(mobile == "") {
		$('#error_hint p').html('请输入手机号码');
		$('#error_hint').show();
		//		alert("请输入手机号码");
		return;
	}

	if(!validatemobile(mobile)) {
		$('#error_hint p').html('请输入正确的手机号码');
		$('#error_hint').show();
		//		alert("请输入正确的手机号码");
		$('#send_auth_btn').enabled = false;
	} else {
		$('#send_auth_btn').enabled = true;
		$('#error_hint').show();
	}
}

/**
 * 获取短信验证码
 */
function get_authcode() {
	var mobile = $('#login_mobile').val();
	console.log("[login.app] [get_authcode] mobile=" + mobile);
	if(mobile == "") {
		$('#error_hint p').html('请输入手机号码');
		$('#error_hint').show();
		//		alert("请输入手机号码");
		return;
	}

	authcode_countdown(90);
}

function authcode_countdown(s) {
	s--;
	if(s == 0) {
		$('#send_auth_btn').html('获取验证码');
	} else {
		$('#send_auth_btn').html(s + '秒');
		setTimeout(function() {
			authcode_countdown(s)
		}, 1000);
	}
}

//function gotoFirstPage() {
//	
//	mui.openWindow({
//		url: 'index.html',
//		id: 'index.html',
//		extras: {},
//		show: {
//			autoShow: true
//		}
//	});
//}

//判断是否为第一次登录
function is_firstLogin() {
	var _url = getHostIP() + "tsis-api/user/selectUserLoginLog";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data.data))
			if(data.code == 200) {
				mui.openWindow({
					url: 'recompose_pwd.html',
					id: 'recompose_pwd',
					extras: {},
					show: {
						autoShow: true
					}
				});
			} else if(data.code == 400) {
				mui.openWindow({
					url: 'footer_nav.html',
					id: 'footer_nav.html',
					extras: {},
					show: {
						autoShow: true
					}
				});

			} else {
				mui.toast('跳转失败！');
			}
		},
		error: function(xhr, type, errorThrown) {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
		}
	});
}

//自动生成当班记录
function sceneDutyrecordsRegister() {
	var callUrl = getHostIP() + "tsis-api/dutyrecords/sceneDutyrecordsRegister";
	mui.post(callUrl, {}, function(data) {
		//console.log(JSON.stringify(data));	
	}, 'json');
}

//查询权限
function setAuth() {
	var callUrl = getHostIP() + "tsis-api/user/getRoleName";
	mui.get(callUrl, {}, function(data) {
		console.log(JSON.stringify(data))
		if(data.code == 200) {
			var userAuth = JSON.stringify(data.data);
			if(data.data.rolecode == 3) {
				setStaffDuty();
				sceneDutyrecordsRegister();
			} else {
				setLeaderDuty();
			}
			setUserAuth(userAuth);
		}
	}, 'json');
}

//判断班长是否是当班
function setStaffDuty() {
	var callUrl = getHostIP() + "tsis-api/duty/isCurrentStaff";
	mui.get(callUrl, {}, function(data) {
		console.log(JSON.stringify(data))
		if(data.code == 200) {
			var is_duty = JSON.stringify(data.data);
			setIsDuty(is_duty);
		}
	}, 'json');
}

//判断站长是否是当班
function setLeaderDuty() {
	var callUrl = getHostIP() + "tsis-api/duty/isCurrentLeader";
	mui.get(callUrl, {}, function(data) {
		console.log(JSON.stringify(data))
		if(data.code == 200) {
			var is_duty = JSON.stringify(data.data);
			setIsDuty(is_duty);
		}
	}, 'json');
}