mui.init({

});
var appVersion = "";
var netflag = mystorage.get("netflag");
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");

	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});
});

mui.plusReady(function() {
	//检测是否有网络
	document.addEventListener("netchange", networkConnect, false);
	// 加载草稿数据
	var lc_go_number = localStorage.getItem("lc_go_number");
	//如果缓存中有数据，则加载出来
	if(lc_go_number != null) {
		$('#go_number').val(lc_go_number);
	}
	var lc_loose_reason = localStorage.getItem("lc_loose_reason");
	//如果缓存中有数据，则加载出来
	if(lc_loose_reason != null) {
		$('#loose_reason').val(lc_loose_reason);
	}
	var lc_dispose_way = localStorage.getItem("lc_dispose_way");
	//如果缓存中有数据，则加载出来
	if(lc_dispose_way != null) {
		$('#dispose_way').val(lc_dispose_way);
	}

	//加载离线数据
	getLocalStorage();
	if(netflag.net == true) {
		findDutyTeams();
		findLane();
	}

	//点击提交按钮提交信息
	$('#loose_card_btn').on('tap', function() {

		var job_number = $('#select_user option:selected').val();
		var user_lane = $('#select_lane option:selected').val();
		var pass_card = $('#go_number').val();
		var reason = $('#loose_reason').val();
		var solution = $('#dispose_way').val();
		var _url = getHostIP() + 'tsis-api/scatteredcard/SceneScatteredcardRegsRegister';
		console.log(job_number + "-" + user_lane + "-" + pass_card + "-" + reason + "-" + solution)
		plus.nativeUI.showWaiting();
		mui.ajax(_url, {
			dataType: 'json',
			type: 'post',
			data: {
				jobsn: job_number,
				roadway: user_lane,
				pass_card: pass_card,
				reason: reason,
				solution: solution,
			},
			success: function(data) {
				console.log(JSON.stringify(data));
				plus.nativeUI.closeWaiting();
				if(data.code == 200) {
					mui.toast('提交成功！');
					DeleteStorage('lc_go_number');
					DeleteStorage('lc_loose_reason');
					DeleteStorage('lc_dispose_way');
					mui.back();
				} else if(data.code == 40001) {
					mui.toast("请填写完整信息");
				} else if(data.code == 40101) {
					closeAll();
				} else {
					mui.toast(data.msg)
				}
			},
			error: function() {
				plus.nativeUI.closeWaiting();
				mui.toast('哎呀，网络好像有问题，请检查网络连接。');
				return;
			}
		})
	})
})

//获取本班的人员的工号和姓名
function findDutyTeams() {
	var _url1 = getHostIP() + 'tsis-api/user/getDutyTeams';
	mui.ajax(_url1, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				showDutyTeams(data.data);
				mystorage.set("dutyTeams", data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//显示本班的人员的工号和姓名
function showDutyTeams(data) {
	var html = "";
	html += '<option value="0">请选择需要登记人</option>';
	for(var i in data) {
		console.log(JSON.stringify(data[i]));
		var p = data[i];
		html += '<option value="' + p.id + '">' + p.user_jobsn + '/' + p.user_realname + '</option>'
	}
	$('#select_user').html(html);
}

//选择车道号
function findLane() {
	var _url3 = getHostIP() + 'tsis-api/lane/getLaneForStation';
	mui.ajax(_url3, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data.data));
			if(data.code == 200) {
				showLane(data.data);
				mystorage.set("lane", data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//显示车道号
function showLane(data) {
	var html = "";
	html += '<option value="0">请选择车道</option>';
	for(var i in data) {
		var p = data[i]
		html += '<option value="' + p.id + '">' + p.lane_num + '</option>'
	}
	$('#select_lane').html(html);
}

//加载离线本地数据
function getLocalStorage() {
	var data = mystorage.get('dutyTeams');
	if(data != null) {
		showDutyTeams(data);
	}
	data = mystorage.get('lane');
	if(data != null) {
		showLane(data);
	}
}