mui.init({

});

window.addEventListener('reload_all', function() {}, {
	passive: false
})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[my.app] [plusReady] ...");
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		appVersion = inf.version;
		//		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		$('.versions_box').find('span').text('V' + appVersion);
	});
});

mui.plusReady(function() {

	var appDev = JSON.stringify(getAppDev());
	$("#footer").on('tap', 'a', function() {
		var Dhref = $(this).attr('data-href');
		console.log(Dhref)
		mui.openWindow({
			url: Dhref,
			id: Dhref,
			show: {
				autoShow: true, //页面loaded事件发生后自动显示，默认为true  
			},
			waiting: {
				autoShow: false, //自动显示等待框，默认为true  
				title: '正在加载...', //等待对话框上显示的提示内容  
			}
		})
		//		var self = plus.webview.currentWebview();
		//		var sub = plus.webview.create(
		//			Dhref, //子页url
		//			Dhref //子页id
		//		);
		//		self.append(sub);
	})

	$(".my_menuList").on('tap', 'li a', function() {
		var Dhref = $(this).attr('data-href');
		console.log(Dhref)
		if(Dhref != "") {
			mui.openWindow({
				url: Dhref,
				id: Dhref,
				show: {
					autoShow: true, //页面loaded事件发生后自动显示，默认为true  
				},
				waiting: {
					autoShow: false, //自动显示等待框，默认为true  
					title: '正在加载...', //等待对话框上显示的提示内容  
				}
			})
		}

	})

	//获取用户信息
	var userAuth = JSON.parse(getUserAuth());
	console.log(getUserAuth());
	//是否当班
	var isduty = getIsDuty();
	console.log(isduty)
	if(userAuth.rolecode == 3) {
		$("#handover_btn").show()
	}
	var loginUser = JSON.parse(getLoginUser());
	$('#login_user span').text('欢迎您，' + loginUser.user_realname);
	var firstName = loginUser.user_realname.split("")[0];
	console.log(firstName)
	$('#first_name span').text(firstName);
	$('#user_workNum').text('工号：' + loginUser.user_jobsn);
	$(".handover_btn").on('tap', function() {
		var btnarray = ['确认', '取消'];
		mui.confirm('您确定退出吗？', '提示', btnarray, function(e) {
			if(e.index == 1) {
				mui.toast('已取消');
			} else {
				mui.toast('您已退出登录');
				console.log("退出")
				var _url = getHostIP() + "tsis-api/user/loginout";
				mui.ajax(_url, {
					dataType: 'json',
					type: 'get',
					data: {
						appVersion: appVersion,
						appDev: appDev
					},
					success: function(data) {
						console.log(data)
					},
					error: function() {
						mui.toast('哎呀，网络好像有问题，请检查网络连接。');
					}
				});
				//关闭首页
				var index = plus.webview.getWebviewById("index.html");
				plus.webview.close(index, "none");
				var footer_nav = plus.webview.getWebviewById("footer_nav.html");
				plus.webview.close(footer_nav, "none");
				//关闭当前页
				mui.currentWebview.close("none");
				//打开登录页
				mui.openWindow({
					url: 'login.html',
					id: 'HBuilder'
				});
			}
		});
	})
	//点击交班
	//	document.getElementById("handover_btn").addEventListener('tap', function() {
	//		var btnarray = ['确认', '取消'];
	//		mui.confirm('您确定交班吗？', '提示', btnarray, function(e) {
	//			if(e.index == 1) {
	//				mui.toast('已取消')
	//			} else {
	//				mui.toast('您已退出登录');
	//				console.log("退出")
	//				var _url = getHostIP() + "tsis-api/user/loginout";
	//				mui.ajax(_url, {
	//					dataType: 'json',
	//					type: 'get',
	//					data: {
	//						appVersion: appVersion,
	//						appDev: appDev
	//					},
	//					success: function(data) {
	//						console.log(data)
	//					},
	//					error: function() {
	//						mui.toast('哎呀，网络好像有问题，请检查网络连接。');
	//					}
	//				});
	//				//关闭首页
	//				var index = plus.webview.getWebviewById("index.html");
	//				plus.webview.close(index,"none");
	//				mui.currentWebview.close("none");
	//				mui.openWindow({
	//					url: 'login.html',
	//					id: 'lgin.html'
	//				});
	//			}
	//		});
	//	},{ passive: false })
	//查职务
	var userAuth = JSON.parse(getUserAuth());
	//	console.log(JSON.stringify(userAuth));
	$("#user_workPost span").html(userAuth.rolename);

	//根据角色展示my.html功能
	//collector 收费员功能class  
	//register 班长功能class  
	//approval  站长功能class
	//dep_admin  部门管理员class
	//班长时
	if(userAuth.rolecode == 3) {
		$('.register').show();
		//站长时
	} else if(userAuth.rolecode == 2) {
		$('.approval').show();
		//普通收费员
	} else {
		$('.collector').show();
	}

	//数量
	findeverydayCount();
	findFinanceCount(loginUser.user_realname);
	findCivilizedCount();
})

//日常稽查未读数
function findeverydayCount(name) {
	var _url = getHostIP() + "tsis-api/checkDaily/showMyCheckDailyCount";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			name: name
		},
		success: function(data) {
			console.log(JSON.stringify(data.data));

			if(data.code == 200) {
				if(data.data == 0) {
					$(".everydayCount").hide();
				} else {
					$(".everydayCount").html(data.data);
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}

		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	});
}

//财务稽查未读数
function findFinanceCount(name) {
	console.log(name)
	var _url = getHostIP() + "tsis-api/checkFinance/showMyCheckFinanceCount";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			user_name: name,
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				if(data.data == 0) {
					$(".financeCount").hide();
				} else {
					$(".financeCount").html(data.data);
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}

		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	});
}

//文明服务稽查未读数
function findCivilizedCount() {
	var _url = getHostIP() + "tsis-api/checkCivilized/showMyCheckCivilizedCount";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				if(data.data == 0) {
					$(".cultrueCount").hide();
				} else {
					$(".cultrueCount").html(data.data);
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}

		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	});
}