//初始化
mui.init({

});

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});

	//用户信息
	var loginUser = JSON.parse(getLoginUser());

	//类型(1:我的日常稽查;2:我的财务稽查;3:我的文明服务稽查;11:日常稽查列表;12:财务稽查列表;13::文明服务稽查;)
	var type = getQueryString("type");
	console.log(type);
	switch(type) {
		case '1':
			showMyCheckDaily();
			break;
		case '2':
			showMyCheckFinance(loginUser.user_realname);
			break;
		case '3':
			showMyCheckCivilized();
			break;
		case '11':
			showCheckDaily();
			$(".read-title").remove();
			$("#item2").remove();
			break;
		case '12':
			showCheckFinance(loginUser.user_realname);
			$(".read-title").remove();
			$("#item2").remove();
			break;
		case '13':
			showCheckCivilized();
			$(".read-title").remove();
			$("#item2").remove();
			break;
	}
});

//我的日常稽查
function showMyCheckDaily() {
	var _url = getHostIP() + "tsis-api/checkDaily/showMyCheckDaily";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				var datap = data.data;
				var html1 = "";
				var html2 = "";
				for(var i in datap) {
					var checkDaily = datap[i].CheckDaily;
					var checked_user = JSON.parse(checkDaily.checked_personnel);
					var check_result = JSON.parse(checkDaily.check_result);
					if(datap[i].is_read) {
						html2 += '<li class="mt10">' +
							'<a href="my_check_list_detail.html?id=' + checkDaily.id + '&type=1&mark=0">' +
							'<div class="remind_box">' +
							'<div class="common_img">' +
							'<img src="../images/others/yishen.png" alt="" />' +
							'</div>' +
							'<div class="remind_text">' +
							'<div class="hidden_msg" style="font-size:17px;">'
						for(var j in checked_user) {
							html2 += checked_user[j].name;
							if(j < checked_user.length - 1) {
								html2 += "、"
							}
						}
						html2 += '被稽查</div>' +
							'<p class="hidden_msg" style="font-size:15px;">稽查结果：'
						for(var j in check_result) {
							html2 += check_result[j].name + ":" + check_result[j].result + ";";
						}
						html2 += '</p>' +
							'<label>' + getMydate4(checkDaily.create_time) + '</label>' +
							'</div>' +
							'</div>' +
							'</a>' +
							'<div class="clearfix"></div>' +
							'</li>'
					} else {
						html1 += '<li class="mt10">' +
							'<a href="my_check_list_detail.html?id=' + checkDaily.id + '&type=1&mark=0">' +
							'<div class="remind_box">' +
							'<div class="common_img">' +
							'<img src="../images/others/yishen.png" alt="" />' +
							'</div>' +
							'<div class="remind_text">' +
							'<div class="hidden_msg" style="font-size:17px;">'
						for(var j in checked_user) {
							html1 += checked_user[j].name;
							if(j < checked_user.length - 1) {
								html1 += "、"
							}
						}
						html1 += '被稽查</div>' +
							'<p class="hidden_msg" style="font-size:15px;">稽查结果：'
						for(var j in check_result) {
							html1 += check_result[j].name + ":" + check_result[j].result + ";";
						}
						html1 += '</p>' +
							'<label>' + getMydate4(checkDaily.create_time) + '</label>' +
							'</div>' +
							'</div>' +
							'</a>' +
							'<div class="clearfix"></div>' +
							'</li>'
					}
					$("#item1").find("ul").html(html1);
					$("#item2").find("ul").html(html2);
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	});
}

//我的财务稽查
function showMyCheckFinance(name) {
	var _url = getHostIP() + "tsis-api/checkFinance/showMyCheckFinance";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			user_name: name,
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				var datap = data.data;
				var html1 = "";
				var html2 = "";
				for(var i in datap) {
					var checkDaily = datap[i].CheckFinanceVO;
					var checked_user = JSON.parse(checkDaily.checked_personnel);
					var business = JSON.parse(checkDaily.business);
					var handover = JSON.parse(checkDaily.handover);
					var work_discipline = JSON.parse(checkDaily.work_discipline);
					var health = JSON.parse(checkDaily.health);
					var check_result = "";
					for(var j in business) {
						check_result += business[j].name;
					}
					for(var j in handover) {
						check_result += handover[j].name;
					}
					for(var j in work_discipline) {
						check_result += work_discipline[j].name;
					}
					for(var j in health) {
						check_result += health[j].name;
					}
					if(datap[i].is_read) {
						html2 += '<li class="mt10">' +
							'<a href="my_check_list_detail.html?id=' + checkDaily.id + '&type=2&mark=0">' +
							'<div class="remind_box">' +
							'<div class="common_img">' +
							'<img src="../images/others/yishen.png" alt="" />' +
							'</div>' +
							'<div class="remind_text">' +
							'<div class="hidden_msg" style="font-size:17px;">'
						for(var j in checked_user) {
							html2 += checked_user[j].name;
							if(j < checked_user.length - 1) {
								html2 += "、"
							}
						}
						html2 += '被稽查</div>' +
							'<p class="hidden_msg" style="font-size:15px;">稽查结果：' + check_result + '</p>' +
							'<label>' + getMydate4(checkDaily.create_time) + '</label>' +
							'</div>' +
							'</div>' +
							'</a>' +
							'<div class="clearfix"></div>' +
							'</li>'
					} else {
						html1 += '<li class="mt10">' +
							'<a href="my_check_list_detail.html?id=' + checkDaily.id + '&type=2&mark=0">' +
							'<div class="remind_box">' +
							'<div class="common_img">' +
							'<img src="../images/others/yishen.png" alt="" />' +
							'</div>' +
							'<div class="remind_text">' +
							'<div class="hidden_msg" style="font-size:17px;">'
						for(var j in checked_user) {
							html1 += checked_user[j].name;
							if(j < checked_user.length - 1) {
								html1 += "、"
							}
						}
						html1 += '被稽查</div>' +
							'<p class="hidden_msg" style="font-size:15px;">稽查结果：' + check_result + '</p>' +
							'<label>' + getMydate4(checkDaily.create_time) + '</label>' +
							'</div>' +
							'</div>' +
							'</a>' +
							'<div class="clearfix"></div>' +
							'</li>'
					}
				}
				$("#item1").find("ul").html(html1);
				$("#item2").find("ul").html(html2);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	});
}

//我的文明服务稽查
function showMyCheckCivilized() {
	var _url = getHostIP() + "tsis-api/checkCivilized/showMyCheckCivilized";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				var datap = data.data;
				var html1 = "";
				var html2 = "";
				for(var i in datap) {
					var checkDaily = datap[i].CheckDaily;
					var checked_user = checkDaily.user_realname;
					var check_result = "";
					var appearance = Number(checkDaily.appearance);
					var raise_the_hand = Number(checkDaily.raise_the_hand);
					var nod = Number(checkDaily.nod);
					var smile = Number(checkDaily.smile);
					var salute_with_the_eyes = Number(checkDaily.salute_with_the_eyes);
					var wording = Number(checkDaily.wording);
					check_result = 100 + appearance + raise_the_hand + nod + smile + salute_with_the_eyes + wording;
					if(datap[i].is_read) {
						html2 += '<li class="mt10">' +
							'<a href="my_check_list_detail.html?id=' + checkDaily.id + '&type=3&mark=0">' +
							'<div class="remind_box">' +
							'<div class="common_img">' +
							'<img src="../images/others/yishen.png" alt="" />' +
							'</div>' +
							'<div class="remind_text">' +
							'<div class="hidden_msg" style="font-size:17px;">' + checked_user + '被稽查</div>' +
							'<p class="hidden_msg" style="font-size:15px;">稽查结果：' + check_result + '</p>' +
							'<label>' + getMydate4(checkDaily.create_time) + '</label>' +
							'</div>' +
							'</div>' +
							'</a>' +
							'<div class="clearfix"></div>' +
							'</li>'
					} else {
						html1 += '<li class="mt10">' +
							'<a href="my_check_list_detail.html?id=' + checkDaily.id + '&type=3&mark=0">' +
							'<div class="remind_box">' +
							'<div class="common_img">' +
							'<img src="../images/others/yishen.png" alt="" />' +
							'</div>' +
							'<div class="remind_text">' +
							'<div class="hidden_msg" style="font-size:17px;">' + checked_user + '被稽查</div>' +
							'<p class="hidden_msg" style="font-size:15px;">稽查结果：' + check_result + '</p>' +
							'<label>' + getMydate4(checkDaily.create_time) + '</label>' +
							'</div>' +
							'</div>' +
							'</a>' +
							'<div class="clearfix"></div>' +
							'</li>'
					}
					$("#item1").find("ul").html(html1);
					$("#item2").find("ul").html(html2);
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	});
}

//日常稽查
function showCheckDaily() {
	var _url = getHostIP() + "tsis-api/checkDaily/showCheckDailyList";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				var datap = data.data;
				var html1 = "";
				for(var i in datap) {
					var checkDaily = datap[i];
					var checked_user = JSON.parse(checkDaily.checked_personnel);
					var check_result = JSON.parse(checkDaily.check_result);
					html1 += '<li class="mt10">' +
						'<a href="my_check_list_detail.html?id=' + checkDaily.id + '&type=1&mark=1">' +
						'<div class="remind_box">' +
						'<div class="common_img">' +
						'<img src="../images/others/yishen.png" alt="" />' +
						'</div>' +
						'<div class="remind_text">' +
						'<div class="hidden_msg" style="font-size:17px;">'
					for(var j in checked_user) {
						html1 += checked_user[j].name;
						if(j < checked_user.length - 1) {
							html1 += "、"
						}
					}
					html1 += '被稽查</div>' +
						'<p class="hidden_msg" style="font-size:15px;">稽查结果：'
					for(var j in check_result) {
						html1 += check_result[j].name + ":" + check_result[j].result + ";";
					}
					html1 += '</p>' +
						'<label>' + getMydate4(checkDaily.create_time) + '</label>' +
						'</div>' +
						'</div>' +
						'</a>' +
						'<div class="clearfix"></div>' +
						'</li>'
					$("#item1").find("ul").html(html1);
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	});
}

//财务稽查
function showCheckFinance(name) {
	var _url = getHostIP() + "tsis-api/checkFinance/showCheckFinanceList";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			user_name: name,
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				var datap = data.data;
				var html1 = "";
				var html2 = "";
				for(var i in datap) {
					var checkDaily = datap[i];
					var checked_user = JSON.parse(checkDaily.checked_personnel);
					var business = JSON.parse(checkDaily.business);
					var handover = JSON.parse(checkDaily.handover);
					var work_discipline = JSON.parse(checkDaily.work_discipline);
					var health = JSON.parse(checkDaily.health);
					var check_result = "";
					for(var j in business) {
						check_result += business[j].name;
					}
					for(var j in handover) {
						check_result += handover[j].name;
					}
					for(var j in work_discipline) {
						check_result += work_discipline[j].name;
					}
					for(var j in health) {
						check_result += health[j].name;
					}
					html1 += '<li class="mt10">' +
						'<a href="my_check_list_detail.html?id=' + checkDaily.id + '&type=2&mark=1">' +
						'<div class="remind_box">' +
						'<div class="common_img">' +
						'<img src="../images/others/yishen.png" alt="" />' +
						'</div>' +
						'<div class="remind_text">' +
						'<div class="hidden_msg" style="font-size:17px;">'
					for(var j in checked_user) {
						html1 += checked_user[j].name;
						if(j < checked_user.length - 1) {
							html1 += "、"
						}
					}
					html1 += '被稽查</div>' +
						'<p class="hidden_msg" style="font-size:15px;">稽查结果：' + check_result + '</p>' +
						'<label>' + getMydate4(checkDaily.create_time) + '</label>' +
						'</div>' +
						'</div>' +
						'</a>' +
						'<div class="clearfix"></div>' +
						'</li>'
				}
				$("#item1").find("ul").html(html1);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	});
}

//文明服务稽查
function showCheckCivilized() {
	var _url = getHostIP() + "tsis-api/checkCivilized/showCheckCivilizedList";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				var datap = data.data;
				var html1 = "";
				var html2 = "";
				for(var i in datap) {
					var checkDaily = datap[i];
					var checked_user = checkDaily.user_realname;
					var check_result = "";
					var appearance = Number(checkDaily.appearance);
					var raise_the_hand = Number(checkDaily.raise_the_hand);
					var nod = Number(checkDaily.nod);
					var smile = Number(checkDaily.smile);
					var salute_with_the_eyes = Number(checkDaily.salute_with_the_eyes);
					var wording = Number(checkDaily.wording);
					var score = 100 + appearance + raise_the_hand + nod + smile + salute_with_the_eyes + wording
					check_result = "绩效得分" + score + "分";
					html1 += '<li class="mt10">' +
						'<a href="my_check_list_detail.html?id=' + checkDaily.id + '&type=3&mark=1">' +
						'<div class="remind_box">' +
						'<div class="common_img">' +
						'<img src="../images/others/yishen.png" alt="" />' +
						'</div>' +
						'<div class="remind_text">' +
						'<div class="hidden_msg" style="font-size:17px;">' + checked_user + '被稽查</div>' +
						'<p class="hidden_msg" style="font-size:15px;">稽查结果：' + check_result + '</p>' +
						'<label>' + getMydate4(checkDaily.create_time) + '</label>' +
						'</div>' +
						'</div>' +
						'</a>' +
						'<div class="clearfix"></div>' +
						'</li>'
					$("#item1").find("ul").html(html1);
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	});
}