//初始化
mui.init({

});

var appVersion = "";
var netflag = mystorage.get("netflag");
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});

	var type = getQueryString("type");
	//加载本地存储的数据
	getLocalStorage(type);
	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	console.log(netflag.net);
	if(netflag.net == true) {
		if(type == 1) {
			$(".content1").show();
			findCommand();
		} else if(type == 2) {
			$(".content2").show();
			findSendCommand();
		}
	}
});

//加载本地数据
function getLocalStorage(type) {
	var data;
	if(type == 1) {
		data = mystorage.get('command');
		if(data != null) {
			$(".content1").show();
			showCommand(data);
		}
	} else if(type == 2) {
		data = mystorage.get('sendcommand');
		if(data != null) {
			$(".content2").show();
			showSendCommand(data);
		}
	}
}

//查询收到的指令
function findCommand() {
	var _url = getHostIP() + 'tsis-api/command/showAllCommand';
	mui.ajax(_url, {
		type: "get",
		dataType: "json",
		data: {},
		timeout: ajax_timeout,
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				showCommand(data.data);
				mystorage.set("command", data.data);
			} else if(data.code == 40001) {
				mui.toast("参数错误");
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
			return;
		}
	})
}

//显示收到的指令
function showCommand(data) {
	var p = data;
	var html = "";
	for(var i in p) {
		html += '<li class="mt10">' +
			'<a href="order_detail.html?id=' + p[i].id + '">' +
			'<div class="remind_box">' +
			'<div class="common_img">' +
			'<img src="../images/others/pic.png" alt="" />' +
			'</div>' +
			'<div class="remind_text">' +
			'<div class="hidden_msg" style="font-size:17px;">收到（' + p[i].title + '）指令</div>' +
			'<p class="hidden_msg" style="font-size:15px;">指令内容：' + p[i].detail + '</p>' +
			'<label>' + getMydate4(p[i].create_time) + '</label>' +
			'</div>' +
			'</div>' +
			'</a>' +
			'<div class="clearfix"></div>' +
			'</li>'
	}
	$(".content1").html(html);
}

//查询发送的指令
function findSendCommand() {
	var _url = getHostIP() + 'tsis-api/command/showSendCommand';
	mui.ajax(_url, {
		type: "get",
		dataType: "json",
		data: {},
		timeout: ajax_timeout,
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				showSendCommand(data.data);
				mystorage.set("sendcommand", data.data);
			} else if(data.code == 40001) {
				mui.toast("参数错误");
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
			return;
		}
	})
}

//显示发送的指令
function showSendCommand(data) {
	var p = data;
	var html = "";
	for(var i in p) {
		html += '<li class="mt10">' +
			'<a href="order_msg.html?id=' + p[i].id + '">' +
			'<div class="remind_box">' +
			'<div class="common_img">' +
			'<img src="../images/others/pic.png" alt="" />' +
			'</div>' +
			'<div class="remind_text">' +
			'<div class="hidden_msg" style="font-size:17px;">发出（' + p[i].title + '）指令</div>' +
			'<p class="hidden_msg" style="font-size:15px;">指令内容：' + p[i].detail + '</p>' +
			'<label>' + getMydate4(p[i].create_time) + '</label>' +
			'</div>' +
			'</div>' +
			'</a>' +
			'<div class="clearfix"></div>' +
			'</li>'
	}
	$(".content2").html(html);
}