//初始化
mui.init({
	beforeback: function() {
		//获得列表界面的webview  
		var list = plus.webview.currentWebview().opener();
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新  
		mui.fire(list, 'refresh');
		//返回true，继续页面关闭逻辑  
		return true;
	},
});
window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[my.app] [plusReady] ...");
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		appVersion = inf.version;
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
	});
	findPerformanceAppraisalReviewMarktrue();
	findPerformanceAppraisalReviewMarkfalse();

});

function findPerformanceAppraisalReviewMarktrue() {
	var _url = getHostIP() + 'tsis-api/performance/showPerformanceAppraisalReview';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'post',
		data: {
			_method: 'get',
			mark: 0
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				var list = '';
				for(var i in data.data) {
					var p = data.data[i];
					list += '<li class="mt10">' +
						'<a href="performance_rec_check_detail.html?type=0&id=' + p.id + '">' +
						'<div class="remind_box">' +
						'<div class="common_img">' +
						'<img src="../images/others/waitshen.png" alt="" />' +
						'</div>' +
						'<div class="remind_text">' +
						'<div class="hidden_msg" style="font-size:17px;">' + p.user_realname + '发起绩效考核复议审批</div>' +
						'<p class="hidden_msg" style="font-size:15px;">' + p.user_realname + '申请绩效理由' + p.reason + '</p>' +
						'<label >' + getMydate4(p.review_time) + '</label>' +
						'</div>' +
						'</div>' +
						'</a>' +
						'<div class="clearfix"></div>' +
						'</li>'

				}
				$("#item1  .remind_list_content").html(list);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

function findPerformanceAppraisalReviewMarkfalse() {
	var _url = getHostIP() + 'tsis-api/performance/showPerformanceAppraisalReview';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'post',
		data: {
			_method: 'get',
			mark: 1
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				var list = '';
				for(var i in data.data) {

					var p = data.data[i];
					list += '<li class="mt10">' +
						'<a href="performance_rec_check_detail.html?type=1&id=' + p.id + '">' +
						'<div class="remind_box">' +
						'<div class="common_img">' +
						'<img src="../images/others/yishen.png" alt="" />' +
						'</div>' +
						'<div class="remind_text">' +
						'<div class="hidden_msg" style="font-size:17px;">' + p.user_realname + '发起绩效考核复议审批</div>' +
						'<p class="hidden_msg" style="font-size:15px;">' + p.reason + '申请绩效理由</p>' +
						'<label >' + getMydate4(p.review_time) + '</label>' +
						'</div>' +
						'</div>' +
						'</a>' +
						'<div class="clearfix"></div>' +
						'</li>'

				}
				$("#item2 .remind_list_content").html(list);

			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}