//初始化
mui.init({

});
window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[my.app] [plusReady] ...");
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		appVersion = inf.version;
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
	});

	var loginUser = JSON.parse(getLoginUser());
	findAllTeam(loginUser.user_org_station)

	var performance = [];
	var reason = [];
	var arithmetic = [];
	var score = [];

	$(".submit_btn").on('tap', function() {
		var duty_type = $('.shadow_box_body .user_List  .active').text();
		var app_user_id = $("select[name='user_name']  option:selected").val();
		$("select[name='performance']  option:selected").each(function(i, o) {
			performance[i] = $(o).val();
		})
		var reason_flag = true;
		$("input[name='reason']").each(function(i, o) {
			if($(o).val() == "") {
				reason_flag = false;
				//				mui.toast('理由不能为空！');
			} else {
				reason[i] = $(o).val();
			}

		})

		$(".arithmetic_btn  .active").each(function(i, o) {
			arithmetic[i] = $(o).attr('data-date');
		})
		var score_flag = true;
		$("input[name='score']").each(function(i, o) {
			if($(o).val() == "") {
				//				mui.toast('分数不能为空！');
				score_flag = false;
			} else {
				score[i] = $(o).val();
			}

		})
		if(score_flag == true && reason_flag == true && app_user_id != 0) {
			console.log(duty_type);
			console.log(app_user_id);
			console.log(performance);
			console.log(reason);
			console.log(arithmetic);
			console.log(score);
			var _url = getHostIP() + 'tsis-api/performance/PerformanceAppraisalRegister';
			mui.ajax(_url, {
				dataType: 'json',
				type: 'post',
				data: {
					_method: 'post',
					duty_type: duty_type,
					app_user_id: app_user_id,
					scores: score,
					item_types: performance,
					score_types: arithmetic,
					reasons: reason
				},
				success: function(data) {
					if(data.code == 200) {
						mui.toast('提交成功!');
						clearContent();
					} else if(data.code == 40101) {
						closeAll();
					} else {
						mui.toast(data.msg)
					}
				},
				error: function() {
					mui.toast('哎呀，网络好像有问题，请检查网络连接。');
				}
			})
		} else {
			mui.toast('请填写完整信息!');
		}

	});
	$('#add_cars_box').on('tap', '.add_cars_btn', function() {
		var _this = $(this);
		var _thisParent = _this.parent('.add_cars').parent('#add_cars_box');
		var change_html = _this.parent('.add_cars').html();
		_this.html('<i class="iconfont" style="font-size: 20px;">&#xe621;</i>');
		_this.removeClass('add_cars_btn').addClass('delet_cars_btn');
		var html = '';
		html += '<div class="pf_assess add_cars">' +
			change_html +
			'</div>'
		_thisParent.append(html);
	})
	$('#add_cars_box').on('tap', '.delet_cars_btn', function() {
		var _this = $(this);
		_this.parent('.add_cars').remove();
	})

});
//查询全部班组user_List
function findAllTeam(id) {
	var _url = getHostIP() + 'tsis-api/dept/showSonDepartmentAndUser';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'post',
		data: {
			_method: 'get',
			id: id,
			dep_type: 2,
		},
		success: function(data) {

			if(data.code == 200) {
				var list = '';
				var p = data.data;
				for(var i in p.dept) {
					var a = p.dept[i];
					if(i == 0) {
						list += '<span class="active" data-data="' + a.id + '">' + a.dep_name + '</span>'
						var _url = getHostIP() + 'tsis-api/user/FindDeptUser';
						mui.ajax(_url, {
							dataType: 'json',
							type: 'post',
							data: {
								_method: 'get',
								id: a.id,
							},
							success: function(data) {
								if(data.code == 200) {
									var list = '';
									list += '<option value="0">请选择被考核人</option>';
									for(var i in data.data) {
										var p = data.data[i];

										list += '<option value="' + p.id + '">' + p.user_realname + '</option>';

									}
									$(".font-blue").html(list);
								} else if(data.code == 40101) {
									closeAll();
								} else {
									mui.toast(data.msg)
								}
							},
							error: function() {
								mui.toast('哎呀，网络好像有问题，请检查网络连接。');
							}
						})
					} else {
						list += '<span data-data="' + a.id + '">' + a.dep_name + '</span>'
					}
				}
				$(".user_List").html(list);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//清空已填考核内容
function clearContent() {
	var html = '<div class="pf_assess add_cars" style="position:relative">' +
		'<span class="add_pf mr10 add_cars_btn"><i class="iconfont" style="font-size:20px;">&#xe614;</i></span>' +
		'<select name="performance" class="pf_matter mr5">' +
		'<option value="1">业务管理</option>' +
		'<option value="2">文明服务</option>' +
		'<option value="3">日常管理</option>' +
		'<option value="4">环境卫生</option>' +
		'<option value="5">计生安全</option>' +
		'<option value="6">发展与创新</option>' +
		'</select>' +
		'<input name="reason" type="text" class="pf_reason mr5"/>' +
		'<div  class="arithmetic_btn work_user_box">' +
		'<span class="active"  data-date="1">加</span>' +
		'<span data-date="0">扣</span>' +
		'</div>' +
		'<input name="score" type="text" class="grade"/>' +
		'</div>'
	$("#add_cars_box").html(html)
}