//初始化
mui.init({

});

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});

	// 加载草稿数据
	var so_title = localStorage.getItem("so_title");
	//如果缓存中有数据，则加载出来
	if(so_title != null) {
		$('#title').val(so_title);
	}
	var so_detail = localStorage.getItem("so_detail");
	//如果缓存中有数据，则加载出来
	if(so_detail != null) {
		$('#detail').val(so_detail);
	}

	//查职务
	var userAuth = JSON.parse(getUserAuth());
	console.log(getUserAuth())
	var auth = userAuth.rolecode;

	var userinfo = JSON.parse(getLoginUser());
	console.log(getLoginUser());
	var station = userinfo.user_org_station;

	$("#submitCommand").on("tap", function() {
		sendCommand()
	})

	console.log(getLoginUser())

	getDepartment()

	//当班人员选择
	$("#select_user").on("tap", function() {
		console.log(11111)
		$(".order_box").hide();
		$(".user_modal").show();
		$("#submitCommand").hide();
		$("#hide_member").show();
		$("#back").hide();
	})

	//隐藏人员
	$("#hide_member").on("tap", function() {
		$(".order_box").show();
		$(".user_modal").hide();
		$("#submitCommand").show();
		$("#hide_member").hide();
		$("#back").show();
	})

	//全选
	$(".user_box").on("tap", ".checkdept", function() {
		if($(this).prop("checked")) {
			$(this).parent().parent().parent().find("ul input").prop("checked", false);
			$(this).parents("div").children(".check_boxed").children(".checkdept").prop("checked", false);
			$(this).prop("checked", true);
		} else {
			$(this).parent().parent().parent().find("ul input").prop("checked", true);
		}
	})

	//取消全选
	$(".user_box").on("tap", ".checkuser", function() {
		if($(this).prop("checked")) {
			console.log($(this).parents("div").children(".check_boxed").children(".checkdept").html())
			$(this).parents("div").children(".check_boxed").children(".checkdept").prop("checked", false);
		}
	})

	//搜索
	$("#search").on("tap", function() {
		var name = $("#search_name").val();
		search(auth, name);
	})

	$("#submitUser").on("tap", function() {
		var html = "";
		$(".checkuser").each(function(i, o) {
			if($(o).is(':checked')) {
				var id = $(o).val();
				var name = $(o).parent().text();
				html += '<li><span id="' + id + '" data_station="' + station + '">' + name + '</span></li>'
			}
		})
		$(".user_list").html(html)
		$(".order_box").show();
		$(".user_modal").hide();
		$("#submitCommand").show();
		$("#hide_member").hide();
		$("#back").show();
	})
});

//发送指令
function sendCommand() {
	var title = $("#title").val();
	var detail = $("#detail").val()
	var user_id = [];
	var station_id = [];
	$(".user_list li").each(function(i, o) {
		user_id[i] = $(o).find("span").attr("id");
		station_id[i] = $(o).find("span").attr("data_station");
	})
	console.log(user_id + "--" + station_id);
	var _url = getHostIP() + 'tsis-api/command/sendCommand';
	mui.ajax(_url, {
		type: "post",
		data: {
			title: title,
			detail: detail,
			user_ids: user_id,
			station_ids: station_id,
		},
		dataType: "json",
		timeout: ajax_timeout,
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				mui.toast("提交成功");
				DeleteStorage('so_title');
				DeleteStorage('so_detail');
				mui.back();
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}