var appVersion = "";
var netflag = mystorage.get("netflag");
mui.plusReady(function(obj) {
	// 加载草稿数据
	var scd_abnormal_desc = localStorage.getItem("scd_abnormal_desc");
	//如果缓存中有数据，则加载出来
	if(scd_abnormal_desc != null) {
		$('.abnormals1 textarea').val(scd_abnormal_desc);
	}
	var scd_emergency_desc = localStorage.getItem("scd_emergency_desc");
	//如果缓存中有数据，则加载出来
	if(scd_emergency_desc != null) {
		$('.emergencys1 textarea').val(scd_emergency_desc);
	}
	var item_id = getQueryString("id");
	var mark = getQueryString("mark");
	var type = getQueryString("type");
	console.log(item_id + "," + mark + "," + type)

	//加载本地存储的数据
	getLocalStorage(mark, item_id);
	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	console.log(netflag.net)
	if(netflag.net == true) {
		//显示详情
		if(type == 0) {
			showAbnormals(mark, item_id);
		}
	}

	//收费异常审批
	$("#item1").on("tap", ".abnormals1 .check_btn", function() {
		if(netflag.net == false) {
			mui.toast('当前状态无网络，无法提交，请稍后重试');
			return;
		}
		var id = $(this).data("id");
		var ad_msg = $('.ad_msg').val();
		console.log(ad_msg);
		AbnormalsApprove(id, ad_msg);
	})
	
	//点击展示大图
	$(".mui-content").on("tap", ".minImage", function() {
		console.log(1111)
		console.log($(this).attr("src"))
		$("#MaxImg img").attr("src", $(this).attr("src"));
		$('.maxImg').show();
	})
	$("#MaxImg").on("tap", function() {
		$(this).hide();
		$("#MaxImg img").attr("src", "");
	})
});

//收费异常审批
function AbnormalsApprove(id, approve_desc) {
	var _url = getHostIP() + 'tsis-api/event/SceneEventAbnormalsApproval';
	plus.nativeUI.showWaiting();
	mui.ajax(_url, {
		dataType: "json",
		type: "post",
		timeout: ajax_timeout,
		data: {
			_method: "PUT",
			id: id,
			approve_desc: approve_desc
		},
		success: function(data) {
			plus.nativeUI.closeWaiting();
			console.log(JSON.stringify(data))
			if(data.code == 200) {
				mui.back();
				DeleteStorage('scd_abnormal_desc');
				mui.toast("审批成功");
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//显示特殊事件
function showAbnormals(mark, id) {
	var _url = getHostIP() + 'tsis-api/event/showSceneEventAbnormalsDetail';
	plus.nativeUI.showWaiting();
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		timeout: ajax_timeout,
		data: {
			id: id,
		},
		success: function(data) {
			plus.nativeUI.closeWaiting();
			console.log(JSON.stringify(data.data));
			if(data.code == 200) {
				showDetail(mark, data.data);
				mystorage.set("abnormalsdetail" + id, data.data);
			} else if(data.code == 40001) {
				mui.toast("参数错误");
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]1');
			return;
		}
	})
}

//本地数据
function getLocalStorage(mark, id) {
	var data = mystorage.get('abnormalsdetail' + id);
	if(data != null) {
		showDetail(mark, data);
	}
}

//显示详情
function showDetail(mark, data) {
	if(data.length == 0) {
		return;
	}
	var p = data;
	if(mark == 0) {
		$("#item1 .abnormals1:first").find(".duty_time").text(getMydate2(p.duty_start_time * 1000) + "--" + getMydate2(p.duty_end_time * 1000));
		$("#item1 .abnormals1:first").find(".user_name").text(p.user_realname);
		if(p.toll_realname==""||p.toll_realname==null){
			$("#item1 .abnormals1:first").find(".toll_name").parent().hide();
		}else{
			$("#item1 .abnormals1:first").find(".toll_name").parent().show();
		}
		$("#item1 .abnormals1:first").find(".toll_name").text(p.toll_realname);
		$("#item1 .abnormals1:first").find(".even_time").text(getMydate1(p.occur_time * 1000));
		if(p.end_time == 0) {
			$("#item1 .abnormals1:first").find(".even_end_time").parent().hide();
		} else {
			$("#item1 .abnormals1:first").find(".even_end_time").parent().show();
		}
		$("#item1 .abnormals1:first").find(".even_end_time").text(getMydate1(p.end_time * 1000));
		$("#item1 .abnormals1:first").find(".duty_type").text(p.duty_type);
		$("#item1 .abnormals1:first").find(".duty_order").text(p.duty_order);
		if(p.toll_money == 0) {
			$("#item1 .abnormals1:first").find(".toll_money").parent().hide();
		} else {
			$("#item1 .abnormals1:first").find(".toll_money").parent().show();
		}
		$("#item1 .abnormals1:first").find(".toll_money").text(p.toll_money);
		if(p.toll_position == "") {
			$("#item1 .abnormals1:first").find(".toll_position").parent().hide();
		} else {
			$("#item1 .abnormals1:first").find(".toll_position").parent().show();
		}
		$("#item1 .abnormals1:first").find(".toll_position").text(p.toll_position);
		//有无上照片
		if(p.file==""){
			$("#item1 .abnormals1:first").find(".oImage").parent().hide();
		}else{
			var oImg = "";
			$("#item1 .abnormals1:first").find(".oImage").parent().show();
			var p_file=p.file.split(';');
			for(var i in p_file){
				if(p_file[i]!=""){
					oImg+='<img src="'+p_file[i]+'" alt="" class="minImage" />'
				}
			}
			$('#item1 .abnormals1:first').find(".oImage").html(oImg);
		}
		
		if(p.recover_money == 0 || p.recover_money == null || p.recover_money == "") {
			$("#item1 .abnormals1:first").find(".recover_money").parent().hide()
		} else {
			$("#item1 .abnormals1:first").find(".recover_money").parent().show()
		}
		$("#item1 .abnormals1:first").find(".recover_money").text(p.recover_type + p.recover_money + "元");

		var flag = true;
		var event = p.content;
		var record = "(";
		var vehicle_records = JSON.parse(p.vehicle_records);
		for(var j in vehicle_records) {
			record += vehicle_records[j];
			if(vehicle_records[j].split(":")[1] == "") {
				flag = false;
			}
			if(j < vehicle_records.length - 1) {
				record += "、";
			}
		}
		record += ")";
		if(flag) {
			event += record;
		}
		$("#item1 .abnormals1:first").find(".event").text(event);

		$("#item1 .abnormals1:first").find(".dispose").text(p.dispose);
		$("#item1 .abnormals1:first").find(".check_btn").attr("data-id", p.id1);
		console.log($("#item1 .abnormals1:first").find(".check_btn").attr("data-id"))
		var abnormals = '<div class="shadow_box_body abnormals1">' +
			$('.abnormals1').html() +
			'</div>'
		$('#item1').html(abnormals);
	} else if(mark == 1) {
		$("#item2 .abnormals2:first").find(".duty_time").text(getMydate2(p.duty_start_time * 1000) + "--" + getMydate2(p.duty_end_time * 1000));
		$("#item2 .abnormals2:first").find(".user_name").text(p.user_realname);
		if(p.toll_realname==""||p.toll_realname==null){
			$("#item2 .abnormals2:first").find(".toll_name").parent().hide();
		}else{
			$("#item2 .abnormals2:first").find(".toll_name").parent().show();
		}
		$("#item2 .abnormals2:first").find(".toll_name").text(p.toll_realname);
		$("#item2 .abnormals2:first").find(".even_time").text(getMydate1(p.occur_time * 1000));
		if(p.end_time == 0) {
			$("#item2 .abnormals2:first").find(".even_end_time").parent().hide();
		} else {
			$("#item2 .abnormals2:first").find(".even_end_time").parent().show();
		}
		$("#item2 .abnormals2:first").find(".even_end_time").text(getMydate1(p.end_time * 1000));
		$("#item2 .abnormals2:first").find(".duty_type").text(p.duty_type);
		$("#item2 .abnormals2:first").find(".duty_order").text(p.duty_order);
		$("#item2 .abnormals2:first").find(".approval_name").text(p.approve_realname);
		//有无上照片
		if(p.file==""){
			$("#item2 .abnormals2:first").find(".oImage").parent().hide();
		}else{
			var oImg = "";
			$("#item2 .abnormals2:first").find(".oImage").parent().show();
			var p_file=p.file.split(';');
			for(var i in p_file){
				if(p_file[i]!=""){
					oImg+='<img src="'+p_file[i]+'" alt="" class="minImage" />'
				}
			}
			$('#item2 .abnormals2:first').find(".oImage").html(oImg);
		}
		//审批意见
		if(p.approve_desc == "" || p.approve_desc == "") {
			$("#item2 .abnormals2:first").find(".approval_msg").text('暂无审批意见');
		} else {
			$("#item2 .abnormals2:first").find(".approval_msg").text(p.approve_desc);
		}
		//弃款金额
		if(p.toll_money == 0) {
			$("#item2 .abnormals2:first").find(".toll_money").parent().hide()
		} else {
			$("#item2 .abnormals2:first").find(".toll_money").parent().show()
		}
		$("#item2 .abnormals2:first").find(".toll_money").text(p.toll_money);

		//弃款去向
		if(p.toll_position == "") {
			$("#item2 .abnormals2:first").find(".toll_position").parent().hide()
		} else {
			$("#item2 .abnormals2:first").find(".toll_position").parent().show()
		}
		$("#item2 .abnormals2:first").find(".toll_position").text(p.toll_position);
		if(p.recover_money == 0 || p.recover_money == null || p.recover_money == "") {
			$("#item2 .abnormals2:first").find(".recover_money").parent().hide()
		} else {
			$("#item2 .abnormals2:first").find(".recover_money").parent().show()
		}
		$("#item2 .abnormals2:first").find(".recover_money").text(p.recover_type + p.recover_money + "元");

		var flag = true;
		var event = p.content;
		var record = "(";
		var vehicle_records = JSON.parse(p.vehicle_records);
		for(var j in vehicle_records) {
			record += vehicle_records[j];
			if(vehicle_records[j].split(":")[1] == "") {
				flag = false;
			}
			if(j < vehicle_records.length - 1) {
				record += "、";
			}
		}
		record += ")";
		if(flag) {
			event += record;
		}
		$("#item2 .abnormals2:first").find(".event").text(event);

		$("#item2 .abnormals2:first").find(".dispose").text(p.dispose);
		var abnormals = '<div class="shadow_box abnormals2">' +
			$('.abnormals2').html() +
			'</div>'
		$('#item2').html(abnormals);
	} else if(mark == 2) {
		var html3 = "";
		var event = p.content;
		var record = "(";
		var vehicle_records = JSON.parse(p.vehicle_records);
		for(var j in vehicle_records) {
			record += vehicle_records[j];
			if(vehicle_records[j].split(":")[1] == "") {
				flag = false;
			}
			if(j < vehicle_records.length - 1) {
				record += "、";
			}
		}
		record += ")";
		if(flag) {
			event += record;
		}
		html3 += '<div class="shadow_box_body abnormals1">' +
			'<div class="record_msg even_name">' +
			'<span style="width:100%;" class="font-blue">特殊事件登记审批</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>当班时间：</span>' +
			'<label class="font-blue duty_time">' + getMydate2(p.duty_start_time * 1000) + '--' + getMydate2(p.duty_end_time * 1000) + '</label>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>班长：</span>' +
			'<span class="color666 user_name">' + p.user_realname + '</span>' +
			'</div>' 
			if(p.toll_realname!=""&&p.toll_realname!=null){
				html3+='<div class="record_msg">' +
							'<span>收费员：</span>' +
							'<span class="color666 toll_name">' + p.toll_realname + '</span>' +
						'</div>' 
			}
			html3+='<div class="record_msg">' +
			'<span>班别：</span>' +
			'<span class="color666 duty_type">' + p.duty_type + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>班次：</span>' +
			'<span class="color666 duty_order">' + p.duty_order + '</span>' +
			'</div>'
		if(p.toll_money != 0) {
			html3 += '<div class="record_msg">' +
				'<span>弃款金额：</span>' +
				'<span class="color666 toll_money">' + p.toll_money + '元</span>' +
				'</div>'
		}
		if(p.toll_position != "") {
			html3 += '<div class="record_msg">' +
				'<span>弃款去向：</span>' +
				'<span class="color666 toll_position">' + p.toll_position + '</span>' +
				'</div>'
		}
		if(p.recover_money != 0) {
			html3 += '<div class="record_msg">' +
				'<span>退/补金额：</span>' +
				'<span class="color666 recover_money">' + p.recover_type + p.recover_money + '元</span>' +
				'</div>'
		}

		html3 += '<div class="record_msg">' +
			'<span>特殊事件：</span>' +
			'<p class="event">' + event + '</p>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>处理情况：</span>' +
			'<p class="dispose">' + p.dispose + '</p>' +
			'</div>' +
			'<div class="record_msg">'
		if(p.file!=""){
			html3+='<div class="record_msg">'+
						'<span>相关现场图片：</span>'+
						'<div id="originalImg" class="oImage">'
						var p_file=p.file.split(';');
						for(var i in p_file){
							if(p_file[i]!=""){
								html3+='<img src="'+p_file[i]+'" alt="" class="minImage" />'
							}
						}
				html3+='</div>'+
					'</div>'
		}
		if(p.approve_user_id == 0) {
			html3 += '<span>暂未审批</span>'
		} else {
			html3 += '<span>审批人：</span>' +
				'<p class="approval_name">' + p.approve_realname + '</p>' +
				'</div>' +
				'<div class="record_msg">' +
				'<span>审批意见：</span>'
			if(p.approve_desc == "" || p.approve_desc == "") {
				html3 += '<p class="approval_msg">暂无意见</p>'
			} else {
				html3 += '<p class="approval_msg">' + p.approve_desc + '</p>'
			}
			html3 += '</div>'
			if(p.approve_time != 0) {
				html3 += '<div class="check_done">' +
					'<img src="../images/others/shenpi.png" alt="" />' +
					'</div>'
			}
		}

		html3 += '<div class="clearfix"></div>' +
			'</div>'
		$('#item1').html(html3);
	}

}

function getQueryString(name) {
	var result = window.location.search.match(new RegExp("[\?\&]" + name + "=([^\&]+)", "i"));
	if(result == null || result.length < 1) {
		return "";
	}
	return decodeURI(result[1]);
}