//初始化
mui.init({

});

var appVersion = "";
var netflag = mystorage.get("netflag");
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	// 加载草稿数据
	var ser_dispose = localStorage.getItem("ser_dispose");
	//如果缓存中有数据，则加载出来
	if(ser_dispose != null) {
		$('#dispose').val(ser_dispose);
	}

	//加载本地存储的数据
	getLocalStorage(0);
	getLaneLocalStorage();
	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	if(netflag.net == true) {
		findEvent(0);
		findStaff();
		findLane();
	}
	$(".submit_btn").on("tap", function() {
		if(netflag.net == true) {
			submitBtn();
		}else{
			mui.toast(nonet);
		}
	})

	//车道加号
	$('.mui-content').on('tap', '#add_otheepl', function() {
		$(this).parent('.record_msg').siblings('.otherInput').toggle();
	})

	//点击切换样式
	$('.even_father').on('tap', 'span', function() {
		$(this).addClass('active').siblings('span').removeClass('active');
		var father_id = $(this).attr('data-id');
		getLocalStorage(father_id);
		if(netflag.net == true) {
			findEvent(father_id);
		}
	})
	$('.even_list').on('tap', 'li', function() {
		$(this).addClass('active').siblings('li').removeClass('active');
	})
	//点击原始图片展示遮罩层和大图
//		var mask = mui.createMask()
//		mask.show();
	//拍照功能的使用
	$('#uploading_photo').on('tap',function(){
		if(mui.os.plus){
			var a=[{title:"拍照"},{title:"从相册选择"}];
			plus.nativeUI.actionSheet({
				title:"选择方式",
				cancel:"取消",
				buttons:a
			},function(b){
				switch(b.index) {
					case 0:
						break;
					case 1:
						getImage(); /*拍照*/
						break;
					case 2:
						galleryImg(); /*打开相册*/
						break;
					default:
						break;
				}	
			});	
		}
	})
	//查看大图
	$("#originalImg").on("tap", ".minImage", function() {
		console.log($(this).attr("src"))
		$("#MaxImg img").attr("src", $(this).attr("src"));
		$('.maxImg').show();
	})
	$("#MaxImg").on("tap", function() {
		$(this).hide();
		$("#MaxImg img").attr("src", "");
	})
	//拍照功能结束
});
//拍照
function getImage(){
	var camera=plus.camera.getCamera();
	//生成时间戳
	var timestamp=Date.parse(new Date());
	camera.captureImage(function(e){
		plus.io.resolveLocalFileSystemURL(e,function(entry){
			var imgUrl=entry.toLocalURL();
			$('#originalImg').append('<img src="'+imgUrl+'" alt="" class="minImage"/>');
			//拍完准备上传
			uploadHead(imgUrl);
		},function(e){
			mui.toast("读取拍照文件错误");
		},function(e){
			mui.alert("调用摄像头异常");
		},{
			filename:timestamp+"-img.png"
		});
	})
}
//本地相册上传
function galleryImg(){
	var timestamp=Date.parse(new Date());
	plus.gallery.pick(function(img){
		plus.io.resolveLocalFileSystemURL(img,function(entry){
			var imgUrl=entry.toLocalURL();
			$('#originalImg').append('<img src="'+imgUrl+'" alt="" class="minImage"/>');
			uploadHead(imgUrl);
		},function(e){
			mui.toast('读取图片错误');
		},function(e){
			mui.toast('选取图片异常')
		},{
			filename:timestamp+"-img.png"
		})
	})
}
//上传
function uploadHead(imgPath){
	var image=new Image();
	image.src=imgPath;
	image.onload=function(){
		var imgData=getBase64Image(image);
		var _url=getHostIP()+'tsis-api/image/imgeupload';
		mui.ajax({
			url:_url,
			data:{
				"imgBase64Data":imgData
			},
			dataType:'json',
			type:'post',
			timeout:10000,
			success:function(data){
				console.log(JSON.stringify(data));
				if(data.code==200){
					$('#disImg').append('<p class="dataImgPath" data-path="'+data.data+'"></p>')
				}else{
					mui.toast('上传失败')
				}
				
			},
			error:function(){
				mui.toast('网络异常，请稍后再试！');
			}
		
		})
	}
}
//将图片压缩转成base64
function getBase64Image(img) {
	//绘制图形
	var canvas = document.createElement("canvas");
	var width = img.width;
	console.log(width);
	var height = img.height;
	console.log(height);
	// 这里对图片大于300*400的进行压缩
	if(width > height) {
		if(width > 300) {
			height = Math.round(height *= 300 / width);
			width = 300;
		}
	} else {
		if(height > 400) {
			width = Math.round(width *= 400 / height);
			height = 400;
		}
	}
	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); /*绘图*/
	var dataURL = canvas.toDataURL("image/png", 0.5);
	console.log(dataURL);
	return dataURL.replace("data:image/png;base64,", "");
}

//提交
function submitBtn() {
	//时间
	var special_date = $("#special_date").val().replace(/-/g, '/');
	var occur_time = 0;
	if(special_date != "") {
		occur_time = new Date(special_date).getTime() / 1000;
	}
	var end_time_date = $("#special_end_date").val().replace(/-/g, '/');
	var end_time = 0;
	if(end_time_date != "") {
		end_time = new Date(end_time_date).getTime() / 1000;
	}
	console.log(end_time)
	//收费员
	var select_staff = $("#select_staff").val();
	console.log(select_staff);
	//车道号
	var select_lane = $(".lane_name").val();
	//	console.log(select_lane);
	//获取照片
	var photoPath=[];
	$('#disImg p').each(function(i,o){
		var imgPath=$(o).attr('data-path');
		photoPath[i]=imgPath;
	})
	console.log(photoPath)
	//事件异常情况
	var connect_item = $('.even_list .active').attr('data-id');
	//处理情况
	var dispose = $("#dispose").val();
	console.log(dispose);
	//车辆记录,JSON数组[car_num:车牌，car_type:车类型，car_category:车型]
	var vehicle_records = [];
	var car_num = [];
	$(".ul_input").each(function(i, o) {
		var car = "";
		$(o).find("li").each(function(j, p) {
			car += $(p).text();
		})
		car_num[i] = car;
	})
	$(".add_cars").each(function(i, o) {
		//		var car_num = $(o).find(".car_num").val();
		var car_category = $(o).find(".font-blue").text();
		var car_type = $(o).find("[name = 'car_type']").val();
		console.log(car_num[i] + "  " + car_category + "   " + car_type);
		vehicle_records[i] = car_category + car_type + ":" + car_num[i]
	})

	//弃款金额
	var toll_money = $("#toll_money").val();
	//弃款去向
	var toll_position = $("#toll_position").val();
	//退/补
	var recover_type = $(".arithmetic_btn .active").text();
	//退补金额
	var recover_money = $("#recover_money").val();
	//提交
	var _url = getHostIP() + 'tsis-api/event/SceneEventAbnormalsRegister';

	mui.ajax(_url, {
		dataType: "json",
		type: "post",
		timeout: ajax_timeout,
		data: {
			files:photoPath,
			occur_time: occur_time,
			end_time: end_time,
			toll_user_id: select_staff,
			toll_money: toll_money,
			toll_position: toll_position,
			recover_type: recover_type,
			recover_money: recover_money,
			roadway: select_lane,
			event: connect_item,
			dispose: dispose,
			vehicle_records: JSON.stringify(vehicle_records),
		},
		success: function(data) {
			if(data.code == 200) {
				mui.toast("提交成功");
				DeleteStorage('ser_dispose');
				mui.back();
			} else if(data.code == 40001) {
				mui.toast("请填写完整信息");
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//查询所有异常事件
function findEvent(sup_id) {
	var _url = getHostIP() + 'tsis-api/event/showSceneEventUnusedictBySupId';
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		data: {
			sup_id: sup_id
		},
		success: function(data) {
			if(data.code == 200) {
				console.log(JSON.stringify(data.data));
				showEvent(sup_id, data.data);
				mystorage.set("sceneEventUnusedict" + sup_id, data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//显示所有异常事件
function showEvent(sup_id, data) {
	var html = "";
	var html1 = "";
	for(var i in data) {
		var p = data[i];
		if(sup_id == 0) {
			if(i == 0) {
				html += '<span class="active" data-id="' + p.id + '">' + p.content + '</span>'
				getLocalStorage(p.id);
				if(netflag.net == true) {
					findEvent(p.id);
				}
			} else {
				html += '<span data-id="' + p.id + '">' + p.content + '</span>'
			}
		} else {
			if(i == 0) {
				html1 += '<li class="active" data-id="' + p.id + '"><span>' + p.content + '</span></li>'
			} else {
				html1 += '<li data-id="' + p.id + '"><span>' + p.content + '</span></li>'
			}
		}
	}
	if(sup_id == 0) {
		$('.even_father').html(html);
	} else {
		$('.even_list').html(html1);
	}
}

//查询收费员
function findStaff() {
	var _url = getHostIP() + 'tsis-api/user/getDutyTeams';
	plus.nativeUI.showWaiting();
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		timeout: ajax_timeout,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if(data.code == 200) {
				showStaff(data.data);
				mystorage.set("staff", data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//加载本地收费员
function getStaffLocalStorage() {
	var data = mystorage.get('staff');
	if(data != null) {
		showStaff(data);
	}
}

//显示收费员
function showStaff(data) {
	var select_staff = '<option value="0">请选择收费员</option>';
	for(var i in data) {
		select_staff += '<option value="' + data[i].id + '">' + data[i].user_realname + '</option>'
	}
	$("#select_staff").html(select_staff);
}

//查询车道号
function findLane() {
	var _url = getHostIP() + 'tsis-api/lane/getLaneForStation';
	plus.nativeUI.showWaiting();
	mui.ajax(_url, {
		dataType: "json",
		type: "get",
		timeout: ajax_timeout,
		success: function(data) {
			plus.nativeUI.closeWaiting();
			console.log(JSON.stringify(data.data));
			if(data.code == 200) {
				showLane(data.data);
				mystorage.set("lane", data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//加载本地车道号
function getLaneLocalStorage() {
	var data = mystorage.get('lane');
	if(data != null) {
		showLane(data);
	}
}

//显示车道号
function showLane(data) {
	var html = "";
	html += '<option value="0">请选择车道号</option>';
	for(var i in data) {
		var p = data[i];
		html += '<option value="' + p.id + '">' + p.lane_num + '</option>';
	}
	$('#lane').html(html);
}

//加载离线该班人员
function getLocalStorage(id) {
	var data = mystorage.get('sceneEventUnusedict' + id);
	if(data != null) {
		showEvent(id, data);
	}
}