mui.plusReady(function(obj) {
	console.log("[work_before_check.app] [plusReady] ...");
});
var netflag = mystorage.get("netflag");
mui.plusReady(function() {
	// 加载草稿数据
	var wbcd_desc = localStorage.getItem("wbcd_desc");
	//如果缓存中有数据，则加载出来
	if(wbcd_desc != null) {
		$('textarea').val(wbcd_desc);
	}

	console.log(111)
	var mark = getQueryString("mark");
	var item_id = getQueryString("id");
	var time = getQueryString("time");
	//加载本地存储的数据
	getLocalStorage(mark, item_id);
	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	console.log(netflag.net)
	if(netflag.net == true) {
		//显示详情
		findWb(mark, item_id, time);
	}

	//点击审批按钮
	$('#item1').on('tap', '.work_before_btn', function() {
		if(netflag.net == false) {
			mui.toast('当前状态无网络，无法提交，请稍后重试');
			return;
		}
		console.log(11)
		var _this = $(this);
		var ad_msg = $('.ad_msg').val();
		var check_id = [];
		$('#item1').find('input:hidden').each(function(i, v) {
			console.log($(v).val())
			check_id[i] = $(v).val();
		})
		var _url = getHostIP() + 'tsis-api/postcheck/AuditApproval';
		mui.ajax(_url, {
			dataType: 'json',
			type: 'post',
			data: {
				_method: 'put',
				id: check_id,
				approve_desc: ad_msg
			},
			success: function(data) {
				console.log(JSON.stringify(data));
				if(data.code == 200) {
					mui.back();
					DeleteStorage('wbcd_desc');
					mui.toast('已审批成功！');
				} else if(data.code == 40101) {
					closeAll();
				} else {
					mui.toast(data.msg)
				}
			},
			error: function() {
				mui.toast('哎呀，网络好像有问题，请检查网络连接。');
			}
		})
	})

})
//展示所有未审批的数据
function findWb(mark, id, time) {
	console.log(555)
	var _url = getHostIP() + 'tsis-api/postcheck/showPostcheckDetail';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			create_user_id: id,
			create_time: time
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				mystorage.set("postcheckdetail" + id, data.data);
				showDetail(mark, data.data)
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。')
		}
	})
}

//本地数据
function getLocalStorage(mark, id) {
	var data = mystorage.get('postcheckdetail' + id);
	if(data != null) {
		showDetail(mark, data);
	}
}
//显示详情
function showDetail(mark, data) {
	if(data.length == 0) {
		return;
	}
	var html1 = "";
	var html = "";
	for(var i in data) {
		var p = data[i];
//		console.log(JSON.stringify(p));
		//					console.log(p.appearance)
		if(mark == 0) {
			html1 += '<div class="shadow_box_body">' +
				'<div class="record_msg">' +
				'<span>是否正常上班：</span>'
			if(p.office == 0) {
				html1 += '<span class="color666">否</span>' +
					'</div>' +
					'<div class="record_msg">' +
					'<span>收费员：</span>' +
					'<span class="color666">' + p.user_realname + '</span>' +
					'</div>' +
					'<input type="hidden" value="' + p.id + '">' +
					'<div class="clearfix"></div>' +
					'</div>'
			} else if(p.office == 1) {
				html1 += '<span class="color666">是</span>' +
					'</div>' +
					'<div class="record_msg">' +
					'<span>收费员：</span>' +
					'<span class="color666">' + p.user_realname + '</span>' +
					'</div>' +
					'<div class="record_msg">' +
					'<span>员工着装：</span>'
				switch(p.dressing) {
					case 0:
						html1 += '<span class="font-blue">无星</span>';
						break;
					case 1:
						html1 += '<span class="font-blue">一星</span>';
						break;
					case 2:
						html1 += '<span class="font-blue">二星</span>';
						break;
					case 3:
						html1 += '<span class="font-blue">三星</span>';
						break;
					case 4:
						html1 += '<span class="font-blue">四星</span>';
						break;
					case 5:
						html1 += '<span class="font-blue">五星</span>';
						break;
				}
				html1 += '</div>' +
					'<div class="record_msg">' +
					'<span>仪容仪表：</span>'
				switch(p.appearance) {
					case 0:
						html1 += '<span class="font-blue">无星</span>';
						break;
					case 1:
						html1 += '<span class="font-blue">一星</span>';
						break;
					case 2:
						html1 += '<span class="font-blue">二星</span>';
						break;
					case 3:
						html1 += '<span class="font-blue">三星</span>';
						break;
					case 4:
						html1 += '<span class="font-blue">四星</span>';
						break;
					case 5:
						html1 += '<span class="font-blue">五星</span>';
						break;
				}

				html1 += '</div>' +
					'<div class="record_msg">' +
					'<span class="otherStyle_wb">是否携带违禁物品：</span>'
				switch(p.carry) {
					case 0:
						html1 += '<span class="color666">否</span>';
						break;
					case 1:
						html1 += '<span class="color666">是（' + p.contraband + '）</span>';
						break;
				}
				html1 += '</div>' +
					'<div class="record_msg">' +
					'<span class="otherStyle_wb">上班物品是否齐全：</span>'
				switch(p.workItem) {
					case 0:
						html1 += '<span class="color666">否</span>';
						break;
					case 1:
						html1 += '<span class="color666">是</span>';
						break;
				}
				html1 += '</div>' +
					'<input type="hidden" value="' + p.id + '">' +
					'<div class="clearfix"></div>' +
					'</div>'
			}

		} else if(mark == 1) {
			//mark==1时
			html += '<div class="shadow_box">' +
				'<div class="shadow_box_body">' +
				'<div class="record_msg">' +
				'<span>是否正常上班：</span>'
			if(p.office == 0) {
				html += '<span class="color666">否</span>' +
					'</div>' +
					'<div class="record_msg">' +
					'<span>收费员：</span>' +
					'<span class="color666">' + p.user_realname + '</span>' +
					'</div>' +
					'<div class="record_msg">' +
					'<span>审批意见：</span>'
				if(i.approve_desc == "" || i.approve_desc == null) {
					html += '<p class="approval_msg">暂无意见</p>'
				} else {
					html += '<p class="approval_msg">' + i.approve_desc + '</p>'
				}

				html += '</div>' +
					'</div>' +
					'<div class="check_done">' +
					'<img src="../images/others/shenpi.png" alt="" />' +
					'</div>' +
					'</div>' +
					'</div>'

			} else if(p.office == 1) {
				html += '<span class="color666">是</span>' +
					'</div>' +
					'<div class="record_msg">' +
					'<span>收费员：</span>' +
					'<span class="color666">' + p.user_realname + '</span>' +
					'</div>' +
					'<div class="record_msg">' +
					'<span>员工着装：</span>'
				switch(p.dressing) {
					case 0:
						html += '<span class="font-blue">无星</span>';
						break;
					case 1:
						html += '<span class="font-blue">一星</span>';
						break;
					case 2:
						html += '<span class="font-blue">二星</span>';
						break;
					case 3:
						html += '<span class="font-blue">三星</span>';
						break;
					case 4:
						html += '<span class="font-blue">四星</span>';
						break;
					case 5:
						html += '<span class="font-blue">五星</span>';
						break;
				}
				html += '</div>' +
					'<div class="record_msg">' +
					'<span>仪容仪表：</span>'
				switch(p.appearance) {
					case 0:
						html += '<span class="font-blue">无星</span>';
						break;
					case 1:
						html += '<span class="font-blue">一星</span>';
						break;
					case 2:
						html += '<span class="font-blue">二星</span>';
						break;
					case 3:
						html += '<span class="font-blue">三星</span>';
						break;
					case 4:
						html += '<span class="font-blue">四星</span>';
						break;
					case 5:
						html += '<span class="font-blue">五星</span>';
						break;
				}

				html += '</div>' +
					'<div class="record_msg">' +
					'<span class="otherStyle_wb">是否携带违禁物品：</span>'
				switch(p.carry) {
					case 0:
						html += '<span class="color666">否</span>';
						break;
					case 1:
						html += '<span class="color666">是（' + p.contraband + '）</span>';
						break;
				}
				html += '</div>' +
					'<div class="record_msg">' +
					'<span class="otherStyle_wb">上班物品是否齐全：</span>'
				switch(p.workItem) {
					case 0:
						html += '<span class="color666">否</span>';
						break;
					case 1:
						html += '<span class="color666">是</span>';
						break;
				}
				html += '<div class="record_msg">' +
					'<span>审批意见：</span>'
				if(i.approve_desc == "" || i.approve_desc == null) {
					html += '<p class="approval_msg">暂无意见</p>'
				} else {
					html += '<p class="approval_msg">' + i.approve_desc + '</p>'
				}

				html += '</div>' +
					'</div>' +
					'<div class="check_done">' +
					'<img src="../images/others/shenpi.png" alt="" />' +
					'</div>' +
					'</div>' +
					'</div>'
			}

		}
	}
	html1 += '<div class="shadow_box_body">' +
		'<div class="record_msg">' +
		'<span style="width:100%">审批意见：</span>' +
		'<textarea name="" rows="" cols="" class="mt10 ad_msg" onkeyup="AutoSave(\'wbcd_desc\',this);"></textarea>' +
		'</div>' +
		'<button class="fr check_btn work_before_btn mb20" type="button" data-id="' + p.id + '">审批</button>' +
		'<div class="clearfix"></div>' +
		'</div>'
	if(mark == 0) {
		$('#item1').html(html1);
	} else if(mark == 1) {
		$('#item2').html(html);
	}
}

function getQueryString(name) {
	var result = window.location.search.match(new RegExp("[\?\&]" + name + "=([^\&]+)", "i"));
	if(result == null || result.length < 1) {
		return "";
	}
	return decodeURI(result[1]);
}