mui.init({

});

window.addEventListener('reload_all', function() {})

var appVersion = "";
mui.plusReady(function(obj) {
	console.log("[work_record.app] [plusReady] ...");
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[work_record.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});
});
var netflag = mystorage.get("netflag");
mui.plusReady(function() {
	//加载本地存储的数据
	getLocalStorage();
	getDeptLocalStorage();
	//查职务
	var userAuth = JSON.parse(getUserAuth());
	console.log(getUserAuth())
	var auth = userAuth.rolecode;

	var userinfo = JSON.parse(getLoginUser());
	console.log(getLoginUser());
	var station = userinfo.user_org_station;

	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	if(netflag.net == true) {
		//显示当班记录
		findDutyStaffs();
		//显示部门
		getDept();
	}

	//提交按钮
	$("#work_rec_btn").on("tap", function() {
		console.log("网络连接情况：" + netflag.net)
		if(netflag.net == false) {
			mui.toast(nonet);
		} else {
			workRecordSubmit();
		}
	})

	//当班人员选择
	$("#select_user").on("tap", function() {
		if(netflag.net == true) {
			$(".shadow_box").hide();
			$(".user_modal").show();
			$("#work_rec_btn").hide();
			$("#hide_member").show();
			$("#back").hide();
		} else {
			mui.toast(nonet);
		}
	})

	//隐藏人员
	$("#hide_member").on("tap", function() {
		$(".shadow_box").show();
		$(".user_modal").hide();
		$("#work_rec_btn").show();
		$("#hide_member").hide();
		$("#back").show();
	})

	//全选
	$(".user_box").on("tap", ".checkdept", function() {
		if($(this).prop("checked")) {
			$(this).parent().parent().parent().find("ul input").prop("checked", false);
			$(this).parents("div").children(".check_boxed").children(".checkdept").prop("checked", false);
			$(this).prop("checked", true);
		} else {
			$(this).parent().parent().parent().find("ul input").prop("checked", true);
		}
	})

	//取消全选
	$(".user_box").on("tap", ".checkuser", function() {
		if($(this).prop("checked")) {
			console.log($(this).parents("div").children(".check_boxed").children(".checkdept").html())
			$(this).parents("div").children(".check_boxed").children(".checkdept").prop("checked", false);
		}
	})

	//搜索
	$("#search").on("tap", function() {
		var name = $("#search_name").val();
		search(auth, name);
	})

	//点击当班人员加active
	$('.work_user_box').on('tap', 'span', function() {
		var _this = $(this);
		_this.toggleClass('active');
		var data = [];
		$("#duty_staffs .active").each(function(i, o) {
			data[i] = {
				"id": $(o).data("id"),
				"text": $(o).text()
			}
		})
		console.log(JSON.stringify(data));
		showEntranceUser(data);
	})

	//添加人员
	$("#submitUser").on("tap", function() {
		var html = "";
		$(".checkuser").each(function(i, o) {
			if($(o).is(':checked')) {
				var flag = true;
				$("#duty_staffs span").each(function(j, p) {
					if($(p).attr("data-id") == $(o).val()) {
						flag = false;
					}
				})
				var id = $(o).val();
				var name = $(o).parent().text();
				if(flag) {
					html += '<span data-id="' + id + '" class="active">' + name + '</span>'
				}
			}
		})
		$("#duty_staffs").append(html)
		$(".shadow_box").show();
		$(".user_modal").hide();
		$("#work_rec_btn").show();
		$("#hide_member").hide();
		$("#back").show();
		var data = [];
		$("#duty_staffs .active").each(function(i, o) {
			data[i] = {
				"id": $(o).data("id"),
				"text": $(o).text()
			}
		})
		console.log(JSON.stringify(data));
		showEntranceUser(data);
	})

	//点击显示加载更多 
	$(".other_box").on('tap', function() {
		var _this = $(this);
		_this.siblings("textarea").toggle();
	})

	//点击加号添加交接物品类目
	$('.add_wgoods_btn').on('tap', function() {
		var _this = $(this);
		var _thisParent = _this.parent('.awb_box').prev('.record_msg');
		var html = '<div class="connect_goods mt10">' +
			'<span class="ml15">' +
			'<span style="width:25%" class="delete_btn">' +
			'<i class="mr15 iconfont">&#xe621;</i>' +
			'</span>' +
			'<input class="record_text" type="text" />' +
			'<input type="text" class="ml15 input_msg record_num" />个' +
			'</span>' +
			'</div>'
		_thisParent.append(html);
	})

	//删除
	$('.record_msg').on('tap', '.delete_btn', function() {
		var this_box = $(this).parents('.connect_goods');
		var delete_count = 0;
		$('.delete_btn').each(function(i, o) {
			delete_count++;
		})
		if(delete_count != 1) {
			this_box.remove();
		} else {
			mui.toast("至少保留一个")
		}
	})

})

//显示
function findWorkRecord() {
	var _url = getHostIP() + 'tsis-api/dutyrecords/showNowSceneDutyrecords';
	mui.get(_url, {}, function(data) {
		console.log(JSON.stringify(data));
		if(data.code == 200) {
			showWorkRecord(data.data);
			//存储到本地
			mystorage.set('duty', data.data);
		} else if(data.code == 40101) {
			closeAll();
		} else {
			mui.toast(data.msg)
		}
	}, 'json');
}

//提交
function workRecordSubmit() {
	//当班记录id
	var id = $("#work_recode_id").val();
	//当班人员
	var duty_staffs = [];
	$("#duty_staffs .active").each(function(i, o) {
		duty_staffs[i] = $(o).data("id");
	})
	console.log(duty_staffs);
	//交接物品
	var record_text = [];
	$(".record_text").each(function(i, o) {
		record_text[i] = $(o).val();
	})
	//交接物品个数
	var record_num = [];
	$(".record_num").each(function(i, o) {
		record_num[i] = $(o).val();
	})
	//交接事项
	var record_item = $(".record_item").val();
	//当班事项=交接物品+交接物品个数+交接事项
	var duty_items = "";
	for(var i in record_text) {
		if(record_text[i] != "") {
			duty_items += record_text[i] + ":" + record_num[i] + "个;"
		}
	}
	duty_items += record_item;
	console.log(duty_items);
	//设施设备检查情况及处理措施
	var duty_dev_check = "";
	var j = 0;
	$("[name='checkbox1']:checked").each(function(i, o) {
		j = i + 1;
		duty_dev_check += j + "." + $(o).siblings("label").text() + ";";
	})
	var record_check = $("#record_check").val();
	if(record_check != "") {
		duty_dev_check += j + 1 + "." + record_check;
	}
	console.log(duty_dev_check);
	//工作安排
	var duty_work = "";
	var entrance_user = $("#entrance_user").combotree("getText");
	var connect_item = $("#connect_item").combotree("getText");
	var record_work = $("#record_work").val();
	if(entrance_user != "") {
		duty_work += "入口:" + entrance_user + ";";
	}
	if(connect_item != "") {
		duty_work += "出口:" + connect_item + ";";
	}
	if(record_work != "") {
		duty_work += "其他安排:" + record_work + ";";
	}
	console.log(duty_work);

	var callUrl = getHostIP() + "tsis-api/dutyrecords/SceneDutyrecordsEdit";
	mui.ajax(callUrl, {
		dataType: 'json',
		type: 'post',
		data: {
			_method: "PUT",
			id: id,
			duty_staffs: JSON.stringify(duty_staffs),
			duty_items: duty_items,
			duty_dev_check: duty_dev_check,
			duty_work: duty_work,
		},
		timeout: ajax_timeout,
		success: function(data) {
			console.log(JSON.stringify(data))
			if(data.code == 200) {
				mui.toast("提交成功");
				mui.back();
			} else if(data.code == 40001) {
				mui.toast("请填写完整信息");
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	});
}

//查询该班所有人员
function findDutyStaffs() {
	var _url = getHostIP() + 'tsis-api/user/getDutyTeams';
	mui.get(_url, {}, function(data) {
		console.log(JSON.stringify(data));
		if(data.code == 200) {
			showDutyStaffs(data.data)
			mystorage.set('duty_person', data.data);
		} else if(data.code == 40101) {
			closeAll();
		} else {
			mui.toast(data.msg)
		}
	}, 'json');
}

//加载离线该班人员
function getLocalStorage() {
	var data = mystorage.get('duty_person');
	if(data != null) {
		showDutyStaffs(data);
	}
}

//显示该班所有人员
function showDutyStaffs(data) {
	var list = data;
	var duty_staffs = '';
	for(var i in list) {
		duty_staffs += '<span data-id="' + list[i].id + '">' + list[i].user_realname + '</span>';
	}
	$("#duty_staffs").html(duty_staffs);
	getDutyLocalStorage();
	if(netflag.net == true) {
		findWorkRecord();
	}
}

function showEntranceUser(data) {
	//入口人员
	$('#entrance_user').combotree({
		valueField: "id", //Value字段
		textField: "text", //Text字段
		multiple: true,
		data: [{
			"id": 1,
			"text": "全选",
			"children": data
		}],
		onCheck: function(node, checked) {
			//让全选不显示
			$("#entrance_user").combotree("setText", $("#entrance_user").combobox("getText").toString().replace("全选,", ""));
		},
		onClick: function(node, checked) {
			//让全选不显示
			$("#entrance_user").combotree("setText", $("#entrance_user").combobox("getText").toString().replace("全选,", ""));
		}
	});
	$("#connect_item").combotree({
		valueField: "id", //Value字段
		textField: "text", //Text字段
		multiple: true,
		data: [{
			"id": 1,
			"text": "全选",
			"children": data
		}],
		onCheck: function(node, checked) {
			//让全选不显示
			$("#connect_item").combotree("setText", $("#connect_item").combobox("getText").toString().replace("全选,", ""));
		},
		onClick: function(node, checked) {
			//让全选不显示
			$("#connect_item").combotree("setText", $("#connect_item").combobox("getText").toString().replace("全选,", ""));
		}
	});
}

//加载本地数据
function getDutyLocalStorage() {
	var data = mystorage.get('duty');
	if(data != null) {
		showWorkRecord(data);
	}
}

//显示当班登记
function showWorkRecord(datap) {
	$("#work_recode_id").val(datap.id);
	$("#duty_type").text(datap.duty_type);
	$("#duty_order").text(datap.duty_order);
	var duty_time = getMydate2(datap.duty_start_time * 1000) + "--" + getMydate2(datap.duty_end_time * 1000);
	$("#duty_time").text(duty_time);
	var duty_staffs_json = JSON.parse(datap.duty_staffs);
	console.log(duty_staffs_json);
	$("#duty_staffs span").each(function(i, o) {
		var duty_staffs = $(o).data("id");
		for(var i in duty_staffs_json) {
			if(duty_staffs_json[i] == duty_staffs) {
				$(o).addClass("active");
			}
		}
	})

	//交接物品
	var duty_items = datap.duty_items;
	var items = [];
	console.log(duty_items)
	if(duty_items != "" && duty_items != null) {
		items = duty_items.split(";");
		var record_text = [];
		var record_num = [];
		var record_item = "";
		var html = '<span class="colorWhite">*</span>' +
			'<span>交接物品</span>'
		for(var i in items) {
			if(i < items.length - 1) {
				record_text[i] = items[i].split(":")[0];
				record_num[i] = items[i].split(":")[1].split("个")[0];
				html += '<div class="connect_goods mt10">' +
					'<span class="ml15">' +
					'<span style="width:25%" class="delete_btn">' +
					'<i class="mr15 iconfont">&#xe621;</i>' +
					'</span>' +
					'<input class="record_text" type="text" value="' + record_text[i] + '"/>' +
					'<input type="text" class="ml15 input_msg record_num" value="' + record_num[i] + '"/>个' +
					'</span>' +
					'</div>'
			} else {
				record_item = items[i];
			}
		}
		$('.add_cgoods').html(html);
		$(".record_item").val(record_item);
	}

	//设施设备检查情况及处理措施
	if(datap.duty_dev_check != "" && datap.duty_dev_check != null) {
		var duty_dev_check = datap.duty_dev_check.split(";");
		console.log(duty_dev_check[1]);
		$("[name='checkbox1']").each(function(i, o) {
			this.checked = false;
			var text = $(o).siblings("label").text();
			for(var j in duty_dev_check) {
				var record_check = duty_dev_check[j].split(".")[1];
				if(text == record_check) {
					this.checked = true;
				}
			}
		})
		if(duty_dev_check[duty_dev_check.length - 1] != "") {
			$("#record_check").show();
			$("#record_check").val(duty_dev_check[duty_dev_check.length - 1].split(".")[1])
		}
	}

	//出入口的人员下拉框
	var data = [];
	$("#duty_staffs .active").each(function(i, o) {
		data[i] = {
			"id": $(o).data("id"),
			"text": $(o).text()
		}
	})
	//			console.log(JSON.stringify(data));
	showEntranceUser(data);

	//工作安排
	var duty_work = datap.duty_work;
	if(duty_work != "" && duty_work != null) {
		var record_work = duty_work.split(";")
		console.log(record_work);
		for(var i in record_work) {
			if(record_work[i].split(":")[0] == "入口") {
				var entrance_user = record_work[i].split(":")[1];
				$("#entrance_user").combotree('setText', entrance_user);
			}
			if(record_work[i].split(":")[0] == "出口") {
				var connect_item = record_work[i].split(":")[1];
				$("#connect_item").combotree('setText', connect_item);
			}
			if(record_work[i].split(":")[0] == "其他安排") {
				$("#record_work").show();
				var work = record_work[i].split(":")[1];
				$("#record_work").val(work);
			}
		}
	}
}