mui.init({

});

window.addEventListener('reload_all', function() {
})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj){
	console.log("[emergency_check_detail.app] [plusReady] ...");
	plus.runtime.getProperty(plus.runtime.appid,function(inf){
		console.log("[emergency_check_detail.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});
});


mui.plusReady(function(obj){
	var item_id=getQueryString('id');
	showDetail(item_id);
	$('#item1').on('tap','#check_btn',function(){
		var check_msg=$('#check_msg').val();
		console.log(check_msg);
		checkItem(item_id,check_msg);
	});
	$('.mui-content').on('tap','.flow_btn',function(){
		$('.flow_box').toggle(200);
		showFlow(item_id); 
	})
})
//查询审批
function showDetail(item_id){
	console.log(item_id)
	var _url=getHostIP()+'tsis-api/emergency/showEmergencyDetail';
	mui.ajax(_url,{
		dataType:'json',
		type:'get',
		data:{
			id:item_id
		},
		success:function(data){
			if(data.code==200){
				//判断已审批和未审批
				var html="";
				var p=data.data;
				console.log(JSON.stringify(p))
				html+='<div class="record_msg">'
						+'<span>应急类型：</span>'
						+'<div class="emr_msg">'
							+'<span class="color666">'+p.emergency_matter+'</span>'
						+'</div>'
					+'</div>'
	    			+'<div class="record_msg">'
		    			+'<span>布置措施：</span>'
		    			+'<div class="emr_msg">'
		    				+'<span class="color666">'+p.emergency_measure+'</span>'
		    			+'</div>'
	    			+'</div>'
	    			+'<div class="record_msg">'
		    			+'<span>应急接收人：</span>'
		    			+'<div class="emr_msg">'
		    				+'<span class="color666">'+p.received_name+'</span>'
		    			+'</div>'			    			
	    			+'</div>'	
	    			if(p.is_end==0){
	    				
	    			}else if(p.is_end==1){
	    				html+='<div class="record_msg">'
		    					+'<span>事件结论：</span>'
		    					+'<div class="emr_msg">'
		    						+'<span class="color666">'+p.approve_desc+'</span>'
		    					+'</div>'
	    					+'</div>'
	    			}
	    			html+='<div class="fr flow_btn">'
			    			+'<span class="font-blue" style="font-size: 13px;">'
			    			+'<i class="iconfont font-blue" style="font-size: 15px;">&#xe659;</i>查看应急流程'
			    			+'</span>'
	    				+'</div>'
	    				+'<div class="clearfix"></div>'
		    			+'<div class="flow_box" style="display: none;">'
							//应急流程
						+'</div>'
						if(p.is_end==0){
							html+='<div class="record_msg mt10">'
									+'<span style="width:100%">审批意见(关闭本次应急结论)：</span>'
									+'<div class="new_textarea">'
										+'<textarea id="check_msg" name="" placeholder="请填写关闭本次应急结论" rows="5" cols=""></textarea>'	
									+'</div>'
								+'</div>'
							+'<button class="fr check_btn work_before_btn" id="check_btn" type="button">审批</button>'
						}else if(p.is_end==1){
							html+='<div class="check_done">'
								+'<img src="../images/others/shenpi.png" alt="" />'
								+'</div>'
						}
						html+='<div class="clearfix"></div>'
				if(p.is_end==0){
					$('#item1 .shadow_box_body').html(html);
				}else if(p.is_end==1){
					$('#item2 .shadow_box_body').html(html);
				}
			}else{
				mui.toast(data.msg);
				
			}
		},
		error:function(){
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//审批
function checkItem(item_id,approve_desc){
	var _url=getHostIP()+'tsis-api/emergency/EmergencyApproval';
	mui.ajax(_url,{
		dataType:'json',
		type:'post',
		data:{
			_method:'put',
			id:item_id,
			approve_desc:approve_desc
		},
		success:function(data){
			if(data.code==200){
				$("#item1").hide();
				showDetail(item_id);
			}else{
				mui.toast(data.msg)
			}
		},
		error:function(){
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}


//查询流程
function showFlow(item_id){
	var _url=getHostIP()+'tsis-api/emergency/showEmergencyResponse';
	mui.ajax(_url,{
		dataType:'json',
		type:'get',
		data:{
			emergency_id:item_id
		},
		success:function(data){
			if(data.code==200){
				var p=data.data;
				var startEnd_data=p.reg;
				var content_data=p.list;
				var flow_html="";
				console.log(JSON.stringify(content_data))
				var line_class = 'end_msg';
				if(startEnd_data.is_end==1){
					line_class = 'end_msg_solid';
				}
				console.log(line_class)
				flow_html+='<div class="msg_box">'
						+'<div class="msg_items">'
							+'<div class="circle_icon">'
				    			+'<span></span>	'
				    			if(startEnd_data.is_end==1){
				    				flow_html+='<label class="active"></label>'
				    			}
			    		flow_html+='<label></label>'
							+'</div>'
							+'<div class="'+line_class+' mea_msg">'
				    			+'<span>关闭</span>'
				    			if(startEnd_data.is_end==1){
				    				flow_html+='<p>'+getMydate4(startEnd_data.approve_time)+'</p>'
				    			}
				    	flow_html+='<p></p>'		
			    			+'</div>'
						+'</div>'
						if(startEnd_data.is_end==1){
							flow_html+='<div class="msg_items">'
						    			+'<div class="circle_icon">'
							    			+'<span></span>'
							    			if(startEnd_data.is_end==0){
							    				flow_html+='<label class="active"></label>'
							    			}
						    			flow_html+='<label></label>'
					    				+'</div>'
						    			+'<div class="mea_msg">'
							    			+'<span>'+startEnd_data.approve_realname+'事件结论：'+startEnd_data.approve_desc+'</span>'
							    			+'<p>'+getMydate4(startEnd_data.approve_time)+'</p>'
						    			+'</div>'
					    			+'</div>'
						}
						for(var i in content_data){
							console.log(JSON.stringify(content_data[i]));
							var k=content_data[i];
							var flag = i==0;
							if(k.emergency_measure!=""){
								flow_html+='<div class="msg_items">'
						    			+'<div class="circle_icon">'
											+'<span></span>'
											if(flag&&startEnd_data.is_end==0){
												flow_html+='<label class="active"></label>'	
											}else{
												flow_html+='<label></label>'	
											}
										flow_html+='</div>'
										+'<div class="mea_msg">'
										+'<span>'+k.user_realname+'补充措施：'+k.emergency_measure+'</span>'
										+'<p>'+getMydate4(k.create_time)+'</p>'
				    					+'</div>'
									+'</div>'
							}
							if(k.create_type==1){
								console.log("1"+flag)
								flow_html+='<div class="msg_items">'
						    			+'<div class="circle_icon">'
											+'<span></span>'
											if(k.emergency_measure==""&&flag&&startEnd_data.is_end==0){
												flow_html+='<label class="active"></label>'	
											}else{
												flow_html+='<label></label>'	
											}
										flow_html+='</div>'
										+'<div class="mea_msg">'
										+'<span>'+k.user_realname+'接受任务</span>'
										+'<p>'+getMydate4(k.create_time)+'</p>'
				    					+'</div>'
									+'</div>'
							}
							
							if(k.create_type==2){
								console.log("2"+flag)
								flow_html+='<div class="msg_items">'
						    			+'<div class="circle_icon">'
											+'<span></span>'
											if(k.emergency_measure==""&&flag&&startEnd_data.is_end==0){
												flow_html+='<label class="active"></label>'	
											}else{
												flow_html+='<label></label>'	
											}
										flow_html+='</div>'
										+'<div class="mea_msg">'
										+'<span>'+k.user_realname+'提交完成情况：'+k.received_desc+'</span>'
										+'<p>'+getMydate4(k.create_time)+'</p>'
				    					+'</div>'
									+'</div>'
							}
							
						}
		    			
						
						if(startEnd_data.emergency_measure!=""){
							flow_html+='<div class="msg_items">'
									+'<div class="circle_icon">'
											+'<span></span>'
											if(content_data==""&&startEnd_data.is_end==0){
												flow_html+='<label class="active"></label>'	
											}else{
												flow_html+='<label></label>'	
											}
								flow_html+='</div>'
					    				+'<div class="mea_msg">'
											+'<span>'+startEnd_data.user_realname+'的措施：'+startEnd_data.emergency_measure+'</span>'
											+'<p>'+getMydate4(startEnd_data.create_time)+'</p>'
										+'</div>'
									+'</div>'
						}
						
					flow_html+='<div class="msg_items">'		
							+'<div class="circle_icon">'
								+'<span></span>	'
								if(startEnd_data.emergency_measure==""&&content_data==""&&startEnd_data.is_end==0){
									flow_html+='<label class="active"></label>'
								}
					flow_html+='<label></label>'
							+'</div>'
							+'<div class="mea_msg first_msg">'
								+'<span>'+startEnd_data.user_realname+'发起应急：'+startEnd_data.emergency_matter+'</span>'		
								+'<p>'+getMydate4(startEnd_data.create_time)+'</p>'
							+'</div>'
						+'</div>'
						+'<div class="clearfix"></div>'		
					+'</div>'
				$('.flow_box').html(flow_html);
				
			}else{
				mui.toast(data.msg)
			}
		},
		error:function(){
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}
