//初始化
mui.init({

});

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});

	var id = getQueryString("id");
	console.log(id);

	//获取用户权限
	var userAuth = JSON.parse(getUserAuth());
	console.log("用户权限：" + getUserAuth());
	rolecode = userAuth.rolecode;

	//查询详情
	showDetail(id);

	//查询流程
	showFlow(id);
});

//展示详情
function showDetail(id) {
	var _url = getHostIP() + "tsis-api/emergency/showEmergencyDetail";
	mui.ajax(_url, {
		type: "get",
		dataType: "json",
		data: {
			id: id,
		},
		success: function(data) {
			if(data.code == 200) {
				console.log(JSON.stringify(data.data))
				var datap = data.data;
				$("#emergency_matter").html(datap.emergency_matter);
				$("#emergency_measure").html(datap.emergency_measure);
				$("#approve_desc").html(datap.approve_desc);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:emergency_underway]');
		}
	})
}

//查询流程
function showFlow(item_id) {
	var _url = getHostIP() + 'tsis-api/emergency/showEmergencyResponse';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			emergency_id: item_id
		},
		success: function(data) {
			if(data.code == 200) {
				var p = data.data;
				var startEnd_data = p.reg;
				var content_data = p.list;
				var flow_html = "";
				console.log(JSON.stringify(content_data))
				var line_class = 'end_msg';
				if(startEnd_data.is_end == 1) {
					line_class = 'end_msg_solid';
				}
				console.log(line_class)
				flow_html += '<div class="msg_box">' +
					'<div class="msg_items">' +
					'<div class="circle_icon">' +
					'<span></span>	'
				if(startEnd_data.is_end == 1) {
					flow_html += '<label class="active"></label>'
				}
				flow_html += '<label></label>' +
					'</div>' +
					'<div class="' + line_class + ' mea_msg">' +
					'<span>关闭</span>'
				if(startEnd_data.is_end == 1) {
					flow_html += '<p>' + getMydate4(startEnd_data.approve_time) + '</p>'
				}
				flow_html += '<p></p>' +
					'</div>' +
					'</div>'
				if(startEnd_data.is_end == 1) {
					flow_html += '<div class="msg_items">' +
						'<div class="circle_icon">' +
						'<span></span>'
					if(startEnd_data.is_end == 0) {
						flow_html += '<label class="active"></label>'
					}
					flow_html += '<label></label>' +
						'</div>' +
						'<div class="mea_msg">' +
						'<span>' + startEnd_data.approve_realname + '事件结论：' + startEnd_data.approve_desc + '</span>' +
						'<p>' + getMydate4(startEnd_data.approve_time) + '</p>' +
						'</div>' +
						'</div>'
				}
				for(var i in content_data) {
					console.log(JSON.stringify(content_data[i]));
					var k = content_data[i];
					var flag = i == 0;
					if(k.emergency_measure != "") {
						flow_html += '<div class="msg_items">' +
							'<div class="circle_icon">' +
							'<span></span>'
						if(flag && startEnd_data.is_end == 0) {
							flow_html += '<label class="active"></label>'
						} else {
							flow_html += '<label></label>'
						}
						flow_html += '</div>' +
							'<div class="mea_msg">' +
							'<span>' + k.user_realname + '补充措施：' + k.emergency_measure + '</span>' +
							'<p>' + getMydate4(k.create_time) + '</p>' +
							'</div>' +
							'</div>'
					}
					if(k.create_type == 1) {
						console.log("1" + flag)
						flow_html += '<div class="msg_items">' +
							'<div class="circle_icon">' +
							'<span></span>'
						if(k.emergency_measure == "" && flag && startEnd_data.is_end == 0) {
							flow_html += '<label class="active"></label>'
						} else {
							flow_html += '<label></label>'
						}
						flow_html += '</div>' +
							'<div class="mea_msg">' +
							'<span>' + k.user_realname + '接受任务</span>' +
							'<p>' + getMydate4(k.create_time) + '</p>' +
							'</div>' +
							'</div>'
					}

					if(k.create_type == 2) {
						console.log("2" + flag)
						flow_html += '<div class="msg_items">' +
							'<div class="circle_icon">' +
							'<span></span>'
						if(k.emergency_measure == "" && flag && startEnd_data.is_end == 0) {
							flow_html += '<label class="active"></label>'
						} else {
							flow_html += '<label></label>'
						}
						flow_html += '</div>' +
							'<div class="mea_msg">' +
							'<span>' + k.user_realname + '提交完成情况：' + k.received_desc + '</span>' +
							'<p>' + getMydate4(k.create_time) + '</p>' +
							'</div>' +
							'</div>'
					}

				}

				if(startEnd_data.emergency_measure != "") {
					flow_html += '<div class="msg_items">' +
						'<div class="circle_icon">' +
						'<span></span>'
					if(content_data == "" && startEnd_data.is_end == 0) {
						flow_html += '<label class="active"></label>'
					} else {
						flow_html += '<label></label>'
					}
					flow_html += '</div>' +
						'<div class="mea_msg">' +
						'<span>' + startEnd_data.user_realname + '的措施：' + startEnd_data.emergency_measure + '</span>' +
						'<p>' + getMydate4(startEnd_data.create_time) + '</p>' +
						'</div>' +
						'</div>'
				}

				flow_html += '<div class="msg_items">' +
					'<div class="circle_icon">' +
					'<span></span>	'
				if(startEnd_data.emergency_measure == "" && content_data == "" && startEnd_data.is_end == 0) {
					flow_html += '<label class="active"></label>'
				}
				flow_html += '<label></label>' +
					'</div>' +
					'<div class="mea_msg first_msg">' +
					'<span>' + startEnd_data.user_realname + '发起应急：' + startEnd_data.emergency_matter + '</span>' +
					'<p>' + getMydate4(startEnd_data.create_time) + '</p>' +
					'</div>' +
					'</div>' +
					'<div class="clearfix"></div>' +
					'</div>'
				$('.flow_box').html(flow_html);

			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}