var appVersion = "";
var netflag = mystorage.get("netflag");
mui.plusReady(function(obj) {
	console.log("[equipment_check_detail.app] [plusReady] ...");
});
mui.plusReady(function() {
	var item_id = getQueryString("id");
	var mark = getQueryString("mark");
	//加载本地存储的数据
	getLocalStorage(mark, item_id);
	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	console.log(netflag.net)
	if(netflag.net == true) {
		//显示详情
		findMsg(mark, item_id);
	}

	//点击审批按钮
	$('#item1').on('tap', '.check_btn', function() {
		if(netflag.net == false) {
			mui.toast('当前状态无网络，无法提交，请稍后重试');
			return;
		}
		var _this = $(this);
		var equipment_id = _this.attr('data-id');
		var ad_msg = $('.ad_msg').val();
		var _url = getHostIP() + 'tsis-api/device/SceneDeviceRegsApproval';
		mui.ajax(_url, {
			dataType: 'json',
			type: 'post',
			data: {
				_method: 'put',
				id: equipment_id,
				approve_desc: ad_msg
			},
			success: function(data) {
				if(data.code == 200) {
					mui.back();
					DeleteStorage('ecd_desc');
					mui.toast('已审批成功！');
				} else if(data.code == 40101) {
					closeAll();
				} else {
					mui.toast(data.msg)
				}
			},
			error: function() {
				mui.toast('哎呀，网络好像有问题，请检查网络连接.');
			}
		})
	})
})
//查询信息（传id）
function findMsg(mark, id) {
	console.log(id);
	var _url = getHostIP() + 'tsis-api/device/showSceneDeviceRegsDetail';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			id: id,
		},
		success: function(data) {
			//			console.log(JSON.stringify(data))
			if(data.code == 200) {
				showDetail(mark, data.data);
				mystorage.set("scenedevicedetail" + id, data.data);
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接.');
		}
	})
}

//本地数据
function getLocalStorage(mark, id){
	var data = mystorage.get('scenedevicedetail' + id);
	if(data!=null){
		showDetail(mark, data);		
	}
}

//显示详情
function showDetail(mark, data) {
	if(data.length == 0) {
		return;
	}
	var html1 = '';
	var html2 = '';
	var html3 = '';
	var i = data;
	//					console.log(JSON.stringify(i))
	if(mark == 0) {
		html1 += '<div class="shadow_box_body">' +
			'<div class="record_msg">' +
			'<span>班别：</span>' +
			'<span class="color666">' + i.duty_type + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>位置：</span>' +
			'<span class="color666">' + i.location + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>设施信息：</span>' +
			'<span class="color666">' + i.device + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>事项：</span>' +
			'<span class="color666">' + i.reg_items + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>时间：</span>' +
			'<label class="font-blue">' + getMydate1(i.create_time * 1000) + '</label>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span style="width:100%">审批意见：</span>' +
			'<textarea name="" rows="" cols="" class="mt10 ad_msg" onkeyup="AutoSave(\'ecd_desc\',this);"></textarea>' +
			'</div>' +
			'<button class="fr check_btn" type="button" data-id="' + i.id + '">审批</button>' +
			'<div class="clearfix"></div>' +
			'</div>'
	} else if(mark == 1) {
		html2 += '<div class="shadow_box">' +
			'<div class="shadow_box_body">' +
			'<div class="record_msg">' +
			'<span>班别：</span>' +
			'<span class="color666">' + i.duty_type + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>位置：</span>' +
			'<span class="color666">' + i.location + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>设施信息：</span>' +
			'<span class="color666">' + i.device + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>事项：</span>' +
			'<span class="color666">' + i.reg_items + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>时间：</span>' +
			'<label class="font-blue">' + getMydate1(i.create_time * 1000) + '</label>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>审批意见：</span>'
		if(i.approve_desc == "" || i.approve_desc == null) {
			html2 += '<p class="approval_msg">暂无意见</p>'
		} else {
			html2 += '<p class="approval_msg">' + i.approve_desc + '</p>'
		}

		html2 += '</div>' +
			'<div class="check_done">' +
			'<img src="../images/others/shenpi.png" alt="" />' +
			'</div>' +
			'</div>' +
			'</div>'
	} else if(mark == 2) {
		html3 += '<div class="shadow_box_body">' +
			'<div class="record_msg">' +
			'<span>班别：</span>' +
			'<span class="color666">' + i.duty_type + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>位置：</span>' +
			'<span class="color666">' + i.location + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>设施信息：</span>' +
			'<span class="color666">' + i.device + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>事项：</span>' +
			'<span class="color666">' + i.reg_items + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>时间：</span>' +
			'<label class="font-blue">' + getMydate1(i.create_time * 1000) + '</label>' +
			'</div>'
		if(i.approve_user_id != 0) {
			html3 += '<div class="record_msg">' +
				'<span>审批意见：</span>'
			if(i.approve_desc == "" || i.approve_desc == null) {
				html3 += '<p class="approval_msg">暂无意见</p>'
			} else {
				html3 += '<p class="approval_msg">' + i.approve_desc + '</p>'
			}
			html3 += '</div>' +
				'<div class="check_done">' +
				'<img src="../images/others/shenpi.png" alt="" />' +
				'</div>'
		} else {
			html3 += '<div class="record_msg">' +
				'<span>暂未审批</span>' +
				'</div>'
		}

		html3 += '<div class="clearfix"></div>' +
			'</div>'
	}
	if(mark == 0) {
		$('#item1').html(html1);
	} else if(mark == 1) {
		$('#item2').html(html2);
	} else if(mark == 2) {
		$('#item1').html(html3);
	}
	// 加载草稿数据
	var ecd_desc = localStorage.getItem("ecd_desc");
	//如果缓存中有数据，则加载出来
	if(ecd_desc != null) {
		$('textarea').val(ecd_desc);
	}
}

function getQueryString(name) {
	var result = window.location.search.match(new RegExp("[\?\&]" + name + "=([^\&]+)", "i"));
	if(result == null || result.length < 1) {
		return "";
	}
	return decodeURI(result[1]);
}