//初始化
mui.init({

});

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});

	// 加载草稿数据
	var ec_check_locale = localStorage.getItem("ec_check_locale");
	//如果缓存中有数据，则加载出来
	if(ec_check_locale != null) {
		$('#check_locale').val(ec_check_locale);
	}

	var userInfo = JSON.parse(getLoginUser());
	var station = userInfo.user_org_station;
	findChildDep(station, 3);

	//查职务
	var userAuth = JSON.parse(getUserAuth());
	console.log(getUserAuth())
	var auth = userAuth.rolecode;

	//点击部门显示班长
	$(".work_user_box").on("tap", "span", function() {
		var dep_id = $(this).data("id");
		console.log(dep_id)
		findRole(3, dep_id);
		findCheckedUser(dep_id);
	})

	//获取本级部门
	getDept();

	//当班人员选择
	$("#select_user").on("tap", function() {
		console.log(11111)
		$(".ordere_box").hide();
		$(".user_modal").show();
		$(".submit_btn").hide();
		$("#hide_member").show();
		$("#back").hide();
	})

	//隐藏人员
	$("#hide_member").on("tap", function() {
		$(".ordere_box").show();
		$(".user_modal").hide();
		$(".submit_btn").show();
		$("#hide_member").hide();
		$("#back").show();
	})

	//全选
	$(".user_box").on("tap", ".checkdept", function() {
		if($(this).prop("checked")) {
			$(this).parent().parent().parent().find("ul input").prop("checked", false);
			$(this).parents("div").children(".check_boxed").children(".checkdept").prop("checked", false);
			$(this).prop("checked", true);
		} else {
			$(this).parent().parent().parent().find("ul input").prop("checked", true);
		}
	})

	//取消全选
	$(".user_box").on("tap", ".checkuser", function() {
		if($(this).prop("checked")) {
			console.log($(this).parents("div").children(".check_boxed").children(".checkdept").html())
			$(this).parents("div").children(".check_boxed").children(".checkdept").prop("checked", false);
		}
	})

	//搜索
	$("#search").on("tap", function() {
		var name = $("#search_name").val();
		search(auth, name);
	})

	//提交稽查人
	$("#submitUser").on("tap", function() {
		var html = "";
		$(".checkuser").each(function(i, o) {
			if($(o).is(':checked')) {
				var id = $(o).val();
				var name = $(o).parent().text();
				html += '	<span class="delete_check_user" data-id="' + id + '" data_station="' + station + '">' +
					'<e>' + name + '</e>' +
					'<i class="iconfont colorRed">&#xe686;</i></span>'
			}
		})
		$(".check_user_box").html(html)
		$(".ordere_box").show();
		$(".user_modal").hide();
		$(".submit_btn").show();
		$("#hide_member").hide();
		$("#back").show();
	})

	$(".submit_btn").on("tap", function() {
		submit()
	})
});

//查询下级部门
function findChildDep(id, dep_type) {
	var _url = getHostIP() + 'tsis-api/dept/showSonDepartmentAndUser';
	plus.nativeUI.showWaiting();
	mui.get(_url, {
		id: id,
		dep_type: dep_type,
	}, function(data) {
		plus.nativeUI.closeWaiting();
		console.log(JSON.stringify(data));
		if(data.code == 200) {
			var dept = data.data.dept
			var work_user_box = "";
			//			var reg = new RegExp("后勤");
			for(var i in dept) {
				//				if(!reg.test(dept[i].dep_name)) {
				work_user_box += '<span data-id="' + dept[i].id + '">' + dept[i].dep_name + '</span>'
				//				}
			}
			$(".work_user_box").html(work_user_box);
		} else if(data.code == 40101) {
			closeAll();
		} else {
			mui.toast(data.msg)
		}
	}, 'json');
}

//查询班长
function findRole(role_id, dep_id) {
	var _url = getHostIP() + 'tsis-api/user/findByRole';
	plus.nativeUI.showWaiting();
	mui.get(_url, {
		role_id: role_id,
		dep_id: dep_id,
	}, function(data) {
		plus.nativeUI.closeWaiting();
		console.log(JSON.stringify(data));
		if(data.code == 200) {
			var name = data.data.user_realname;
			console.log(data.data.id)
			$("#role_name").html(name);
			$("#role_name").attr("data-id", data.data.id);
		} else if(data.code == 40101) {
			closeAll();
		} else {
			mui.toast(data.msg)
		}
	}, 'json');
}

//查询班下面的人
function findCheckedUser(dep_id) {
	var _url = getHostIP() + 'tsis-api/user/FindDeptUser';
	plus.nativeUI.showWaiting();
	mui.get(_url, {
		id: dep_id
	}, function(data) {
		plus.nativeUI.closeWaiting();
		console.log(JSON.stringify(data));
		if(data.code == 200) {
			var userData = []
			var datap = data.data;
			for(var i in datap) {
				userData[i] = {
					"id": datap[i].id,
					"text": datap[i].user_realname,
				}
			}
			showCheckedUser(userData);
		} else if(data.code == 40101) {
			closeAll();
		} else {
			mui.toast(data.msg)
		}
	}, 'json');
}

//显示数据
function showCheckedUser(data) {
	//被稽查人员
	$('#checked_user').combotree({
		valueField: "id", //Value字段
		textField: "text", //Text字段
		multiple: true,
		data: [{
			"id": 0,
			"text": "全选",
			"children": data
		}],
		onCheck: function(node, checked) {
			//让全选不显示
			$("#checked_user").combotree("setText", $("#checked_user").combobox("getText").toString().replace("全选,", ""));
		},
		onClick: function(node, checked) {
			//让全选不显示
			$("#checked_user").combotree("setText", $("#checked_user").combobox("getText").toString().replace("全选,", ""));
		},
		onChange: function(newValue, oldValue) {
			var ids = newValue;
			var texts = $("#checked_user").combobox("getText").split(",");
			var pf_matter = "";
			for(var i in ids) {
				if(ids[i] > 0) {
					pf_matter += '<option value="' + ids[i] + '">' + texts[i] + '</option>'
				}
			}
			$(".pf_matter").html(pf_matter);
		}
	});
}

//提交
function submit() {
	var start_time = $("#start_time").val().replace(/-/g, '/');
	var end_time = $("#end_time").val().replace(/-/g, '/');
	console.log(start_time + "---" + end_time);
	var check_begin_time = 0;
	var check_end_time = 0;
	if(start_time != "") {
		check_begin_time = Date.parse(new Date(start_time)) / 1000;
	}
	if(end_time != "") {
		check_end_time = Date.parse(new Date(end_time)) / 1000;
	}
	console.log(check_begin_time + "---" + check_end_time);

	var check_locale = $("#check_locale").val();
	var duty_type = $(".work_user_box .active").html();
	var duty_user_id = $("#role_name").attr("data-id");

	var checked_id = $("#checked_user").combobox("getValues");
	var checked_name = $("#checked_user").combobox("getText").split(',');
	var checked_personnel = [];
	var j = 0;
	for(var i in checked_id) {
		if(checked_id[i] > 0) {
			checked_personnel[j] = {
				"id": checked_id[i],
				"name": checked_name[j]
			};
			j++;
		}
	}
	var checked_personnel_str = JSON.stringify(checked_personnel);
	console.log("被稽查人：" + checked_personnel_str);

	var check_personnel = [];
	$(".delete_check_user").each(function(i, o) {
		console.log($(o).find("e").html())
		check_personnel[i] = {
			"id": $(o).attr("data-id"),
			"name": $(o).find("e").text()
		}
	})
	var check_personnel_str = JSON.stringify(check_personnel);
	console.log("稽查人：" + check_personnel_str)

	var check_content = [];
	$("[name='checkbox1']:checked").each(function(i, o) {
		if($(o).val() == "item_6") {
			check_content[i] = {
				"name": $(".textarea_content").val()
			}
		} else {
			check_content[i] = {
				"name": $(o).siblings("label").html()
			}
		}
	})
	var check_content_str = JSON.stringify(check_content);
	console.log("稽查内容：" + check_content_str)

	var check_result = [];
	$("#check_result_box .check_result").each(function(i, o) {
		var content = $(o).find("span").text();
		var result = $(o).find("input").val();
		check_result[i] = {
			"name": content,
			"result": result
		}
	})
	var check_result_str = JSON.stringify(check_result);
	console.log("稽查结果：" + check_result_str);

	var app_user_ids = [];
	var app_user_names = [];
	var score_types = [];
	var scores = [];
	$(".pf_matter").each(function(i, o) {
		app_user_ids[i] = $(o).val();
		app_user_names[i] = $(o).find("option:selected").text()
	})
	$(".arithmetic_btn").each(function(i, o) {
		score_types[i] = $(o).find(".active").attr("data-value")
	})
	$(".grade").each(function(i, o) {
		scores[i] = $(o).val();
	})
	console.log(app_user_ids + ":" + app_user_names + ":" + score_types + ":" + scores);

	console.log(check_begin_time + "--" + check_end_time + "--" + check_locale + "--" + duty_type + "--" + duty_user_id + "--" + checked_personnel_str + "--" + check_personnel_str + "--" + check_content_str + "--" + check_result_str + "--" + app_user_ids + "--" + app_user_names + "--" + score_types + "--" + scores);
	//判断是否填写完整信息
	if(check_begin_time != 0 && check_end_time != 0 && check_locale != "" && duty_user_id != "" && checked_personnel_str != "[]" && check_personnel_str != "[]" && check_content_str != "[]" && check_result_str != "[]") {
		submitCheckDaily(check_begin_time, check_end_time, check_locale, duty_type, duty_user_id, checked_personnel_str, check_personnel_str, check_content_str, check_result_str, app_user_ids, app_user_names, score_types, scores);
	} else {
		mui.toast("请填写所有*信息");
	}
}

function submitCheckDaily(check_begin_time, check_end_time, check_locale, duty_type, duty_user_id, checked_personnel_str, check_personnel_str, check_content_str, check_result_str, app_user_ids, app_user_names, score_types, scores) {
	var _url = getHostIP() + 'tsis-api/checkDaily/checkDailyCheck';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'post',
		data: {
			check_begin_time: check_begin_time,
			check_end_time: check_end_time,
			check_locale: check_locale,
			duty_type: duty_type,
			duty_user_id: duty_user_id,
			checked_personnel_str: checked_personnel_str,
			check_personnel_str: check_personnel_str,
			check_content_str: check_content_str,
			check_result_str: check_result_str,
			app_user_ids: app_user_ids,
			app_user_names: app_user_names,
			score_types: score_types,
			scores: scores,
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				mui.toast('提交成功！');
				DeleteStorage('ec_check_locale');
				mui.back();
			} else if(data.code == 40001) {
				mui.toast("请填写完整信息");
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
			return;
		}
	})
}