//初始化
mui.init({

	//	subpages: [{
	//		url: 'index.html',
	//		id: 'index.html',
	//		styles: {
	//			top: '0px', //mui标题栏默认高度为45px；
	//			bottom: '80px', //默认为0px，可不定义；
	//		}
	//	}]
});

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		appVersion = inf.version;
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});
});

//设置默认打开首页显示的子页序号；
var Index = 0;
//把子页的路径写在数组里面
var subpages = ['index.html', 'my.html'];

//所有的plus-*方法写在mui.plusReady中或者后面。
mui.plusReady(function() {
	var appDev = JSON.stringify(getAppDev());
	//获取当前页面所属的Webview窗口对象
	var self = plus.webview.currentWebview();
	for(var i = 0; i < 2; i++) {
		//创建webview子页
		var sub = plus.webview.create(
			subpages[i], //子页url
			subpages[i], //子页id
			{
				top: '0px', //设置距离顶部的距离
				bottom: '80px', //设置距离底部的距离
			}
		);
		//如不是我们设置的默认的子页则隐藏，否则添加到窗口中
		if(i != Index) {
			sub.hide();
		}
		//将webview对象填充到窗口
		self.append(sub);
	}

	//当前激活选项
	var activeTab = subpages[Index];
	//选项卡点击事件
	mui('#footer').on('tap', 'a', function(e) {
		//获取目标子页的id
		var targetTab = this.getAttribute('href');
		console.log(targetTab)
		if(targetTab == activeTab) {
			return;
		}
		if(targetTab == subpages[0]) {
			$("#homepage").attr("src", "../images/footer/homepage.png");
			$("#homepage").siblings("span").addClass("active");
			$("#My").attr("src", "../images/footer/My.png");
			$("#My").siblings("span").removeClass("active");
		} else if(targetTab == subpages[1]) {
			$("#homepage").attr("src", "../images/footer/homepage2.png");
			$("#homepage").siblings("span").removeClass("active");
			$("#My").attr("src", "../images/footer/My2.png");
			$("#My").siblings("span").addClass("active");
		}
		//显示目标选项卡
		plus.webview.show(targetTab);
		//隐藏当前选项卡
		plus.webview.hide(activeTab);
		//更改当前活跃的选项卡
		activeTab = targetTab;
	});

	var userAuth = JSON.parse(getUserAuth());
	console.log("用户权限：" + getUserAuth());
	//是否当班
	var isduty = getIsDuty();
	console.log(isduty)
	if(userAuth.rolecode == 3) {
		//班长是否当班，加班按钮显示，班长的权限显示，否则没有交班按钮，且只能看到历史，下发指令
		$("#handover_btn").show();
		if(isduty == "true") {
			console.log("当班");

		}
	}

	//点击交班
	document.getElementById("handover_btn").addEventListener('tap', function() {
		var btnarray = ['确认', '取消'];
		mui.confirm('您确定交班吗？', '提示', btnarray, function(e) {
			if(e.index == 1) {
				mui.toast('已取消')
			} else {
				var _url = getHostIP() + "tsis-api/user/loginout";
				mui.ajax(_url, {
					dataType: 'json',
					type: 'get',
					data: {
						appVersion: appVersion,
						appDev: appDev
					},
					success: function(data) {
						console.log(JSON.stringify(data));
						if(data.code == 200) {

						}
					},
					error: function() {
						mui.toast('哎呀，网络好像有问题，请检查网络连接。');
					}
				});
				//关闭首页
				var index = plus.webview.getWebviewById("index.html");
				plus.webview.close(index, "none");
				var footer_nav = plus.webview.getWebviewById("footer_nav.html");
				plus.webview.close(footer_nav, "none");
				//关闭当前页
				mui.currentWebview.close("none");
				//打开登录页
				mui.openWindow({
					url: 'login.html',
					id: 'HBuilder'
				});
			}
		});
	}, {
		passive: false
	});
});