mui.init({

});
//重定义back
var first = null;
mui.back = function() {
	mui.plusReady(function() {
		//首页返回键处理
		//处理逻辑：1秒内，连续两次按返回键，则退出应用；
		if(!first) {
			first = new Date().getTime();
			mui.toast('再按一次退出应用');
			setTimeout(function() {
				first = null;
			}, 1000);
		} else {
			if(new Date().getTime() - first < 1000) {
				plus.runtime.quit();
			}
		}
	});
}
//全局变量
var appVersion = "";
var pid = 0;
var ptitle = "";
var pdetail = "";
var leaveid = [];
var num = 0;
var netflag = mystorage.get("netflag");

//入口函数
mui.plusReady(function() {
	getLocalStorage();

	//获取用户权限
	var role = JSON.parse(getUserAuth());
	$('.user_post').text(role.rolename);
	//消息推送cid
	var info = plus.push.getClientInfo();
	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	//加载本地数据
	//有网加载线上数据
	if(netflag.net == true) {
		if(role.rolecode == 2) {
			work_badge();
			eq_badge();
			special_badge();
			wb_badge();
			goout_badge();
			perfRecCheck_badge();
			changeCheck_badge(role.rolecode)
			emergencyCheck_badge()

		} else if(role.rolecode == 3) {
			changeCheck_badge(role.rolecode)
		}
		Instruct(info.clientid);
		InstructAll(info.clientid);
	}
	setInterval(function() {
		if(netflag.net == true) {
			Instruct(info.clientid);
			leaveBack(info.clientid);
		}
	}, 30 * 1000);
	setInterval(function() {
		if(netflag.net == true && ptitle != null) {
			pushMsg(info.clientid, ptitle, pdetail);
		}
	}, 10 * 60 * 1000);
	setInterval(function() {
		if(netflag.net == true) {
			InstructAll(info.clientid);
		}
	}, 30 * 60 * 1000);
	setInterval(function() {
		if(netflag.net == true) {
			if(role.rolecode == 2) {
				work_badge();
				eq_badge();
				special_badge();
				wb_badge();
				goout_badge();
				perfRecCheck_badge();
				changeCheck_badge(role.rolecode)
				emergencyCheck_badge()
			} else if(role.rolecode == 3) {
				changeCheck_badge(role.rolecode)
			}
		}
	}, 15 * 60 * 1000);

	//回复指令后刷新
	window.addEventListener('refresh', function(e) {
		console.log("刷新");
		if(netflag.net == true) {
			if(role.rolecode == 2) {
				work_badge();
				eq_badge();
				special_badge();
				wb_badge();
				goout_badge();
				perfRecCheck_badge();
				changeCheck_badge(role.rolecode)
				emergencyCheck_badge()

			} else if(role.rolecode == 3) {
				changeCheck_badge(role.rolecode)
			}
			Instruct(info.clientid);
			InstructAll("");
		}
	}, {
		passive: false
	})

	//跳转页面
	$('.itemMobile').on('tap', 'li a', function() {
		var Dhref = $(this).attr('data-href');
		console.log(Dhref)
		mui.openWindow({
			url: Dhref,
			id: Dhref,
			show: {
				autoShow: true, //页面loaded事件发生后自动显示，默认为true  
			},
			waiting: {
				autoShow: false, //自动显示等待框，默认为true  
				title: '正在加载...', //等待对话框上显示的提示内容  
			}
		})
	})
	$("#instruct").on('tap', 'li', function() {
		var Dhref = $(this).attr('data-href');
		console.log(Dhref)
		mui.openWindow({
			url: Dhref,
			id: Dhref,
			show: {
				autoShow: true, //页面loaded事件发生后自动显示，默认为true  
			},
			waiting: {
				autoShow: false, //自动显示等待框，默认为true  
				title: '正在加载...', //等待对话框上显示的提示内容  
			}
		})
	})

	//点击滚动播放指令跳转
	$('.notice_msg').on('tap', function() {
		var item_id = parseInt($(this).find('marquee').attr("data-id"));
		console.log(JSON.stringify(item_id))
		if(item_id == 0) {
			mui.toast('暂无指令')
		} else {
			mui.openWindow({
				url: "order_detail.html?id=" + item_id,
				id: "order_detail.html"
			})
		}

	})

	//版本信息
	var appDev = JSON.stringify(getAppDev());
	//获取用户信息
	var userinfo = JSON.parse(getLoginUser());
	$('.user_wnum').text("工号：" + userinfo.user_jobsn);

	//是否当班
	var isduty = getIsDuty();
	console.log(isduty)
	//collector 收费员功能class  ,register 班长功能class,approval  站长功能class ,dep_admin  部门管理员class,res_all   无论当班与否都展示的
	if(role.rolecode == 3) {
		//班长是否当班，加班按钮显示，班长的权限显示，否则没有交班按钮，且只能看到历史，下发指令
		$('.register').show();
		$("#handover_btn").show();
		if(isduty == "true") {
			console.log("当班");
		}
		$('.res_all').show();
		$(".work_remind").show();
	} else if(role.rolecode == 2) {
		//站长角色展示approval，班长register隐藏，
		$('.approval').show();
		$(".work_remind").show();
	} else if(role.rolecode == 1 && userinfo.user_org_team != -1) {
		//内业
		$('.approval').show();
		$(".work_remind").show();
	} else if(role.rolecode == 1 && userinfo.user_org_team == -1) {
		//部门管理员
		$('.dep_admin').show();
		$(".work_remind").show();
	} else {
		//否则就是展示暂无此权限
		//		$("#noauth").show();
		$(".work_remind").hide();
		$('.collector').show();
	}

	//点击交班
	//	document.getElementById("handover_btn").addEventListener('tap', function() {
	//		var btnarray = ['确认', '取消'];
	//		mui.confirm('您确定交班吗？', '提示', btnarray, function(e) {
	//			if(e.index == 1) {
	//				mui.toast('已取消')
	//			} else {
	//				//				mui.toast('您已退出登录')
	//				//				console.log("退出")
	//				var _url = getHostIP() + "tsis-api/user/loginout";
	//				mui.ajax(_url, {
	//					dataType: 'json',
	//					type: 'get',
	//					data: {
	//						appVersion: appVersion,
	//						appDev: appDev
	//					},
	//					success: function(data) {
	//						console.log(JSON.stringify(data));
	//						if(data.code == 200) {
	//							mui.openWindow({
	//								url: 'login.html',
	//								id: 'lgin.html',
	//								preload: true
	//							});
	//							mui.currentWebview.close("none");
	//						}
	//					},
	//					error: function() {
	//						mui.toast('哎呀，网络好像有问题，请检查网络连接。');
	//					}
	//				});
	//			}
	//		});
	//	},{ passive: false });

})

//轮播获取指令
function Instruct(cid) {
	var _url = getHostIP() + 'tsis-api/command/showNowCommand';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			cid: cid
		},
		success: function(data) {
			//			console.log(JSON.stringify(data));
			if(data.code == 200) {
				//				console.log(JSON.stringify(data.data));
				var p = data.data;
				var html = '';
				if(p != null && p != "") {
					var text_length = p.detail.length * 30;
					if(p.detail == "") {
						html += '<marquee data-id="0">暂无消息</marquee>'
					} else {
						if(pid != p.id && p.is_read == 0) {
							pid = p.id;
							ptitle = p.title;
							pdetail = p.detail;
							pushMsg(cid, ptitle, pdetail);
							InstructAll("");
						}

						html += '<marquee data-id="' + p.id + '">' + p.title + '</marquee>';
					}
					//$('.roll_intro').css("width",text_length);
				} else {
					html += '<marquee data-id="0">暂无消息</marquee>'
				}
				mystorage.set('instruct', data.data);
				$('.roll_intro').html(html);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//获取所有指令
function InstructAll(cid) {
	var _url = getHostIP() + 'tsis-api/command/showCommand';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				//				console.log(JSON.stringify(data.data));
				var p = data.data;
				var html = '';
				for(var i in p) {
					if(pid != p[i].id && cid != "") {
						pushMsg(cid, p[i].title, p[i].detail);
					}
					//					console.log(p[i].id)
					html += '<li data-href="order_detail.html?id=' + p[i].id + '">' +
						'<span style="color:#118EEA">待查看</span>' +
						'<div class="remind_box">' +
						'<div class="common_img">'
					if(num % 2 == 0) {
						html += '<img src="../images/others/pic.png" alt="" />'
					} else {
						html += '<img src="../images/others/pic2.png" alt="" />'
					}
					num++;
					html += '</div>' +
						'<div class="remind_text">' +
						'<div class="hidden_msg">' + p[i].user_realname + '下发指令：' + p[i].title + '</div>'
					if(p[i].detail == null) {
						html += '<p>详情:无</p>'
					} else {
						html += '<p class="hidden_msg">详情：' + p[i].detail + '</p>'
					}
					html += '<label>' + getMydate4(p[i].create_time) + '</label>'
					html += '</div>' +
						'</div>' +
						'<div class="clearfix"></div>' +
						'</li>'
				}

				$('.remind_list_content').html(html);
				var new_html = $('.remind_list_content').html();
				//				mystorage.set('InstructAll',data.data);
				localStorage.setItem('InstructAll', new_html)
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//当班记录待审批数字角标
function work_badge() {
	var _url = getHostIP() + 'tsis-api/dutyrecords/showSceneDutyrecordsCount';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			//			console.log(JSON.stringify(data));
			if(data.code == 200) {
				if(data.data == 0) {
					$('#work_badge').hide();
				} else {
					$('#work_badge').text(data.data);
				}
				mystorage.set('work_badge', data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}
//特殊事件记录待审批数字角标
function special_badge() {
	var _url = getHostIP() + 'tsis-api/event/showSceneEventCount';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			//			console.log(JSON.stringify(data));
			if(data.code == 200) {
				if(data.data == 0) {
					$('#special_badge').hide();
				} else {
					$('#special_badge').text(data.data);
				}
				mystorage.set('special_badge', data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}
//设备巡检记录待审批数字角标
function eq_badge() {
	var _url = getHostIP() + 'tsis-api/device/showSceneDeviceRegsCount';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			//			console.log(JSON.stringify(data));
			if(data.code == 200) {
				if(data.data == 0) {
					$('#eq_badge').hide();
				} else {
					$('#eq_badge').text(data.data);
				}
				mystorage.set('eq_badge', data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}
//岗前稽查记录待审批数字角标
function wb_badge() {
	var _url = getHostIP() + 'tsis-api/postcheck/showPostcheckCount';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			//			console.log(JSON.stringify(data));
			if(data.code == 200) {
				if(data.data == 0) {
					$('#woBefore_badge').hide()
				} else {
					$('#woBefore_badge').text(data.data);
				}
				mystorage.set('wb_badge', data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//外出登记待审批数字角标
function goout_badge() {
	var _url = getHostIP() + "tsis-api/leave/showLeaveApprovalCount";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			//			console.log(JSON.stringify(data));
			if(data.code == 200) {
				if(data.data == 0) {
					$('#goOut_badge').hide()
				} else {
					$('#goOut_badge').text(data.data);
				}
				mystorage.set('goout_badge', data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//复议待审批数字角标
function perfRecCheck_badge() {
	var _url = getHostIP() + "tsis-api/performance/showPerformanceAppraisalReviewCount";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			//			console.log(JSON.stringify(data));
			if(data.code == 200) {
				if(data.data == 0) {
					$('#perfRecCheck_badge').hide()
				} else {
					$('#perfRecCheck_badge').text(data.data);
				}
				mystorage.set('perfRecCheck_badge', data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//换班待审批数字角标
function changeCheck_badge(rolecode) {
	var _url = getHostIP() + "tsis-api/changeDuty/ShowCountChangeDuty";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			rolecode: rolecode,
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				if(data.data == 0) {
					$('#changeCheck_badge').hide()
				} else {
					$('#changeCheck_badge').text(data.data);
				}
				mystorage.set('changeCheck_badge', data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//应急待审批数字角标
function emergencyCheck_badge() {
	var _url = getHostIP() + "tsis-api/emergency/showCountEmergencyByStation";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				if(data.data == 0) {
					$('#emergencyCheck_badge').hide()
				} else {
					$('#emergencyCheck_badge').text(data.data);
				}
				mystorage.set('emergencyCheck_badge', data.data);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//推送消息
function pushMsg(cid, title, titleText) {
	var _url = getHostIP() + "tsis-api/command/commandPush";
	mui.ajax(_url, {
		type: "get",
		dataType: "json",
		data: {
			cid: cid,
			title: title,
			titleText: titleText,
			transText: "",
		},
		success: function(data) {
			if(data.code == 200) {
				console.log("推送消息");
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//外出销假提醒
function leaveBack(cid) {
	var _url = getHostIP() + "tsis-api/leave/showMyLeaveBack";
	mui.ajax(_url, {
		type: "get",
		dataType: "json",
		success: function(data) {
			if(data.code == 200) {
				var datap = data.data;
				for(var i in datap) {
					if(datap[i].id != leaveid[i]) {
						pushMsg(cid, "回站提醒", "您的回站时间还有5分钟，请尽快回站")
					}
					leaveid[i] = datap[i].id;
				}
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		}
	})
}

//获取本地数据
function getLocalStorage() {
	$('#work_badge').text(mystorage.get('work_badge'));
	$('#special_badge').text(mystorage.get('special_badge'));
	$('#eq_badge').text(mystorage.get('eq_badge'));
	$('#woBefore_badge').text(mystorage.get('wb_badge'));
	$('#goOut_badge').text(mystorage.get('goout_badge'));
	$('#perfRecCheck_badge').text(mystorage.get('perfRecCheck_badge'));
	$('#changeCheck_badge').text(mystorage.get('changeCheck_badge'));
	$('#emergencyCheck_badge').text(mystorage.get('emergencyCheck_badge'));
	//轮播指令
	var p = mystorage.get('instruct');
	if(p != null) {
		var html = "";
		html += '<marquee data-id="' + p.id + '">' + p.title + '</marquee>';
		$('.roll_intro').html(html);
		//工作提醒指令
		var InstructAll_html = localStorage.getItem('InstructAll');
		$('.remind_list_content').html(InstructAll_html);
	}
}