//初始化
mui.init({
	gestureConfig: {
		tap: true, //默认为true
		hold: true, //默认为false，不监听
	}
});

window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[index.app] [plusReady] ...");
	//获取版本号
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
		strAppVersion = inf.version;
	});
	var userAuth = JSON.parse(getUserAuth());
	var rolecode = userAuth.rolecode;
	console.log(getUserAuth())
	if(rolecode == 2) {
		findLeaderCalendar()
	} else if(rolecode == 3 || rolecode == 0) {
		findStaffCalendar()
	}

	//根据权限展示是否可以申请换班，班长，收费员可以，其他暂不开放
	//查用户角色，区分功能
	//collector 收费员功能class  
	//register 班长功能class  
	//approval  站长功能class
	//dep_admin  部门管理员class
	var userAuth = JSON.parse(getUserAuth());
	//班长时
	if(userAuth.rolecode == 3) {
		$('.register').show();
		//普通收费员
	} else if(userAuth.rolecode == 0) {
		$('.collector').show();
	}

});

//查询员工排班数据
function findStaffCalendar() {
	var _url = getHostIP() + 'tsis-api/duty/FindStaffDuty';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data))
			if(data.code == 200) {
				var timedata = data.data;
				var evendata = [];
				for(var i in timedata) {
					if(timedata[i].text == "早") {
						evendata[i] = {
							"date": timedata[i].time,
							"title": "早班",
							"classname": "grade-1"
						}
					} else if(timedata[i].text == "中") {
						evendata[i] = {
							"date": timedata[i].time,
							"title": "中班",
							"classname": "grade-2"
						}
					} else if(timedata[i].text == "夜") {
						evendata[i] = {
							"date": timedata[i].time,
							"title": "夜班",
							"classname": "grade-3"
						}
					} else if(timedata[i].text == "") {
						evendata[i] = {
							"date": timedata[i].time,
							"title": "",
							"classname": ""
						}
					}
				}
				console.log(JSON.stringify(evendata))
				myStaffCalendar(evendata)
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//员工日历展示
function myStaffCalendar(evendata) {
	//ajax拿到数据格式如下
	var evendata = evendata;
	//事件说明
	var legendData = [{
			type: "list",
			list: ["grade-11"]
		},
		{
			type: "text",
			label: "早"
		},
		{
			type: "list",
			list: ["grade-22"]
		},
		{
			type: "text",
			label: "午"
		},
		{
			type: "list",
			list: ["grade-33"]
		},
		{
			type: "text",
			label: "夜"
		}
	];
	$("#my-calendar").zabuto_calendar({
		language: "cn",
		show_previous: 1, //查看之前一个月的数据
		show_next: 2, //查看之前一个月的数据
		cell_border: true, //日期单元格边框
		today: true, //显示当前日期
		show_days: true, //展示是周几
		weekstartson: 0, //设置0就是周一
		data: evendata, //展示数据
		legend: legendData,
	});
}

//查询领导排班数据
function findLeaderCalendar() {
	var _url = getHostIP() + 'tsis-api/duty/FindLeaderDuty';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		success: function(data) {
			console.log(JSON.stringify(data))
			if(data.code == 200) {
				var timedata = data.data;
				var evendata = [];
				for(var i in timedata) {
					if(timedata[i].text == "主") {
						evendata[i] = {
							"date": timedata[i].time,
							"title": "主班",
							"classname": "grade-4"
						}
					} else if(timedata[i].text == "常") {
						evendata[i] = {
							"date": timedata[i].time,
							"title": "常班",
							"classname": "grade-5"
						}
					}
				}
				console.log(JSON.stringify(evendata))
				myLeaderCalendar(evendata)
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//领导日历展示
function myLeaderCalendar(evendata) {
	//ajax拿到数据格式如下
	var evendata = evendata;
	//事件说明
	var legendData = [{
			type: "list",
			list: ["grade-4"]
		},
		{
			type: "text",
			label: "主"
		},
		{
			type: "list",
			list: ["grade-5"]
		},
		{
			type: "text",
			label: "常"
		}
	];
	$("#my-calendar").zabuto_calendar({
		language: "cn",
		show_previous: 1, //查看之前一个月的数据
		show_next: 2, //查看之前一个月的数据
		cell_border: true, //日期单元格边框
		today: true, //显示当前日期
		show_days: true, //展示是周几
		weekstartson: 0, //设置0就是周一
		data: evendata, //展示数据
		legend: legendData,
	});
}