//初始化
mui.init({
	beforeback: function() {
		//获得列表界面的webview  
		var list = plus.webview.currentWebview().opener();
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新  
		mui.fire(list, 'refresh');
		//返回true，继续页面关闭逻辑  
		return true;
	},
});

window.addEventListener('reload_all', function() {})

var appVersion = "";
var user_id = 0;
var netflag = mystorage.get("netflag");
mui.plusReady(function(obj) {
	document.addEventListener("netchange", networkConnect, false);
	var command_id = getQueryString("id");
	getLocalStorage(command_id);
	if(netflag.net == true) {
		// 加载草稿数据
		var od_reply_message = localStorage.getItem("od_reply_message");
		//如果缓存中有数据，则加载出来
		if(od_reply_message != null) {
			$('#reply_message').val(od_reply_message);
		}

		//获取用户信息
		var userinfo = JSON.parse(getLoginUser());
		console.log("用户信息：" + getLoginUser());
		user_id = userinfo.id;
		//		console.log(command_id)
		showCommDetail(command_id)

		$(".order_box").on("tap", "#submit_btn", function() {
			replyCommand(command_id);
		})
	} else {
		mui.toast(nonet);
	}

});

//查询详情
function showCommDetail(id) {
	var _url = getHostIP() + 'tsis-api/command/showCommandDetail';
	mui.ajax(_url, {
		type: "get",
		dataType: "json",
		data: {
			id: id,
		},
		timeout: ajax_timeout,
		success: function(data) {
			console.log(JSON.stringify(data))
			if(data.code == 200) {
				var read = data.data.read;
				var readflag = true;
				var html = "";
				html += '<div class="show_order_content">' +
					'<span id="title">关于' + data.data.title + '的指令</span>' +
					'</div>' +
					'<div class="order_text">' +
					'<span id="detail">' + data.data.detail + '</span>' +
					'</div>' +
					'<div class="show_order_content" style="border:none;">' +
					'<span>回复内容：</span>' +
					'</div>'
				for(var i in read) {
					if(user_id == read[i].user_id && read[i].is_read == 1) {
						readflag = false;
						html += '<div class="order_content order_common">' +
							'<span>' + read[i].reply_message + '</span>' +
							'</div>'
					}
				}
				if(readflag) {
					html += '<div class="order_content order_common">' +
						'<textarea id="reply_message" name="" rows="5" cols=""class="mt5" onkeyup="AutoSave(\'od_reply_message\',this);"></textarea>' +
						'</div>' +
						'<div class="shadow_box_footer">' +
						'<button id="submit_btn">提交</button>' +
						'</div>'
				}
				$('.order_box').html(html);
				var orderBoxHtml = $('.order_box').html();
				mystorage.set('showCommDetail' + id, orderBoxHtml);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
			return;
		}
	})
}

//提交回复
function replyCommand(id) {
	var reply_message = $("#reply_message").val();
	var _url = getHostIP() + 'tsis-api/command/replyCommand';
	mui.ajax(_url, {
		type: "post",
		dataType: "json",
		data: {
			_method: "put",
			id: id,
			reply_message: reply_message,
		},
		timeout: ajax_timeout,
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				mui.toast("提交成功");
				DeleteStorage('od_reply_message');
				mui.back();
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；		
			plus.nativeUI.closeWaiting();
			mui.toast('哎呀，网络好像有问题，请检查网络连接。[code:login]');
			return;
		}
	})
}

//获取本地存储数据
function getLocalStorage(id) {
	var showCommDetailHtml = mystorage.get('showCommDetail' + id);
	$('.order_box').html(showCommDetailHtml);
}