mui.init({

});

window.addEventListener('reload_all', function() {
})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj){
	console.log("[recompose_pwd.app] [plusReady] ...");
});

mui.plusReady(function(){
	
	//失去焦点检查符合正则与否
	$('#new_pwd').on('blur',function(){
		var new_pwd=$("#new_pwd").val().trim();
		var reg=  /^[a-zA-Z0-9]{6,8}$/;
		if(new_pwd.match(reg)){		
			$('.mistake_hint').hide();
		}else if(new_pwd==""){
			$('.mistake_hint').show();
			$('.mistake_hint span').text('密码不能为空！');
		}else{
			$('.mistake_hint').show();
			$('.mistake_hint span').text('请输入6-8位密码！');
		}
	})
	//提交按钮检查原密码是否正确，两次输入是否一致，更改密码
	$('#affirm_btn').on('tap',function(){
		var old_pwd=$("#old_pwd").val().trim();
		var new_pwd=$("#new_pwd").val().trim();
		var affirm_new_pwd=$('#affirm_new_pwd').val().trim();
		if(new_pwd==affirm_new_pwd){
			$('.mistake_hint').hide();
			check_pwd(old_pwd,new_pwd);
		}else{
			$('.mistake_hint').show();
			$('.mistake_hint span').text('两次输入不一致！');
		}
	})
})

//检查修改密码
function  check_pwd(old_pwd,new_pwd){
	var _url=getHostIP()+'tsis-api/user/changePassword';
	mui.ajax(_url,{
		dataType: 'json',
		type: 'post',
		data:{
			oldPassword:old_pwd,
			newPassword:new_pwd
		},
		success:function(data){
			console.log(JSON.stringify(data));
			if(data.code==200){
				//退出登录
				mui.toast('修改成功，请重新登录！');
				login_out();
			}else if(data.code==250){
				$('.mistake_hint').show();
				$('.mistake_hint span').text('原密码不正确！');
			}else{
				mui.toast('密码修改失败！请检查')
			}
		},
		error:function(){
			mui.toast('网络异常，请检查！')
		}
	})
}
//修改成功退出
function login_out(){
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		appVersion = inf.version;
		console.log("[recompose_pwd.app][plusReady] :" + JSON.stringify(inf));
	});
	var appDev = JSON.stringify(getAppDev());
	var _url = getHostIP() + "tsis-api/user/loginout";
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			appVersion: appVersion,
			appDev: appDev
		},
		success: function(data) {
			console.log(data)
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	});
	mui.currentWebview.close();
	mui.openWindow({
		url: 'login.html',
		id: 'lgin.html'
	});
}
