//初始化
mui.init({

});
window.addEventListener('reload_all', function() {})

var appVersion = "";
//检测是否有网络
var netflag = mystorage.get("netflag");
document.addEventListener("netchange", networkConnect, false);
mui.plusReady(function(obj) {
	console.log("[my.app] [plusReady] ...");
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		appVersion = inf.version;
		console.log("[login.app][plusReady] :" + JSON.stringify(inf));
	});

	// 加载草稿数据
	var rc_review_score = localStorage.getItem("rc_review_score");
	//如果缓存中有数据，则加载出来
	if(rc_review_score != null) {
		$('#review_score').val(rc_review_score);
	}
	var rc_verify = localStorage.getItem("rc_verify");
	//如果缓存中有数据，则加载出来
	if(rc_verify != null) {
		$('#verify').val(rc_verify);
	}
	var rc_opinion = localStorage.getItem("rc_opinion");
	//如果缓存中有数据，则加载出来
	if(rc_opinion != null) {
		$('#opinion').val(rc_opinion);
	}

	var loginUser = JSON.parse(getLoginUser());
	var itemid = getQueryString("itemid")
	console.log(itemid)

	var id = getQueryString("id")
	console.log(id)
	var _url = getHostIP() + 'tsis-api/performance/showPerformanceAppraisalReviewDetail';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'post',
		data: {
			_method: 'get',
			id: id
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				var list = '';
				var p = data.data;

				list += '<div class="shadow_box_body">' +
					'<div class="record_msg ">' +
					'<span class="colorWhite">*</span>' +
					'<span>姓名：</span>' +
					'<span>' + p.user_realname + '</span>' +
					'</div>' +
					'<div class="record_msg ">' +
					'<span class="colorWhite">*</span>' +
					'<span>职位：</span>' +
					'<span>收费员</span>' +
					'</div>' +
					'<div class="record_msg ">' +
					'<span class="colorWhite">*</span>' +
					'<span>申诉时间：</span>' +
					'<span>' + getMydate5(p.review_time) + '</span>' +
					'</div>' +
					'<div class="record_msg ">' +
					'<span class="colorWhite">*</span>' +
					'<span>本次绩效得分：</span>' +
					'<span class="font-blue">' + p.score + '</span>' +
					'</div>' +
					'<div class="record_msg ">' +
					'<span class="colorWhite">*</span>' +
					'<span>复核后分数：</span>' +
					'<div class="arithmetic_btn add_active">' +
					'<span class="active"  data-date="1">加</span>' +
					'<span data-date="0">扣</span>' +
					'</div>' +
					'<input type="text" class="check_grade" id="review_score" onkeyup="AutoSave(\'rc_review_score\',this);" />' +
					'</div>' +
					'<div class="record_msg ">' +
					'<span class="colorRed">*</span>' +
					'<span>情况核实：</span>' +
					'<textarea name="" rows="5" cols="5" class="mt10" id="verify" onkeyup="AutoSave(\'rc_verify\',this);" ></textarea>' +
					'</div>' +
					'<div class="record_msg ">' +
					'<span class="colorRed">*</span>' +
					'<span>处理意见：</span>' +
					'<textarea name="" rows="5" cols="5" class="mt10" id="opinion" onkeyup="AutoSave(\'rc_opinion\',this);" ></textarea>' +
					'</div>' +
					'</div>'

				$(".shadow_box_body").html(list);
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})

	$('.submit_btn').on('tap', function() {
		var review_score_type = $(".arithmetic_btn  .active").attr('data-date');
		var review_score = $('#review_score').val();
		var verify = $('#verify').val();
		var opinion = $('#opinion').val();
		if(review_score == "" || verify == "" || opinion == "") {
			mui.toast('请将信息填写完整!');
		} else {
			var _url = getHostIP() + 'tsis-api/performance/PerformanceAppraisalReviewApproval';
			mui.ajax(_url, {
				dataType: 'json',
				type: 'post',
				data: {
					_method: 'put',
					id: id,
					item_id: itemid,
					review_score_type: review_score_type,
					review_score: review_score,
					verify: verify,
					opinion: opinion
				},
				success: function(data) {
					console.log(JSON.stringify(data));
					if(data.code == 200) {
						DeleteStorage('rc_review_score');
						DeleteStorage('rc_verify');
						DeleteStorage('rc_opinion');
						location.href = "performance_rec_check.html";
						mui.toast('提交成功！');
					} else if(data.code == 40101) {
						closeAll();
					} else {
						mui.toast(data.msg)
					}
				},
				error: function() {
					mui.toast('哎呀，网络好像有问题，请检查网络连接。');
				}
			})
		}

	})
});