mui.init({

});

window.addEventListener('reload_all', function() {})

var appVersion = "";
mui.plusReady(function(obj) {
	console.log("[work_before_record.app] [plusReady] ...");
});

var netflag = mystorage.get("netflag");
mui.plusReady(function() {
	getDeptLocalStorage();
	getUserLocalStorage()
	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	if(netflag.net == true) {
		getDept();
		//获取本班上班人员的姓名
		var _url = getHostIP() + 'tsis-api/user/getUserTeams';
		mui.ajax(_url, {
			dataType: "json",
			type: "get",
			success: function(data) {
				//			console.log(JSON.stringify(data.data));
				if(data.code == 200) {
					jointHtml(data.data)
					mystorage.set('toll_name', data.data);
				} else if(data.code == 40101) {
					closeAll();
				} else {
					mui.toast(data.msg);
				}
				//			console.log($('.toll_name').attr('data-id'))
			},
			error: function() {
				mui.toast('哎呀，网络好像有问题，请检查网络连接。');
			}
		})
	}

	//当班人员选择
	$("#select_user").on("tap", function() {
		console.log(11111)
		$(".shadow_box").hide();
		$(".user_modal").show();
		$("#work_check_btn").hide();
		$("#hide_member").show();
		$("#back").hide();
		$(".add_work_user").hide();
	})

	//隐藏人员
	$("#hide_member").on("tap", function() {
		$(".shadow_box").show();
		$(".user_modal").hide();
		$("#work_check_btn").show();
		$("#hide_member").hide();
		$("#back").show();
		$(".add_work_user").show();
	})

	//全选
	$(".user_box").on("tap", ".checkdept", function() {
		if($(this).prop("checked")) {
			$(this).parent().parent().parent().find("ul input").prop("checked", false);
			$(this).parents("div").children(".check_boxed").children(".checkdept").prop("checked", false);
			$(this).prop("checked", true);
		} else {
			$(this).parent().parent().parent().find("ul input").prop("checked", true);
		}
	})

	//取消全选
	$(".user_box").on("tap", ".checkuser", function() {
		if($(this).prop("checked")) {
			console.log($(this).parents("div").children(".check_boxed").children(".checkdept").html())
			$(this).parents("div").children(".check_boxed").children(".checkdept").prop("checked", false);
		}
	})

	//搜索
	$("#search").on("tap", function() {
		var name = $("#search_name").val();
		search(auth, name);
	})

	//添加人员
	$("#submitUser").on("tap", function() {
		var html = "";
		$(".checkuser").each(function(i, o) {
			if($(o).is(':checked')) {
				var flag = true;
				$(".toll_name").each(function(j, p) {
					if($(p).attr("data-id") == $(o).val()) {
						flag = false;
					}
				})
				var id = $(o).val();
				var name = $(o).parent().text();
				if(flag) {
					html = '<div class="shadow_box">' +
						$(".shadow_box").html()
					'</div>'
					$('.mui-content').append(html);
					var count = $(".shadow_box").length - 1;
					console.log($('.mui-content .shadow_box:eq(' + count + ')').find(".toll_name").html())
					$('.mui-content .shadow_box:eq(' + count + ') .toll_name').text(name);
					$('.mui-content .shadow_box:eq(' + count + ') .toll_name').attr('data-id', id);
				}
			}
		})
		$("#duty_staffs").append(html)
		$(".shadow_box").show();
		$(".user_modal").hide();
		$("#work_check_btn").show();
		$("#hide_member").hide();
		$("#back").show();
		$(".add_work_user").show();
	})

	//点击提交
	$('#work_check_btn').on('tap', function() {
		submit_btn();
	})
})

//提交
function submit_btn() {
	//遍历mui-content下面的shadow_box
	var reg_ids = [];
	$('.toll_name').each(function(i, o) {
		reg_ids[i] = $(o).attr('data-id');
	})
	//遍历是否是否上班
	var offices = [];
	$('.normal_work').each(function(i, o) {
		offices[i] = $(o).find('.active').data("id");
	})
	console.log("是否上班：" + offices);
	//遍历每个人员的'员工着装'有几个start放进数组
	var clothes_start = [];
	//遍历有几个人员
	$('.staff_clothes').each(function(i, o) {
		var start_num = 0;
		//遍历这个人员下面的'仪容仪表'有几个start
		$(o).find(".start").each(function(j, p) {
			start_num++;
		})
		clothes_start[i] = start_num;
	})
	//遍历每个人员的'仪容仪表'有几个start放进数组
	var looks_start = [];
	//遍历有几个人员
	$('.staff_looks').each(function(i, o) {
		var start_num = 0;
		//遍历这个人员下面的'仪容仪表'有几个start
		$(o).find(".start").each(function(j, p) {
			start_num++;
		})
		looks_start[i] = start_num;
	})
	//是否携带违禁物品
	var carrys = [];
	$('.violate_obj .active').each(function(i, o) {
		var v_num = $(o).attr('data-id');
		carrys[i] = v_num;
	})
	//违禁物品
	var contrabands = [];
	$('.violate_item input').each(function(i, o) {
		console.log($(o).val())
		contrabands[i] = $(o).val();

	})
	//上班物品是否齐全
	var works = [];
	$('.work_full .active').each(function(i, o) {
		var v_num = $(o).attr('data-id');
		works[i] = v_num;
	})
	var reg_url = getHostIP() + 'tsis-api/postcheck/AuditRegistration';
	mui.ajax(reg_url, {
		dataType: 'json',
		type: 'post',
		data: {
			reg_user_ids: reg_ids,
			dressings: clothes_start,
			appearances: looks_start,
			carrys: carrys,
			contrabands: contrabands,
			workItems: works,
			offices: offices,
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.code == 200) {
				mui.toast('提交成功！')
				mui.back();
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。')
		}
	})
}

//加载本地
function getUserLocalStorage() {
	var data = mystorage.get('toll_name');
	if(data != null) {
		jointHtml(data);
	}
}
//拼接
function jointHtml(data) {
	var toll_name = '<div class="shadow_box">' +
		$('.shadow_box').html() +
		'</div>'
	var content = "";
	for(var i in data) {
		content += toll_name;
	};
	$(".mui-content").html(content);
	$('.toll_name').each(function(i, o) {
		//					console.log(JSON.stringify(data.data[i].user_realname));
		var p = data[i].user_realname;
		var reg_id = data[i].id;
		$(o).text(p);
		$(o).attr('data-id', reg_id);
	});
}