var appVersion = "";
var netflag = mystorage.get("netflag");
mui.plusReady(function(obj) {
	console.log("[work_check_detail.app] [plusReady] ...");
});

mui.plusReady(function() {
	// 加载草稿数据
	var wcd_desc = localStorage.getItem("wcd_desc");
	//如果缓存中有数据，则加载出来
	if(wcd_desc != null) {
		$('textarea').val(wcd_desc);
	}

	var item_id = getQueryString("id");
	var mark = getQueryString("mark");

	//加载本地存储的数据
	getLocalStorage(mark, item_id);
	//判断当前网络状态
	document.addEventListener("netchange", networkConnect, false);
	console.log(netflag.net)
	if(netflag.net == true) {
		//显示详情
		findWc(mark, item_id);
	}

	//审批
	$('#item1').on('tap', '.check_btn', function() {
		if(netflag.net == false) {
			mui.toast('当前状态无网络，无法提交，请稍后重试');
			return;
		}
		var _this = $(this);
		var check_id = _this.attr('data-id');
		var ad_msg = $('.ad_msg').val();
		console.log(ad_msg);
		var _url = getHostIP() + 'tsis-api/dutyrecords/SceneDutyrecordsApproval';
		mui.ajax(_url, {
			dataType: 'json',
			type: 'post',
			data: {
				_method: 'put',
				id: check_id,
				approve_desc: ad_msg
			},
			success: function(data) {
				//				console.log(JSON.stringify(data));
				if(data.code == 200) {
					//审批成功返回上一页
					mui.back();
					DeleteStorage('wcd_desc');
					mui.toast('已审批成功！');
				} else if(data.code == 40101) {
					closeAll();
				} else {
					mui.toast(data.msg)
				}
			},
			error: function() {
				mui.toast('哎呀，网络好像有问题，请检查网络连接。');
			}
		})
	})
})
//根据id查询数据
function findWc(mark, id) {
	console.log(mark);
	console.log(id);
	var _url = getHostIP() + 'tsis-api/dutyrecords/showSceneDutyrecordsDetail';
	mui.ajax(_url, {
		dataType: 'json',
		type: 'get',
		data: {
			id: id,
		},
		success: function(data) {
			console.log(JSON.stringify(data.data));
			//判断mark的取值为0时加载html1,否则加载html2
			if(data.code == 200) {
				mystorage.set("dutydetail" + id, data.data);
				showDetail(mark, data.data)
			} else if(data.code == 40101) {
				closeAll();
			} else {
				mui.toast(data.msg)
			}
		},
		error: function() {
			mui.toast('哎呀，网络好像有问题，请检查网络连接。');
		}
	})
}

//本地数据
function getLocalStorage(mark, id) {
	var data = mystorage.get('dutydetail' + id);
	if(data != null) {
		showDetail(mark, data);
	}
}

function showDetail(mark, data) {
	if(data.length == 0) {
		return;
	}
	var html1 = "";
	var html2 = "";
	var html3 = "";
	var p = data;
	console.log(JSON.stringify(p));
	//工作安排
	var work_arrange = [];
	if(p.duty_work != "" && p.duty_work != null) {
		work_arrange = p.duty_work.split(";");
	}
	console.log(work_arrange)
	//设备巡检
	var facility_items = [];
	if(p.duty_dev_check != "" && p.duty_dev_check != null) {
		facility_items = p.duty_dev_check.split(";");
	}
	if(mark == 0) {
		html1 += '<div class="shadow_box_body">' +
			'<div class="record_msg">' +
			'<span>当班时间：</span>' +
			'<label class="font-blue">' + getMydate2(p.duty_start_time * 1000) + '--' + getMydate2(p.duty_end_time * 1000) + '</label>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>交班负责人：</span>' +
			'<span class="color666">' + p.duty_user_name + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>接班负责人：</span>' +
			'<span class="color666">' + p.duty_pre_user_name + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>班别：</span>' +
			'<span class="color666">' + p.duty_type + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>班次：</span>' +
			'<span class="color666">' + p.duty_order + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span style="vertical-align: top;">工作安排：</span>' +
			'<div class="work_plan">'
		if(work_arrange.length != 0) {
			for(var l in work_arrange) {
				html1 += '<p class="font-blue">' + work_arrange[l] + '</p>'
			}
		} else {
			html1 += '<p>没有其他安排了！</p>'
		}
		html1 += '</div>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>交接事项：</span>'
		if(p.duty_items != null) {
			html1 += '<p>' + p.duty_items + '</p>'
		}
		html1 += '</div>' +
			'<div class="record_msg">' +
			'<span style="width:100%">设施设备检查情况及处理措施：</span>' +
			'<p>'
		for(var j in facility_items) {
			html1 += facility_items[j] + '<br/>'
		}
		html1 += '</p>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span style="width:100%">审批意见：</span>' +
			'<textarea name="" rows="" cols="" class="mt10 ad_msg" onkeyup="AutoSave(\'wcd_desc\',this);" ></textarea>' +
			'</div>' +
			'<button class="fr check_btn" type="button" data-id="' + p.id + '">审批</button>' +
			'<div class="clearfix"></div>' +
			'</div>'
	} else if(mark == 1) {
		html2 += '<div class="shadow_box">' +
			'<div class="shadow_box_body">' +
			'<div class="record_msg">' +
			'<span>当班时间：</span>' +
			'<label class="font-blue">' + getMydate2(p.duty_start_time * 1000) + '--' + getMydate2(p.duty_end_time * 1000) + '</label>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>交班负责人：</span>' +
			'<span class="color666">' + p.duty_user_name + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>接班负责人：</span>' +
			'<span class="color666">' + p.duty_pre_user_name + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>班别：</span>' +
			'<span class="color666">' + p.duty_type + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>班次：</span>' +
			'<span class="color666">' + p.duty_order + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span style="vertical-align: top;">工作安排：</span>' +
			'<div class="work_plan">'
		if(work_arrange.length != 0) {
			for(var l in work_arrange) {
				html2 += '<p class="font-blue">' + work_arrange[l] + '</p>'
			}
		} else {
			html2 += '<p class="color666">没有其他安排了！</p>'
		}
		html2 += '</div>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>交接事项：</span>'
		if(p.duty_items == "" || p.duty_items == null) {
			html2 += '<p class="color666">暂无交接事项</p>'
		} else {
			html2 += '<p class="color666">' + p.duty_items + '</p>'
		}

		html2 += '</div>' +
			'<div class="record_msg">' +
			'<span style="width:100%">设施设备检查情况及处理措施：</span>' +
			'<p>'
		for(var j in facility_items) {
			html2 += facility_items[j] + '<br/>'
		}
		html2 += '</p>' +
			'</div>' +
			'<div class="record_name">' +
			'<span style="width:100%">审批人：</span>' +
			'<p>' + p.approve_user_name + '</p>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>审批意见：</span>'
		if(p.approve_desc == "" || p.approve_desc == null) {
			html2 += '<p class="approval_msg">暂无意见</p>'
		} else {
			html2 += '<p class="approval_msg">' + p.approve_desc + '</p>'
		}

		html2 += '</div>' +
			'<div class="check_done">' +
			'<img src="../images/others/shenpi.png" alt="" />' +
			'</div>' +
			'</div>' +
			'</div>'
	} else if(mark == 2) {
		//历史记录
		html3 += '<div class="shadow_box_body">' +
			'<div class="record_msg">' +
			'<span>当班时间：</span>' +
			'<label class="font-blue">' + getMydate2(p.duty_start_time * 1000) + '--' + getMydate2(p.duty_end_time * 1000) + '</label>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>交班负责人：</span>' +
			'<span class="color666">' + p.duty_user_name + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>接班负责人：</span>' +
			'<span class="color666">' + p.duty_pre_user_name + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>班别：</span>' +
			'<span class="color666">' + p.duty_type + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>班次：</span>' +
			'<span class="color666">' + p.duty_order + '</span>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span style="vertical-align: top;">工作安排：</span>' +
			'<div class="work_plan">'
		if(work_arrange.length != 0) {
			for(var l in work_arrange) {
				html3 += '<p class="font-blue">' + work_arrange[l] + '</p>'
			}
		} else {
			html3 += '<p>没有其他安排了！</p>'
		}
		html3 += '</div>' +
			'</div>' +
			'<div class="record_msg">' +
			'<span>交接事项：</span>'
		if(p.duty_items != null) {
			html3 += '<p>' + p.duty_items + '</p>'
		}
		html3 += '</div>' +
			'<div class="record_msg">' +
			'<span style="width:100%">设施设备检查情况及处理措施：</span>' +
			'<p>'
		for(var j in facility_items) {
			html3 += facility_items[j] + '<br/>'
		}
		html3 += '</p>' +
			'</div>'
		if(p.approve_user_id != 0) {
			html3 += '<div class="record_name">' +
				'<span style="width:100%">审批人：</span>' +
				'<p>' + p.approve_user_name + '</p>' +
				'</div>' +
				'<div class="record_msg">' +
				'<span>审批意见：</span>'
			if(p.approve_desc == "" || p.approve_desc == null) {
				html3 += '<p class="approval_msg">暂无意见</p>'
			} else {
				html3 += '<p class="approval_msg">' + p.approve_desc + '</p>'
			}
			html3 += '</div>'
			html3 += '<div class="check_done">' +
				'<img src="../images/others/shenpi.png" alt="" />' +
				'</div>'
		} else {
			html3 += '<div class="record_name">' +
				'<span style="width:100%">暂未审批</span>' +
				'</div>'
		}
		html3 += '<div class="clearfix"></div>' +
			'</div>'
	}
	if(mark == 0) {
		$('#item1').html(html1);
	} else if(mark == 1) {
		$('#item2').html(html2);
	} else if(mark == 2) {
		$('#item1').html(html3);
	}
}

function getQueryString(name) {
	var result = window.location.search.match(new RegExp("[\?\&]" + name + "=([^\&]+)", "i"));
	if(result == null || result.length < 1) {
		return "";
	}
	return decodeURI(result[1]);
}